2002-01-20  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.8.

	* tape.c, tape.h (tape_tap_attched): New function.

	* autostart.c (autostart_advance): Skip
	`AUTOSTART_PRESSPLAYONTAPE' if no TAP image is attached.

	* crtc/crtc-mem.c (crtc_read): Commented out debugging output.

2002-01-20  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.64.

2002-01-19  Dag Lem  <resid@nimrod.no>

	* resid/: Final reSID 0.13.

2002-01-19  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.63.

	* t64.c (t64_read): Skip read if no image is attached.

2002-01-19  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* monitor/mon_assemble6502.c: Fixed a bug which prevented a
	JSR to a location on the ZP to be assembled.

2002-01-19  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.62.

	* maincpu.c: Undefined `TRACE'.

	* arch/unix/uimon.c: #include "utils.h".

2002-01-15  Dag Lem  <resid@nimrod.no>

	* arch/unix/vsidui.c: New toggle PSIDKeepEnv.

	* c64/psid.c: Replaced resources PSIDDefaultVideoStandard and
	PSIDDefaultSidModel with PSIDKeepEnv. New vsid command line
	option -keepenv.

	* main.c (init_cmdline_options): Skip calls to
	ui_init_cmdline_options and file_system_init_cmdline_options
	in vsid mode.

2002-01-14  Andreas Dehmel  <dehmel@forwiss.tu-muenchen.de>

	* arch/riscos/console.c, arch/riscos/uimsgwin.c: escape stops
	monitor output

	* arch/riscos/plus4ui.c: fixed CBM key in default keyboard
	mapping

	* arch/riscos/videoarch.h: removed depth from canvas_t

2002-01-14  Thomas Bretz  <tbretz@physik.tu-muenchen.de>

	* arch/os2/dialogs/menubar.rc:
	- excluded Fast Pal Emu entry for TED
     
	* arch/os2/makedist.cmd:
	- changed BUGS, COPYING, NEWS and FEEDBACK to new location
     
	* arch/os2/video.c:
	- removed comment when realizing palettes
     
	* imagecontents.c:
	- removed a unnecessary memset
     
	* monitor/mon.c:
	- simplified some pieces of code
     
	* monitor/mon.h:
	- added declaration for mon_abort
     
2002-01-14  pottendo  <pottendo@utanet.at>

	* arch/unix/vsidui.c: include `vsiduiunix.h'.
	arch/unix/x11/gnome/uivsidcontrol.c: ditto.
	arch/unix/x11/xaw/uivsidcontrol.c: ditto.

	* arch/unix/vsiduiunix.h: replaces `arc/unix/vsidui.h' to avoid
	clash with `src/vsidui.h'. 

	* arch/unix/Makefile.am (libarch_a_SOURCES): replaced `vsidui.h'
	with `vsiduiunix.h'.

	* arch/unix/x11/xaw/ui.c (ui_open_canvas_window): 
	arch/unix/x11/gnome/ui.c (ui_open_canvas_window): Handle vsid
	mode canvas creation.

2002-01-14  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.61.

	* gfxoutputdrv/bmpdrv.c (bmpdrv_bmp_size): New function.
	(bmpdrv_write_file_header, bmpdrv_write_bitmap_info,
	bmpdrv_open, bmpdrv_write): Added 8bpp support.

	* gfxoutputdrv/pngdrv.c (pngdrv_open, pngdrv_write,
	pngdrv_close): Simplified.

2002-01-13  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.60.

	* arch/unix/x11/gnome/about.c, arch/unix/x11/xaw/about.c,
	c1541.c, arch/win32/res.rc, arch/msdos/menudefs.c,
	arch/beos/ui.cc, arch/msdos/ui.c, arch/os2/install.cmd,
	arch/os2/dialogs/dialogs.rc: Updated dates and URLs.

2002-01-12  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* arch/win32/console.c: Pressing ESC while console_out()
	returns -1

	* arch/*/uimon.c: don't need a static buffer anymore (as it
	has already been the case in the WIN32 und OS/2 versions

	* monitor/mon_util.[ch]: added mon_out, which is a wrapper
	around uimon_out() and handles a negative return value to
	abort operations which last long

	* monitor/mon_*.[cy]: use mon_out() instead of uimon_out()

2002-01-12  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* monitor/mon_ui.c: function determine_address_of_line() 
	changed have_label of mon_disassembly_private structure, so
	that at next processing, it could have wrong contents. Fixed.

2002-01-12  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/beos/vsidui.cc (vsid_ui_init): Creates a window
	for the vsid informations.

	* arch/{beos|msdos|os2|riscos|unix|win32}/vsidui.cc:
	New function vsid_ui_close().

	* c64/c64.c (machine_shutdown): Call vsid_ui_close when
	in vsid mode.

	* vsidui.h: New prototype for vsid_ui_close.

2002-01-12  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.59.

	* vdc/vdc.c (vdc_set_geometry): Restored old geometry
	calculation.

2002-01-11  Dag Lem  <resid@nimrod.no>

	* arch/unix/uijoystick2.c, arch/unix/x11/gnome/ui.c,
	arch/unix/x11/xaw/ui.c: Removed vsid code commented out with
	#if 0.

	* c64/psid.c (PSIDDefaultVideoStandard, PSIDDefaultSidModel):
	New resources.
	(psid_init_tune, psid_init_driver): Support revised PSID v2 NG
	flags.

	* sound.c (fill_buffer): Provide both attenuation and gain.
	(sound_open, sound_flush): Fill buffer: repeat last sample.
	(sound_suspend): Fill buffer: attenuate to zero.
	(sound_resume): Fill buffer: gain to last sample.

2002-01-08  Tibor Biczo <crown@axelero.hu>

	* plus4/plus4.c (plus4_tape_traps): Added plus4 tape traps.
	(machine_init): Init tape with correct addresses.

	* sound.c (sound_suspend): Call fill_buffer to attenuate last
	sample if the driver needs it.

	* sound.h (sound_device_t): New structure tag called
	need_attenuation.
	It is set if the driver needs attenuation/gain on suspend.

	* sounddrv/soundacorn.c, sounddrv/soundaix.c,
	sounddrv/soundallegro.c, sounddrv/soundarts.c,
	sounddrv/soundbeos.cc, sounddrv/sounddart.c,
	sounddrv/sounddummy.c, sounddrv/sounddump.c,
	sounddrv/sounddx.c, sounddrv/soundesd.c, sounddrv/soundfs.c,
	sounddrv/soundhpux.c, sounddrv/soundmidas.c,
	sounddrv/soundmmos2.c, sounddrv/soundsb.c,
	sounddrv/soundsdl.c, sounddrv/soundsgi.c,
	sounddrv/soundspeed.c, sounddrv/soundsun.c,
	sounddrv/sounduss.c, sounddrv/soundwav.c, sounddrv/soundwmm.c:
	Set need_attenuation flag appropriately.

	* tape.c (tape_find_header_trap_plus4,
	tape_receive_trap_plus4): New functions, implementing plus4
	specific tape traps.

	* tape.h (tape_find_header_trap_plus4,
	tape_receive_trap_plus4): New prototypes.

2002-01-07  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.58.

	* serial.c, serial.h (serial_init): Set address of TMP IN
	register.

	* c64/c64.c, c128/c128.c, vic20/vic20.c, pet/pet.c,
	plus4/plus4.c, cbm2/c610.c (machine_init): Pass address of
	TMP IN register for this machine.

2002-01-07  Thomas Bretz  <tbretz@physik.tu-muenchen.de>

	* NEWS:
	replaced a incorrect fix (dive->drive) by the correct DIVE

	* attach.c, c1541.c, diskimage.c, drive/drive.c,
	drive/drivemem.c, imagecontents.c, kbdbuf.c, palette.c,
	pet/petsound.c, plus4/ted-sound.c, screenshot.c,
	sid/fastsid.c, sid/sid.c, t64.c, vdrive/vdrive-dir.c,
	vdrive/vdrive.c, vic20/vic20sound.c, vicii/vicii.c:
	replaced malloc/memset combination by calloc call
	corrected some bugs using sizeof() in memset
	emoved some sizeofs in memset (replaced by numkbers or defines)

	* pet/pet.c: small change in log_message output

	* raster/raster.c: 
	removed call to canvas_create/destroy in vsid_mode again

2002-01-07  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/beos/ui_device.cc: Fixed resource name for the
	printer file.

2002-01-07  Andreas Dehmel <dehmel@forwiss.tu-muenchen.de>

	* arch/riscos/spritedrv.c: reniced sprite interface

	* arch/riscos/videoarch.h: prepared for different colour
	depths

	* vdc/vdc.c: replaced C++ commentary

2002-01-07  Tibor Biczo <crown@axelero.hu>

	* plus4/plus4.c (plus4_serial_traps): Updated serial traps.

2002-01-07  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.57.

	* plus4/ted.c (ted_raster_draw_alarm_handler): Update the
	color video memory pointer one line before the matrix video
	pointer.  (ted_fetch_color): Use `memptr_col'.

	* plus4/tedtypes.h: Added new memberi `memptr_col' to `ted_t'.

	* arch/win32/uimon.c (ExecuteDisassemblyPopup): Commented out
	`TPM_TOPALIGN' as it is not provided by mingw32 headers.
	Should not hurt as it would be defined `0x0000L' anyway.

	* vicii/vicii.c (vic_ii_resize): Call
	`raster_enable_double_size()' only if `VIC_II_NEED_2X' is
	defined.

	* plus4/ted.c (ted_resize): Fixed likewise.

	* datasette.c: Separated some functions.

2002-01-06  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.56.

	* plus4/ted.c (ted_raster_draw_alarm_handler,
	do_matrix_fetch): Fixed color fetch.

	* plus4/tedtypes.h: Fixed 24/25 row start.

	* plus4/plus4mem.c (pio1_set_tape_sense): New function.

	* plus4/ted-sound.c (ted_sound_read): Mask out other bits in
	shared register.

	* tap.c (tap_header_read, tap_open): Also recognise C16 tap
	images.

	* tape.c (tape_attach_image): Log TAP image version and
	system.

	* datasette.c (datasette_read_gap): Some C16 tap support.

2002-01-06  Tibor Biczo  <crown@axelero.hu>

	* arch/win32/arch.dsp: Added plus4 folder to include path.

	* plus4/plus4mem.c (mem_initialize_memory, mem_powerup): Set
	mem_config only during power up and hard reset, but don't
	change during soft reset.

	* plus4/ted-draw.c (_draw_hires_bitmap,
	_draw_hires_bitmap_2x): Fixed wrong color nibble pairings.

	* plus4/ted.c (ted_reset): Initialize ted.reverse_mode.

	* sound.c (sound_suspend): Don't call fill_buffer.

	* sounddrv/sounddx.c (dx_write): Store last samples.
	(dx_suspend): Fill buffer up with last buffered sample.
	(dx_resume): Restart playing buffer from start.

	* sounddrv/soundwmm.c (wmm_write): Store last samples.
	(wmm_timercallback): Don't watch inactivity and don't
	stop buffer playing, this function became obsolete, will
	be removed.
	(wmm_suspend, wmm_resume): New functions.

2002-01-04  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.55.

	* vicii/vicii-draw.c, plus4/ted-draw.c (_draw_mc_text): Fixed
	those ugly castings.

2002-01-04  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/beos/plus4kb.c: Fixed keyboard mapping to
	match with windows port.

	* arch/beos/ui_video.cc (video_canvas_resize): Removed
	call to vsync_suspend_speed_eval as this dialog doesn't
	stop the emu.

	* arch/win32/uivideo.c (init_advanced dialog): Fill
	phase textbox with N/A to prevent random entries.

	* c128/c128.c (machine_write_snapshot): Fixed typo.

2002-01-04  Tibor Biczo  <crown@axelero.hu>

	* plus4/ted-draw.c: Added blinking color support for normal
	textmode.
	Added reverse bit support to the draw functions I missed.
	Added cursor support to noncached draw functions.
	Masked out the 7th bit from cbuf, where it is not needed.

	* plus4/ted.c (ted_fetch_color): Fetch all bits. Bit 7 is used
	for blinking in normal text mode.

2002-01-04  Tibor Biczo  <crown@axelero.hu>

	* arch/win32/plus4kbd.c: Fixed Plus4 keyboard layout.

	* arch/win32/ui.c (handle_wm_command): Preserve pressed state
	of RUN/STOP key during reset on Plus4.

	* keyboard.c (keyboard_set_keyarr_and_latch): New function,
	sets key state and moves the latch immediately into the
	keymatrix.

	* keyboard.h (keyboard_set_keyarr_and_latch): New prototype.

	* plus4/plus4mem.c (store_zero): Stores to CPU ports also goes
	into RAM as well.
	(rom_read): $FC00-$FCFF ROM area is always accessed from the
	KERNAL rom.
	(ram_ffxx_read, ram_ffxx_store, rom_ffxx_read,
	rom_ffxx_store): $FF3E and $FF3F reads and writes never get to
	the RAM.

	* plus4/ted-draw.c (get_char_data, _draw_std_text):
	Implemented reverse bit support.

	* plus4/ted-mem.c (unused_bits_in_registers): Set $3E and $3F
	to $FF.
	(ted_07_store): Set ted.reverse_mode.

	* plus4/tedtypes.h (ted_s): New struct member reverse_mode.

2002-01-03  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.54.

2002-01-03  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/beos/video.cc (video_canvas_resize): Return
	immediately if size hasn't changed.

	* arch/beos/vsidui.cc: Don't set color for the view as
	it isn't updated properly.

2002-01-03  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/beos/Makefile.am: Added new files ui_sid.{h|cc}.

	* arch/beos/C128ui.cc, c64ui.cc, ui_sound.cc: Removed every
	SID related stuff.

	* arch/beos/constants.h: Added id for SID setting menu,
	removed every other SID related id.

	* arch/beos/ui.cc: Handle MENU_SID_SETTINGS.

	* arch/beos/ui_sid.cc, ui_sid.h: New files that implement the
	SID settings dialog.

	* arch/beos/vicemenu.cc: Added shortcut for PAL emulation.
	Added SID settings menu item, removed every other SID related
	menu item.

	* arch/beos/vicewindow.cc: Fixed top of the stausbar frame.

2002-01-02  pottendo  <pottendo@utanet.at>

	* arch/unix/vsidui.c (vsid_ui_display_tune_nr): Added call to
	updated UI control.
	(vsid_ui_display_name): ditto.
	(vsid_ui_display_author): ditto.
	(vsid_ui_display_copyright): ditto.
	(vsid_ui_display_sync): ditto.
	(vsid_ui_display_sid_model): ditto.
	(vsid_ui_display_tune_nr): ditto.
	(vsid_ui_display_irqtype): ditto.

	* arch/unix/x11/gnome/Makefile.am (libgnomeui_a_SOURCES): 
	* arch/unix/x11/xaw/Makefile.am (libxawui_a_SOURCES): Added
	`vsidcontrol.c' 

	* arch/unix/vsidui.h: New file; API to UI for vsid control UI.

	* arch/unix/x11/xaw/uivsidcontrol.c: Dummies for vsid control
	widget.

	* arch/unix/x11/gnome/uivsidcontrol.c: New file, implemented
	vsid control UI.
	
	* arch/unix/x11/videoarch.h: fullscreen_set_palette() New
	interface. 

	* arch/unix/x11/video.c (video_canvas_set_palette): Update
	fullscreen color palettes.

	* arch/unix/x11/gnome/uipalcontrol.c (pal_ctrl_reset):
	Reworked to access defaults via
	`resources_get_default_value()'.
	`resourcese()'. Triggered bug in resources.c, see below.

	* arch/unix/x11/dga2.c:
	(all): Introduced `dag_log' for log messages.
	(fullscreen_set_palette): Save physical color representation
	in window mode away.
	Changed interface to pass the canvas as first argument.
	(alarm_timeout): Use DGA primitives to switch back, instead of
	`fullscreen_mode_odd()'. 
	(fullscreen_refresh_func): Render through video layer in case
	of PAL Emulation.
	(fullscreen_set_mode): Install segfault handler.
	Allocate new colors only if necessary. Use saved colors when
	possible. Recalculate physical representation for video layer.
	Support for PAL Emulation: If active emulation goes into
	malloc'ed backbuffer. Refresh uses the video renderer to
	render the picture into the backbuffer of the graphics card,
	which in turn is drawn by the gfx hardware in Sync with the
	screen refresh.
	(fullscreen_mode_init): Initialize `dga_log'.

	* resources.c (resources_get_default_value): Fixed access to
	struct resource_s for factory value to return direct values. 

2002-01-02  Thomas Bretz  <tbretz@physik.tu-muenchen.de>

	* arch/os2/dialogs/menubar.c:
	removed NewLuminances for TED

	* arch/os2/video.c:
	changed GetWindowHeight/Width to use the canvas pointer
	changed output in case of wrong coordinates
	changed order in canvas_resize to fix a bug when calling
	WM_PAINT

	* crtc/crtc-resources.c, src/crtc/crtc.c:
	moved raster_enable_double_size to crtc_resize
	removed force_repaint from exposure handler (already in
	rastaer code)

	* plus4/ted-resources.c, src/plus4/ted.c:
	moved raster_enable_double_size to ted_resize
	removed force_repaint from exposure handler (already in raster
	code)

	* raster/raster.c
	some unimportant changes to the code layout

	* vdc/vdc-resources.c, src/vdc/vdc.c
	moved raster_enable_double_size to set_geometry
	changed first/last_displayed_line to fit the meaning in all
	other canvases (FIXME: Screenshot doesn't work anymore now)

	* vic20/vic-resources.c, src/vic20/vic.c:
	moved raster_enable_double_size to vic_resize
	removed force_repaint from exposure handler (already in raster
	code)

	* vicii/vicii-resources.c, src/vicii/vicii.c:
	moved raster_enable_double_size to vicii_resize
	removed force_repaint from exposure handler (already in raster
	code)

2002-01-01  Thomas Bretz  <tbretz@physik.tu-muenchen.de>

	* arch/os2/dialogs/menubar.c: fixed a bug in the CRTC double
	size/scan menu

	* arch/os2/video.c: fixed WmPaint

	* crtc/crtc-mem.c: show a bug in startup

	* pet/pet.c: changed mHz debugging to Hz. mHz is real unusual
	unit

2002-01-01  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/rescbm2.rc: Added SID settings menuitem.

	* arch/win32/uisid.c (CreateAndGetSidAddress): List of
	addresses for second SID now depends on the machine.

2002-01-01  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* arch/win32/res.h, arch/win32/uimon.c,
	monitor/mon_breakpoint.[hc], monitor/mon_ui.[hc]:
	added support for a context menu for the monitor disassembly
	window (to be opened by right-clicking inside of the window)

	* sid/resid.cc: rewrote two assignments int --> bool so that
	two warnings about assigning int to bool are avoided

2002-01-01  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.53.

	* plus4/plus4mem.c: Removed support for separate video banks.
	(mem_proc_port_read): Use IEC read function.
	(mem_initialize_memory): Fixed write pointer.
	(pio1_read, pio1_store): New functions.
	(rom_ffxx_read, rom_ffxx_store, ram_ffxx_read,
	ram_ffxx_store, rom_read): Fixed banking.

	* plus4/ted.c (ted_fetch_color): New functions.
	(do_matrix_fetch): Added separate color fetch DMA.

	* plus4/tedtypes.h: Removed `ted_fetch_idx_t'.

	* plus4/ted-sound.c, plus4/ted-sound.h (ted_sound_read,
	ted_sound_store): New functions.  First try of implementing
	sound.

	* plus4/ted-mem.c (ted_store, ted_read, ted_peek): Added calls
	to TED sound.
	(ted12_store): Care about bit #2..5 only.

	* vicii/vicii-color.c: Commented out `vic_ii_color_dither'.

	* plus4/ted-color.c, vic20/vic-color.c, vicii/vicii-color.c:
	Removed comma at end of struct video_cbm_palette_t.

	* maincpu.c: Removed `EVALUATE_SPEED' hack.

	* vic20/vic20sound.c, vic20/vic20sound.h, vic20/vic-mem.c
	(store_vic_sound): Renamed.

	* vic20/vic20sound.c, pet/petsound.c
	(sound_machine_dump_state): Use `xmsprintf()'.
	(sound_machine_open): Clear the entire malloc'ed struct.

2001-12-30  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.52.

	* plus4/plus4mem.c, plus4/plus4mem.h (mem_get_tedmem_base):
	New function.
	(mem_ioreg_list_get): Fixed TED memory region.
	(mem_get_screen_parameter): Fixed TED screen base.
	(mem_bank_read, mem_bank_write): Added ROM configurations.

	* plus4/ted.c (ted_update_memory_ptrs): Fixed RAM/ROM fetch.
	(ted_reset): reset cursor variables.
	(ted_raster_draw_alarm_handler): Increment cursor phase.

	* plus4/ted-mem.c (store_ted08): Added joystick support.
	(read_ted1a1b, read_ted1f, store_ted3e, store_ted3f): New
	functions.
	(store_ted13): Support read RAM/ROM status bit.

	* plus4/ted-draw.c (get_char_data, cache_data_fill_text,
	_draw_std_text_cached, _draw_std_text_cached_2x): New
	functions.
	(get_std_text): Added cursor support.

	* plus4/tedtypes.h: New variables `cursor_visible',
	`cursor_phase' and `crsrpos'.

	* arch/unix/plus4ui.c: Added joystick submenu.

	* vicii/vicii-draw.c (get_hires_bitmap, get_mc_text,
	get_mc_bitmap, get_ext_text): Fixed update flag handling.

	* vdc/vdc-draw.c (get_std_text, get_hires_bitmap): Fixed video
	cache coordinates.

	* arch/msdos/video.c: #include "ui.h".
	(video_init, canvas_set_vga_mode, video_canvas_refresh):
	Removed unused variables.
	(canvas_set_border_color): No need to inline this function.

	* arch/msdos/videoarch.h: Added prototype for
	`canvas_set_border_color()'.

	* sound.c (sound_flush): Initialize variable `space'.

2001-12-30  Dag Lem  <resid@nimrod.no>

	* arch/msdos/menudefs.c (show_copyright_callback): Corrected
	copyright period.

	* arch/unix/x11/gnome/about.c (ui_about): Likewise.

	* arch/unix/x11/xaw/about.c (ui_about): Likewise.

	* c64/psid.c (psid_init_tune): Corrected typo.

	* raster/raster.c (raster_realize, raster_free): Realize
	canvas in vsid mode.

2001-12-30  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/res.h: Added id for SID address control.

	* arch/win32/res.rc: Added combobox for SID address to the
	SID settings dialog. New function CreateAndGetSidAddress that
	creates the address entries and sets the resource.

	* sid/sid-cmdline-options.c: Changed info text for the
	SID address option.

2001-12-29  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.51.

	* utils.c, utils.h (util_file_load): Fill up memory with
	mirrors if the file is short and `UTIL_FILE_LOAD_FILL' is
	defined.

	* c64/cart/retroreplay.c, c128/functionrom.c: Use new file
	load feature instead of doing mirroring by hand.

	* plus4/ted-mem.c (read_ted1e): New function.

	* plus4/plus4mem.c (mem_config_ram_set, mem_config_rom_set,
	extromlo1_read, extromlo2_read, extromlo3_read,
	extromhi1_read, extromhi2_read, extromhi3_read):
	New functions.  Increased number of configs to 32.

	* plus4/plus4memlimit.c: Added new memory configs.

	* plus4/ted.c (ted_set_geometry): Extra border is not needed
	anymore.

	* plus4/ted-draw.c (_draw_hires_bitmap, _draw_hires_bitmap_2x,
	get_mc_text, get_mc_bitmap, _draw_mc_bitmap,
	_draw_mc_bitmap_2x, draw_mc_bitmap_foreground,
	draw_mc_bitmap_foreground_2x, get_ext_text): Fixed video
	modes.

2001-12-29  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/beos/video.c, videoarch.h: Removed obsolete stuff.

	* arch/msdos/c128ui.c, c64ui.c, vic20ui.c: Added menuitem for
	Fast PAL emulation.

	* arch/msdos/menudefs.c: Small change in the VGA submenu.

	* arch/msdos/statusbar.{c|h}: Added struct for the colors in
	the statusbar and functions statusbar_register_colors and
	statusbar_get_color.

	* arch/msdos/ui.c: Removed every use of STATUSBAR_COLOR_* with
	the a call of statusbar_get_color.

	* arch/msdos/videoarch.h: Changed video_frame_buffer to a
	simple PIXEL array. Added videorender BITMAP, depth and
	videoconfig to video_canvas. Moved video_canvas_refresh to
	video.c. Include video.h and palette.h.

	* arch/msdos/video.c: Added more VGA modes with variable color
	depth. Added an array canvaslist[] for correct handling of
	multi-canvas machines. video_frame_buffer_alloc and .._free
	handle the new frame_buffer type.
	New functions canvas_free_bitmaps, canvas_update_colors.
	(video_canvas_create) falls back to standard VGA if selected
	mode fails. Implemented video_canvas_destroy.
	New function canvas_change_palette. Removed statusbar color
	stuff from video_canvas_set_palette. disable_text handles
	every registered canvas to make changes in the VGA mode
	visible.
	(video_canvas_refresh) updates colors and clears screen if
	active canvas has changed; uses video_render_main before
	blitting to screen.

	* arch/win32/fullscreen.c: Include <prsht.h>.

	* vice.h: Define VIDEO_REMOVE_2X for MSDOS.

2001-12-28  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.50.

	* vic20/vic-draw.c (fill_cache, draw_line_cached,
	draw_reverse_line_cached,  draw_line_cached_2x,
	draw_reverse_line_cached_2x): Fixed start and end changes
	coordinates calculation.

	* raster/raster.c (add_line_and_double_scan): Update the
	region between `start' and `end' and not the whole line if
	`VIDEO_REMOVE_2X' is undefined too.
	(raster_screenshot): Always use a pixel size of one if
	`VIDEO_REMOVE_2X' is defined.

	* crtc/crtc.c (crtc_raster_draw_alarm_handler): Change xoffset
	only at line 0.

2001-12-26  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.49.

	* plus4/ted-draw.c: Some color table fixes.

	* plus4/ted-mem.c (store_ted161718): New function.

	* plus4/ted.c (ted_update_video_mode): Fixed vmode debugging.
	(ted_fetch_matrix): Fixed matrix fetch.
	(ted_update_memory_ptrs): Fixed bitmap address calculation.

	* plus4/plus4.c (machine_init): Reduced autostart waiting
	time.

	* c64/c64.c, c128/c128.c, vic20/vic20.c, pet/pet.c,
	plus4/plus4.c, cbm2/c610.c, vicii/vicii.c, vicii/vicii.h,
	sid/sid-snapshot.c, sid/sid-snapshot.h, c64/c64cia.h,
	c64/c64cia1.c, c64/c64cia2.c, c128/c128cia1.c, cbm2/c610cia.h,
	cbm2/c610cia1.c, c64/c64-snapshot.c, c128/c128-snapshot.c,
	c64/c64acia.h, c64/c64acia1.c, pet/petacia.h, pet/petacia1.c,
	drive/drive-snapshot.h, drive/drive-snapshot.c,
	cbm2/c610acia.h, cbm2/c610acia1.c, cbm2/c610tpi.h,
	cbm2/c610tpi1.c, cbm2/c610tpi2.c, vic20/vic20via.h,
	vic20/vic20via1.c, vic20/vic20via2.c, vic20/vic20ieeevia.h,
	vic20/vic20ieeevia1.c, vic20/vic20ieeevia2.c, vic20/vic.h,
	crtc/crtc.h, crtc/crtc-snapshot.c, pet/petpia.h,
	pet/petpia1.c, pet/petpia2.c, pet/petvia.h, pet/petvia.c,
	maincpu.h, maincpu.c, drive/drivecpu.h, drive/drivecpu.c,
	drive/viad.h, drive/via1d.c, drive/via2d.c, drive/ciad.h,
	drive/cia1571d.c, drive/cia1581d.c, drive/riotd.h,
	drive/riot1d.c, drive/riot2d.c, drive/fdc.h, drive/fdc.c,
	ciacore.c, viacore.c, piacore.c, aciacore.c, tpicore.c,
	c64/c64tpi.h, c64/c64tpi.c, riotcore.c: Directly call snapshot
	modules, names restructured.

2001-12-26  John Selck  <graham@cruise.de>

	* plus4/ted-color.c: Introduced ted_colors_with_lum to
	carry the 128 ted colors. ted_colors has been reduced to
	the 16 base colors. ted_luminances[] intruduced to
	carry the 8 different ted luminances.
	ted_update_palette() now calculates the ted colors into
	ted_colors_with_lum from ted_colors and ted_luminances[].

2001-12-25  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.48.

	* c64/c64iec.c, c128/c128iec.c, plus4/plus4iec.c
	(iec_update_cpu_bus): New function.

	* autostart.c (check): Skip some tests if zero is passed.

	* plus4/plus4.c (machine_init): Fixed screen and keyboard
	variables.

	* plus4/plus4mem.c (mem_initialize_memory): Initialize wrap
	around page too.

	* plus4/ted-mem.c (read_ted1c1d): New function.
	(store_ted0a, store_ted0b): Fixed raster irq line.
	(read_ted0a): Fixed register read access.
	(store_ted15, store_ted19):

	* plus4/ted.c (ted_raster_draw_alarm_handler): Fixed ECM bit.

2001-12-25  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* arch/win32/uimon.c: added possibility to toggle breakpoints
	by clicking into the disassembly window

	* monitor/mon.c: In mon_process(), added uimon_notify_change()
	so anything done on the command line will update the
	corresponding windows (I will think about it if this will be
	permanently or if I will find a solution with a finer
	granularity).

	* monitor/mon_breakpoint.[hc]: added mon_is_breakpoint() and
	mon_toggle_breakpoint()

	* monitor/mon_ui.[hc]: renamed mon_scroll[_to]() to 
	mon_disassembly_scroll[_to](), 
	added mon_disassembly_toggle_breakpoint()

2001-12-24  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.47.

	* raster/raster.c (add_line_and_double_scan): Update the
	region between `start' and `end' and not the whole line.

	* raster/raster-cache.c: Removed VDC specific functions.

	* vdc/vdc-draw.c (get_attr_char_data,
	cache_data_fill_attr_text, cache_data_fill_attr_text_const):
	Moved functions here.
	(get_std_text): Improved cursor handling.
	(get_std_bitmap): Improved reverse bit implementation.
	(cache_data_fill): New function.

	* vdc/vdc.c, vdc/vdctypes.h: Removed `raster_ycounter_divide'.

	* c64/reu.c (reu_dma): Restructured block functions, added
	support for DMA cycle stealing.

2001-12-23  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.46.

	* sid/sid-cmdline-options.c: New command line switch to set
	the base address for 2nd SID.

	* sid/sid-resources.c, sid/sid-resources.h
	(set_sid_stereo_address): New function.

	* machine.h, c64/c64.c, c128/c128.c, cbm2/c610.c
	(machine_sid2_check_range): New function.

	* sid/sid.c (sid_read, sid_store): Call 2nd SID if enabled.

	* c64/c64io.c, c128/c128io.c (io1_read, io1_store, io2_read,
	io2_store): Base address support for 2nd SID.

	* arch/unix/c64ui.c, arch/unix/c128ui.c, arch/unix/c610ui.c:
	Added second SID base address menu entries.

	* diskimage.c (disk_image_open): Warn if unknown disk image is
	opened.

	* attach.c (attach_disk_image): Removed warning.

	* ciacore.c (check_ciatodalarm): Check for running TOD clock.

	* autostart.c (autostart_advance, check): New state
	`AUTOSTART_PRESSPLAYONTAPE'.

2001-12-22  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.45.

	* vicii/vicii-draw.c, plus4/ted-draw.c (_draw_mc_text): Fixed
	casting if `ALLOW_UNALIGNED_ACCESS' is not defined.

	* crtc/crtc-draw.c (setup_double_size_modes): Fixed definition
	of `VIDEO_REMOVE_2X'.

	* arch/win32/ui.c (window_proc): Added drag & drop support
	provided by `webulator'.

	* info.c: Updated.

	* video/video-resources.c (video_resources_init): Initialize
	variable `result'.

	* palette.c (palette_load_core): Use `%ld' for `unsigned long
	int' format.

2001-12-21  Dag Lem  <resid@nimrod.no>

	* arch/unix/xaw/uimenu.c (menu_popup_callback): Removed call
	to vsync_suspend_speed_eval

2001-12-21  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/video.c (canvas_update): Changed test of
	cut_*line again.

	* vicii/vicii.c (vic_ii_set_geometry): Use fixed width instead
	of scaled when calling raster_set_geometry.

2001-12-20  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.44.

2001-12-20  John Selck  <graham@cruise.de>

	* arch/win32/res.rc: Improved video gui a bit.

	* video/raster1x1.c, raster1x2.c, raster2x2.c: Changed all
	int variables and parameters to unsigned int. Most
	paramaters and some variables now have "const" keyword.

	* video/raster1x1.h, raster1x2.h, raster2x2.h: Changed
	prototypes so parameters match with the sourcefiles.

2001-12-20  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/video.c (canvas_update): The viewport is already
	scaled, so don't scale cut_*line with pixel size.

2001-12-19  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.43.

	* arch/win32/video.c: Disabled debugging.

2001-12-19  Thomas Bretz  <tbretz@physik.tu-muenchen.de>

	* arch/os2/joystick.c, arch/os2/kbd/kmap-pet.c,
	arch/os2/kbd/kmap.c, arch/os2/video.c,
	arch/os2/joystick.c, arch/os2/kbd/kmap-pet.c,
	arch/os2/kbd/kmap.c, arch/os2/kbd.c,
	arch/os2/rs232.c, arch/os2/ui.c;
	replaced {NULL} in structure init block by NULL,
	the pointer to one field is NULL, not the first entry in this
	field (by chance it is the same)

	* arch/os2/uicmdline.c:
	- changed some variables to the correct size_t
    
	* arch/os2/uicmdline.h:
	- changed first argument to unsigned int
    
	* arch/os2/video.c:
	- fixed the wrong code in the Andreas-repository
    
	* log.c:
	- fixed some assignments between un/signed int and size_t
	- simplified the code in log_open
    
	* palette.c:
	- simplified the structure of palette_load
	- removed goto
	- fixed some assignments between signed/unsigned
    
	* resources.c:
	- fixed the usage of function pointer set_func. I wonder that
	no compiler printed a warning
      
	* zipcode.c:
	- fixed assignments between int and size_t
 
2001-12-18  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.42.

2001-12-18  Andreas Dehmel  <dehmel@forwiss.tu-muenchen.de>

	* arch/riscos/videoarch.h: added video_render_config_t to
	canvas_t

	* plus4/ted.c: protect ted_resources.double_scan_enabled by
	VIC_II_NEED_2X

	* vicii/vicii.c: protect vic_ii_resources.double_scan_enabled
	by VIC_II_NEED_2X

2001-12-17  Dag Lem  <resid@nimrod.no>

	* arch/unix/uijoystick2.c (set_joystick_device_1,
	set_joystick_device_2): Don't call vsync_suspend_speed_eval().

	* arch/unix/x11/gnome/ui.c (exposure_callback): Likewise.

	* arch/unix/x11/xaw/ui.c (exposure_callback): Likewise.

2001-12-17  Andreas Matthies  <andreas.matthies@gmx.net>

	* raster/raster.c (update_sprite_collision): Even the
	fake_frame_buffer_ptr uses extra_offscreen_border as
	offset.
	(raster_reset): Use extra_offscreen_border as first offset
	for frame_buffer_ptr.

	* sounddrv/sounddx.c (dx_write): Better test for overflow of
	buffer_offset.
	(dx_suspend): Clears buffer and resets buffer_offset.

2001-12-17  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.41.

	* arch/unix/c128ui.c: Added video cache and revision menu
	entry.

	* arch/unix/c610ui.c: Added C510 model line switch.

	* raster/raster-cache.h (raster_cache_data_fill_attr_text,
	raster_cache_data_fill_attr_text_const): Use inline functions
	instead of macros.

	* vdc/vdc-draw.c (get_std_text): Changed cache fill API.

2001-12-16  Dag Lem  <resid@nimrod.no>

	* vic20/vic20sound.c (vic_sound_reset): Call sound_reset
	before calling any other sound code.

	* pet/petsound.c (petsnd_reset): Likewise.

2001-12-16  Thomas Bretz  <tbretz@physik.tu-muenchen.de>

	* arch/os2/config.h:
	- define HAVE_OUSE for x64, x128 only
     
	* arch/os2/dialogs/dlg-color.rc:
	- changed name to Video Color Settings
     
	* arch/os2/dialogs/menubar.[c,rc]:
	- exclude new luminances for ted
     
	* arch/os2/vac++/incl/c64cart.icc:
	- added
     
	* arch/os2/vac++/Makefile.am:
	- added incl/c64cart.icc
     
	* arch/os2/video.c:
	- restructured the closing procedure, this should hopefully
	make sure, that all dive stuff is closed and freed correctly
	(this is to be carefull with bad dive implementations)
   
	* crtc/crtc-resources.c, plus4/ted-resources.c,
	plus4/ted-resources.c, raster/raster.c, raster/raster.h,
	vdc/vdc-resources.c, vic20/vic-resources.c,
	vicii/vicii-resources.c, video.h:
	- splitted double size flag in video_render_config_t
	in a x and y flag
       
	* raster/raster.c:
	- don't free a the frame_buffer in vsid and console mode

2001-12-16  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.40.

	* arch/unix/x11/xaw/x11video.c,
	arch/unix/x11/gnome/gnomevideo.c: Double framebuffer
	dimensions if `VIDEO_REMOVE_2X' is defined.

	* arch/unix/plus4ui.c: Added TED submenu.

	* plus4/tedtypes.h: Use 128 colors.

	* plus4/ted-draw.c (init_drawing_tables, _draw_std_text):
	First provisions for 128 color support.

	* plus4/ted.c (ted_fetch_matrix): Allow 128 colors.

2001-12-15  Andreas Matthies  <andreas.matthies@gmx.net>

	* vicii/vicii.c (vic_ii_set_geometry): extra_offscreen_border
	corrected again.

2001-12-15  Dag Lem  <resid@nimrod.no>

	* sound/sound.c (sid_init): Don't ask for reSID resource here.
	(sound_flush): Make sure sid_open is called before sid_init.

2001-12-15  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.39.

	* arch/win32/vic20ui.c (vic20_ui_specific): Fixed call to
	`ui_video_settings_dialog()'.

2001-12-14  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/beos/Makefile.am: Added new files ui_video.{h|cc}.

	* arch/beos/constants.h:Added two new ids.

	* arch/beos/ui.cc: Removed unused stuff. Added support for
	triggering resource setting at end of frame from different
	thread. Added handler for video settings menu item.

	* arch/beos/ui_vicii.cc: Removed general video stuff, added
	new luminance setting.

	* arch/beos/ui_video.{h|cc}: New files implementing the ui for
	general video settings.

	* arch/beos/vic20ui.cc: Added support for FastPAL, double size
	and double scan.

	* arch/beos/vicemenu.cc: Added menu item for video settings,
	enabled FastPAL, double size and double scan for VIC20.

	* arch/beos/video.cc: Uses new video_render API (videoconfig).

	* arch/beos/videoarch.h: Added video_render_config_t to canvas.

2001-12-14  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* arch/win32/uimon.c: Fixes a cosmetical problem when re-
	opening monitor with maximized console window inside: Then,
	the dimensions got not recalculated.

2001-12-14  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.38.

2001-12-14  Andreas Matthies  <andreas.matthies@gmx.net>

	* raster/raster.c (realize_frame_buffer): frame_buffer
	needs extra_offscreen_border on both sides, so its width
	uses it two times.

	* vicii/vicii-mem.c (check_bad_line_state_change_for_d011):
	Removed obsolete delay of vicii.idle_state.

	* vicii/vicii.c (vic_ii_set_geometry): extra_offscreen_border
	corrected.
	(vic_ii_fetch_matrix): Checks for get_background_from_vbuf
	and sets overscan_background_color accordingly.
	(vic_ii_update_video_mode): Sets get_background_from_vbuf
	flag, if new mode is HIRES.
	(vic_ii_raster_draw_alarm_handler): Removed the old hack for
	overscan_background_color. The new one introduced with
	get_background_from_vbuf seems more promising :)

	* vicii/viciitypes.h: New member get_background_from_vbuf in
	vic_ii_t.

2001-12-14  Thomas Bretz  <tbretz@physik.tu-muenchen.de>

	* arch/os2/archdep.c, arch/os2/dialogs/dlg-color.c,
	arch/os2/dialogs/dlg-datasette.c,
	arch/os2/dialogs/dlg-drive.c, arch/os2/dialogs/dlg-emulator.c,
	arch/os2/dialogs/dlg-joystick.c, arch/os2/kbd/kmap-pet.c,
	arch/os2/kbd/kmap.c: 
	- changes int to long for resources_get_value 
	(just to be carefull)

	* arch/os2/config.h:
	- changed definition for usage of Pal, Ntsc, ...

	* arch/os2/dialogs/dialogs.rc:
	- changed xplus4 icon

	* arch/os2/dialogs/menubar.[rc,c]:
	- changes to the used defines for Pal, Ntsc, ...
	- changed some orders
	- small changes to layout

	* arch/os2/Makefile.am:
	- added xplus4.ico
 
	* arch/os2/vac++/incl/c64cart.icc:
	- added

	* arch/os2/vac++/xplus4/Xplus4.ICC:
	- added dlg-color.c

	* arch/os2/vac++/xvic/Xvic.ICC:
	- changed debug from yes to no (why was it yes?)
	- added color-dlg

	* cbm2/c610mem.c:
	- changed initialization (-model 510 was not working)

	* raster/raster.c, screenshot.h:
	- added first_displayed_col

	* vdc/vdc-draw.c:
	- fixed a bug which caused that only every second line was
	drawn in double scan off, double size off
 
	* vdc/vdc-resources.c:
	- removed stdio.h
    
2001-12-14  John Selck  <graham@cruise.de>

	* plus4/ted-resources.c: Removed resource variables which
	are part of the Video layer now. Also removed their setter
	functions and vic_ii_activate_palette().

	* plus4/ted-resources.h: Removed resource variables from
	ted_resources_t. Removed prototype for
	vic_ii_activate_palette().

	* plus4/ted-color.c: Removed everything and replaced it by the
	contents of vicii-color.c. All functions have been renamed
	from vic_ii_* to ted_*.

	* plus4/ted-color.h: Removed everything and added
	ted_update_palette() prototype.

	* plus4/ted.c: Removed vic_ii_load_palette() and
	vic_ii_calc_palette(). Replace vic_ii_activate_palette() call
	with a ted_update_palette() call.
	ted_resize() now calls raster_enable_double_scan() to avoid
	DoubleScan initialisation problems.
	init_raster() now calls video_color_set_raster().

	* plus4/tedtypes.h: Removed prototypes of
	vic_ii_load_palette(), vic_ii_calc_palette() and
	vic_ii_activate_palette().
	Renamed VIC_II_NUM_COLORS to TED_NUM_COLORS.

2001-12-13  John Selck  <graham@cruise.de>

	* video/video-render.c: video_render_main() now disables
	fastpal renderers when an external palette is set.

	* arch/win32/video.c: canvas_update() now correctly clips
	against framebuffer borders again when VIDEO_REMOVE_2X
	is set.

	* arch/win32/fullscreen.c: dialog_fullscreen_proc() now also
	reacts on WM_NOTIFY, so the dialog doesn't ignore the new
	settings anymore even if it is part of the video settings.

2001-12-12  John Selck  <graham@cruise.de>

	* arch/win32/res.rc: Removed OK/CANCEL buttons from Fullscreen
	dialog. Fixed filename ComboBox in Video_Advanced dialog.

	* arch/win32/resc128.rc: Removed Fullscreen settings from
	"Settings" menu.

	* arch/win32/resc64.rc: Removed Fullscreen settings from
	"Settings" menu.

	* arch/win32/resvic.rc: Removed Fullscreen settings from
	"Settings" menu.

	* arch/win32/respet.rc: Removed Fullscreen settings from
	"Settings" menu. Added Video settings to it.

	* arch/win32/rescbm2.rc: Removed Fullscreen settings from
	"Settings" menu. Added Video settings to it.

	* arch/win32/resplus4.rc: Removed Fullscreen settings from
	"Settings" menu. Added Video settings to it.

	* arch/win32/uivideo.c: init_advanced_dialog() now adds the
	names of the default palettes to the palette name ComboBox.
	Added *palettes[] which contain the names.
	ui_video_settings_dialog() now also adds the "Fullscreen" page
	to the video settings. Added parameter to let the caller
	choose a gui layout.

	* arch/win32/uivideo.h: Added UI_VIDEO_PAL and UI_VIDEO_RGB
	defines for two possible video setting layouts. Changed
	prototype of ui_video_settings_dialog().

	* arch/win32/fullscreen.c: Renamed dialog_proc() to
	dialog_fullscreen_prototype and made the function non-static. 
	Removed ui_fullscreen_settings_dialog() function.

	* arch/win32/fullscreen.h: Removed
	ui_fullscreen_settings_dialog() prototypes.
	Added init_fullscreen_dialog() and dialog_fullscreen_proc()
	prototypes.

	* arch/win32/ui.c: Removed ui_fullscreen_settings_dialog()
	call.

	* arch/win32/c128ui.c: c128_ui_specific() now calls
	ui_video_settings_dialog() with UI_VIDEO_PAL parameter.

	* arch/win32/c64ui.c: c64_ui_specific() now calls
	ui_video_settings_dialog() with UI_VIDEO_PAL parameter.

	* arch/win32/vic20ui.c: vic20_ui_specific() now calls
	ui_video_settings_dialog() with UI_VIDEO_PAL parameter.

	* arch/win32/petui.c: pet_ui_specific() now calls
	ui_video_settings_dialog() with UI_VIDEO_RGB parameter.

	* arch/win32/c610ui.c: cbm2_ui_specific() now calls
	ui_video_settings_dialog() with UI_VIDEO_RGB parameter.

	* arch/win32/plus4ui.c: plus4_ui_specific() now calls
	ui_video_settings_dialog() with UI_VIDEO_PAL parameter.

	* video/video-resources.c: Changed default values for
	ColorBrightness and ColorContrast to 1.0.

	* vicii/vicii-color.c: Changed base saturation of VIC-II
	palette from 40 to 48.

	* vic20/vic-color.c: Changed base saturation of VIC palette
	from 40 to 48.

2001-12-11  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.37.

	* raster/raster.c (draw_blank): Commented out multiplication
	by two as the border is mixed up otherwise.
	(realize_frame_buffer): Removed frame buffer width hack.

	* vicii/vicii.c (vic_ii_set_geometry): Enlarged extra border.

	* vdc/vdc.c (vdc_init): Moved call to
	`raster_set_pixel_size()' here.
	(vdc_raster_draw_alarm_handler): Update bitmap address on
	first visisble line.

	* vdc/vdc-mem.c (vdc_store): Changed calculation of vertial
	scroll.

	* vdc/vdc-draw.c (get_std_text): Added support for reverse
	bit.

	* raster/raster-cache.h (raster_cache_data_fill_attr_text,
	raster_cache_data_fill_attr_text_const): Added support for
	reverse bit.

	* vdc/vdc-resources.c: #include <stdio.h>.

2001-12-11  John Selck  <graham@cruise.de>

	* crtc/crtc.c: crtc_resize() and crtc_set_geometry() now
	select VIDEO_RENDER_2X2 for 2x2 rendering.

	* crtc/crtc-draw.c: When VIDEO_REMOVE_2X is defined, the
	2x renderers are removed.

	* raster/raster.c: When VIDEO_REMOVE_2X is defined,
	realize_frame_buffer() will allocate a framebuffer independent
	from the pixel_size in the viewport. The framebuffer size
	should be always 1x1, but due to a bug in a VIC-II renderer
	which causes access faults the width is doubled.
 
	* vicii/vicii-resources.c: DoubleScan default setting now is
	"1".

	* vicii/vicii.c: vic_ii_resize() now also calls
	raster_enable_double_scan().

	* vic/vic-resources.c: DoubleScan default setting now is "1".

	* vic/vic.c: vic_resize() now also calls
	raster_enable_double_scan().

	* crtc/crtc.c: crtc_resize() now also calls
	raster_enable_double_scan().

2001-12-11  Thomas Bretz  <tbretz@physik.tu-muenchen.de>

	* arch/os2/config.h: 
	-added definitions for *_NEED_2X, HAVE_*
	-removed HAVE_MOUSE for Plus4

	* arch/os2/dialogs/dialogs.rc:
	- removed defaulticons
	- removed pointers
	- changed About-dialog to 2002

	* arch/os2/dialogs/dlg-color.c: simplified
  
	* arch/os2/dialogs/dlg-fileio.c:
	- fixed some bugs
	- added crtridge support for x128
  
	* arch/os2/dialogs/menubar.[h,rc,c]:
	- added support for video souble size/scan
	- added support for fake pal emu
  
	* arch/os2/makeclean.cmd: added *.ics
  
	* arch/os2/makedist.cmd: added plus4 stuff
  
	* arch/os2/ui.c: changes resources and cmdline options for
	vsid_mode
  
	* arch/os2/vac++/incl/cbm2.icc: added c610-snapshot.c
  
	* arch/os2/vac++/incl/pet.icc: added pet-snapshot.c
  
	* arch/os2/vac++/incl/plus4.icc: added plus4-snapshot.c
  
	* arch/os2/vac++/incl/video.icc: added render1x2.c
  
	* arch/os2/vac++/Makefile.am: removed c64cart.icc
  
	* arch/os2/vac++/xcbm2/Xcbm2.ICC,
	arch/os2/vac++/xpet/Xpet.ICC,
	arch/os2/vac++/xplus4/Xplus4.ICC: 
	- added video stuff

	* arch/os2/video.c, videoarch.h:
	- added support for direct access
	- added some measurements
	- changed resource handling for vsid_mode
	- made all video stuff local to the canvas
	- removed palette from video_canvas_t
	- added support for video_render_setphysical_palette
	- reorganized initialization of canvas
	- renamed and reordered some functions
	- added support for renderer
  
	* raster/raster.c:
	- don't realize video canvas in vsid_mode
	- don't destroy canvas in vsid_mode
  
	* vdc/vdc-resources.c: - removed include of stdio
  
	* video.h: - splitted typedef struct
  
2001-12-10  John Selck  <graham@cruise.de>

	* video.h: New rendermode VIDEO_RENDER_NULL which
	disables rendering.

	* video/video-render.c: video_render_initconfig() now
	initialises the videoconfig with VIDEO_RENDER_NULL.
	video_render_main() now has a case for this new rendermode.

	* vicii/vicii.c: vic_ii_init() now calls vic_ii_resize().

	* vic20/vic.c: vic_init() now calls vic_resize().

	* crtc/crtc.c: crtc_init() now calls crtc_resize().

	* vdc/vdc.c: vdc_resize() now calls raster_set_pixel_size().

2001-12-09  pottendo  <pottendo@utanet.at>

	* arch/unix/x11/videoarch.h: Made `videorendermode' visible for
	Gnome.

	* arch/unix/x11/gnome/uipalcontrol.c (build_pal_ctrl_widget):
	Added a reset button. Changed scrollbars to be aligned. Added
	instrumentation for translations to labels.

	* arch/unix/x11/gnome/ui.c (ui_create_status_bar): Fixed focus
	behavior of the pal_ctrl_checkbox widget. 
	(ui_update_pal_ctrls): Handle hide/show of pal controls more
	smartly. 

	* arch/unix/x11/dga2.c (fullscreen_vidmode_available): if 0'ed
	XF86DGAForkApp() call. Dga should be stable enough now.
 
2001-12-09  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.36.

	* arch/unix/x11/videoarch.h: Added `video_render_config_t'
	to canvas.

	* arch/unix/x11/video.c (video_convert_color_table,
	convert_8to8, convert_8to16, convert_8to32, convert_8toall,
	convert_8to1_dither): Changed to new video render API.
	(video_canvas_create): Initialize videoconfig.

	* vdc/vdc-draw.c (get_idle, draw_idle_cached, draw_idle): New
	functions.
	(setup_single_size_modes): Added idle modes.
	(get_std_text, draw_std_text_cached, draw_std_text,
	get_std_bitmap, draw_std_bitmap_cached, draw_std_bitmap):
	Removed some hardcoded constants.

	* vdc/vdc-mem.c (vdc_store): Added more support for register
	#1, #7, #22, #24 and #25.

	* vdc/vdc.c (vdc_set_geometry, vdc_update_geometry): Removed
	some hardcoded constants.
	(vdc_set_video_mode): New function.

	* vdc/vdctypes.h: Removed some hardcoded constants.

2001-12-09  John Selck  <graham@cruise.de>

	* arch/win32/videoarch.h: Replaced videorendermode
	variable by videoconfig (video_render_config_t).

	* video.h: Added video_render_config_t definition.
	video_render_main() prototype changed: Now the videoconfig
	is given to the function instead of rendermode and colortab.
	Added prototype of video_render_initconfig().
	Added prototype of video_render_setphysicalcolor().

	* arch/win32/video.c: Changed video_render_main() call.
	video_canvas_create() now initializes the videoconfig with
	a video_render_initconfig() call.
	set_physical_colors() now calls video_render_setphysicalcolor()
	instead of setting the colors directly into the table.

	* video/video-render.c: video_render_main() adapted for
	new parameters. video_render_initconfig() and
	video_render_setphysicalcolor() added.
	Removed double_scan_bad global variable.

	* raster/raster.c: raster_set_pixel_size() adapted for
	video_render_config_t. raster_enable_double_scan() now
	changes videoconfig.doublescan.

	* vicii/vicii-resources.c: set_double_size_enabled() doesn't
	write to double_scan_bad anymore.

	* vic/vic-resources.c: set_double_size_enabled() doesn't
	write to double_scan_bad anymore.

	* crtc/crtc-resources.c: set_double_size_enabled() doesn't
	write to double_scan_bad anymore.

	* plus4/ted-resources.c: set_double_size_enabled() doesn't
	write to double_scan_bad anymore.

2001-12-08  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.35.

	* arch/unix/x11/videoarch.h: Added `videorendermode' to
	canvas.

	* arch/unix/x11/video.c: Fixed call to `video_render_main()'.

	* plus4/ted.c (ted_set_geometry, ted_resize): Fixed call to
	`raster_set_pixel_size()'.

	* c128/c128mmu.c (mmu_ffxx_read, mmu_ffxx_read_z80): Return
	contents of MMU registers on $FF01-$FF04 read access.
	(mmu_reset): Clear MMU registers.

2001-12-08  John Selck  <graham@cruise.de>

	* arch/win32/videoarch.h: Added "videorendermode"
	variable to the canvas definition.

	* arch/win32/video.c: real_refresh() now hands
	canvas->videorendermode to the video_render_main()
	function.

	* video/video-render.c: Finally removed double_size_bad.
	video_render_main() now has another argument which
	selects the "rendermode", so the video layer can decide
	on it's own what is allowed for certain rendering and what
	is not.

	* video/video.h: Changed video_render_main() prototype.
	Changed rendermode constants so they define a bit more
	precisely what renderers may be called.

	* raster/raster.c: raster_set_pixel_size() got a new
	argument which sets the rendermode of the canvas.

	* raster/raster.h: Changed prototype of
	raster_set_pixel_size().

	* vicii/vicii-resources.c: set_double_size_enabled()
	no longer hands the state of DoubleSize to the video layer.

	* vicii/vicii.c: vic_ii_set_geometry() and vic_ii_resize()
	now also set the rendermodes when calling
	raster_set_pixel_size().

	* vic/vic-resources.c: set_double_size_enabled()
	no longer hands the state of DoubleSize to the video layer.

	* vic/vic.c: vic_set_geometry() and vic_resize()
	now also set the rendermodes when calling
	raster_set_pixel_size().

	* crtc/crtc-resources.c: set_double_size_enabled()
	no longer hands the state of DoubleSize to the video layer.

	* crtc/crtc.c: crtc_set_geometry() and crtc_resize()
	now also set the rendermodes when calling
	raster_set_pixel_size().

2001-12-08  Andreas Matthies  <andreas.matthies@gmx.net>

	* vicii/vicii-mem.c (check_bad_line_state_change_for_d011):
	Delay vic_ii.idle_state via raster_add_int_change_forground()
	This solves problems with garbage in first line in some demos.

2001-12-08  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/resplus4.rc: Fixed settings dialog to make it
	compile again.

2001-12-07  John Selck  <graham@cruise.de>

	* video/render1x1.c: Fixed <8 pixel rendering.

	* video/render1x2.c: Fixed <8 pixel rendering.

	* video/render2x2.c: Fixed <8 pixel rendering.

	* arch/win32/uivicii.c: Removed implementation of Palette and
	Color options.

2001-12-06  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.34.

	* arch/win32/Makefile.am: Added new files.

	* arch/unix/x11/gnome/gnomevideo.c (video_frame_buffer_alloc):
	Fill in pointer to canvas.

2001-12-06  pottendo  <pottendo@utanet.at>

	* video/video-resources.c (set_delayloop_emulation): Call ui
	to update (show/hide) the PAL control settings.
	This is currently `USE_GNOMEUI' ifdef'ed. If all ports
	implement that UI control (or dummies) the ifdef should go
	away.

	* arch/unix/x11/gnome/uipalcontrol.c: New file. Implementation
	of the PAL control widget.

	* arch/unix/x11/gnome/ui.c (ui_create_status_bar): Add control
	checkbox for PAL settings. Hide it as long as the PAL
	emulation is not used.
	(ui_update_pal_checkbox): New function.
	(ui_update_pal_ctrls): Ditto. Called from video code to update
	the status.

	* arch/unix/x11/gnome/Makefile.am (libgnomeui_a_SOURCES):
	Added `uipalcontrol.c'

	* arch/unix/ui.h (ui_update_pal_ctrls): New prototype.

2001-12-05  John Selck  <graham@cruise.de>

	* arch/win32/arch.dsp: Added new file to project: uivideo.c.

	* arch/win32/res.h: Added new defines for Video Dialog.
	Removed defines for VIC-II Dialog which now have become
	obsolete.

	* arch/win32/res.rc: Added Video Dialog with Colors and
	Advanced settings.

	* arch/win32/resc64.rc: Removed all gadgets from the VIC-II
	Dialog which now should be in the Video Dialog. Added
	Video Dialog to Settings menu.

	* arch/win32/resc128.rc: Same as resc64.rc.

	* arch/win32/resvic.rc: Added Video Dialog to Settings menu.

	* arch/win32/c64ui.c: Added ui_video_settings_dialog() call
	to c64_ui_specific().

	* arch/win32/vic20ui.c: Added ui_video_settings_dialog() call
	to vic20_ui_specific(). Added FastPAL toggle to
	vic20_ui_menu_toggles[].

	* arch/win32/uivicii.c: Removed implementation of Palette and
	Color options.

	* arch/win32/uivideo.c: New file. Added implementation of Color
	and Advanced options.

	* arch/win32/uivideo.h: New file. Added
	ui_video_settings_dialog() prototype.

	* video.h: Added define for
	VIDEO_RENDER_MONOCHROME_FIXEDSIZE.

	* video/video-render.c: On VIDEO...FIXEDSIZE the renderer
	will only render in 1x1, no matter what settings DoubleSize has.
	Removed a bug which could cause weird rendering on
	MONOCHROME display.

	* video/render1x1.c: Removed unused local variables.

	* cbm2/c610.c: machine_init_resources() now enables pal video
	resources.

	* crtc/crtc.c: crtc_resize() now selects VIDEO...FIXEDSIZE when
	1x1 rendering is needed.

2001-12-02  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/beos/video.cc: video_canvas_create fits with prototype.

	* arch/win32/c128ui.c, resc128.rc: Added UI-support for
	cartidges.

	* datasette.c: Changed cmdline options: -=Enable, +=Disable.

2001-12-02  Tibor Biczo  <crown@axelero.hu>

	* arch/win32/video.c (video_frame_buffer_translate):
	Translation is not required anymore, function does nothing,
	will be removed later. 
	(set_physical_colors): Changed method of getting physical
	color representation for 16/24/32 bit modes.

2001-12-02  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.33.

	* raster/raster.c, video.h, arch/unix/x11/video.c,
	arch/win32/video.c, arch/msdos/video.c, arch/riscos/video.c,
	arch/os2/unused/video_gpi.h, arch/os2/unused/video_gpi.c,
	arch/os2/video.c: Generalized Gnome specific hack.

	* arch/unix/x11/xaw/x11video.c (video_frame_buffer_alloc):
	Initialize pointer to canvas.

	* arch/unix/x11/video.c (video_convert_color_table,
	convert_8to16, convert_8to32, convert_8to8,
	convert_8to1_dither, convert_8toall): Use color table supplied
	by the canvas instead of using one global pixel color table.

	* arch/unix/x11/xaw/uicolor.c, arch/unix/x11/gnome/uicolor.c
	(uicolor_alloc_system_colors): Create canvas for system
	colors.
	(uicolor_convert_color_table): Pass canvas pointer.

	* color.c (color_fill_pixel_return): The pixel color table
	index now counts from zero for any window.

	* arch/unix/x11/video.c (video_frame_buffer_clear): Removed
	color conversion.
	(video_convert_color_table): Simplified.

	* arch/unix/uivicii.c: Commented out PAL emulation switch.

	* info.c, arch/unix/x11/xaw/about.c,
	arch/unix/x11/gnome/about.c: Updated.

2001-12-02  pottendo  <pottendo@utanet.at>

	* arch/unix/c610ui.c: Removed radio button specifier for
	`model_defaults_submenu'.

2001-12-01  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.32.

	* video/Makefile.am: Added new files.

2001-12-01  John Selck  <graham@cruise.de>

	* video/render1x2.h: New file, prototypes for 1x2 renderers
	introduced.

	* video/render1x2.c: New file, 1x2 renderers introduced.

	* video/video-render.c: Added new renderers to
	video_render_main(). Added new video_rendermode
	variable which describes what renderers should be used.
	Added video_render_set_rendermode().

	* video.h: Added video_render_set_rendermode() prototype.
	Added defines for different rendermodes.

	* crtc/crtc.c: crtc_resize() now sets different rendermodes.
	crtc_init() now sets default monochrome rendermode.

	* crtc/crtc-resources.c: set_double_size_enabled() and
	set_double_scan_enabled() now access the video layer variables
	double_size_bad and double_scan_bad. Same hack as in
	vicii-resources.c and vic-resources.c (Should be fixed one day).

	* arch/win32/video.dsp: Added render1x2.c to project.

2001-11-30  Andreas Matthies  <andreas.matthies@gmx.net>

	* vic20/vic.h: VIC_RASTER_CHAR scales with VIC_PIXEL_WIDTH
	Added new macro VIC_BORDER_X for raster_add_int_change_border
	which needs scaling with VIC_PIXEL_WIDTH while
	raster_add_int_change_background doesn't. That's strange...

	* vic20/vic-mem.c (vic_store): Added two more scalings
	with VIC_PIXEL_WIDTH. Store to 15 uses new macro VIC_BORDER_X
	to register change in border.

2001-11-29  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/beos/c128ui.cc, c64ui.cc: Added menu toggles for
	fast PAL emulation.

	* arch/beos/constants.h: Added menu id for this menu item.

	* arch/beos/vicemenu.cc: Added 'Fast PAL' menu item.

	* arch/beos/vicewindow.{cc|h}: No offset from bitmap to view
	needed anymore.

	* arch/beos/videoarch.h: We don't need the bitmap and
	ViceWindow in the frame_buffer struct anymore.

	* arch/beos/video.cc: Changed constructor and destructor for
	the video_frame_buffer. New function (canvas_create_bitmap).
	(canvas_create) handles color depth 8, 15~16 and 32.
	(video_canvas_resize) deletes bitmap and reallocates it via
	calling canvas_create_bitmap.
	(video_canvas_set_palette) handles color depth 8, 16 and 32.
	(video_canvas_refresh) cuts with and height if necessary;
	slightly different call of video_render_main due to new canvas
	and frame_buffer structures. No connection from canvas to
	frame_buffer needed anymore.

	* raster_raster.c: (raster_resize_viewport) finally calls
	raster_force_repaint();

2001-11-29  John Selck  <graham@cruise.de>

	* vicii/vicii-resources.c: Removed video_color_set_raster()
	call from vic_ii_resources_init().

	* vicii/vicii.c: Added video_color_set_raster() call to init_raster().

	* vic20/vic.c: vic_set_geometry() and vic_resize() now sets raster
	variables already scaled to VIC_PIXEL_WIDTH.
	vic_raster_draw_alarm_handler() now takes into account that raster
	layer already has it's variables scaled with VIC_PIXEL_WIDTH.
	Pixel size in raster layer is NOT scaled with VIC_PIXEL_WIDTH
	anymore making it possible to use the same renderers as the other
	emulators.
	Moved video_color_set_raster() to the beginning of init_raster().

	* vic20/vic-draw.c: If VIDEO_REMOVE_2X is defined the 2x code
	is removed and the single pixel code x positions will not be scaled
	by VIC_PIXEL_WIDTH anymore.
	vic_draw_set_double_size() will only define single pixel calls if
	VIDEO_REMOVE_2X is defined.

	* vic20/vic-mem.c: vic_store() now takes into account that raster
	variables are already scaled with VIC_PIXEL_WIDTH.

	* vic20/vic-resources.c: set_double_size_enabled() and
	set_double_scan_enabled() now access the video layer variables
	double_size_bad and double_scan_bad. Same hack as in
	vicii-resources.c (Should be fixed one day).

2001-11-26  John Selck  <graham@cruise.de>

	* video/render1x1.c: Removed longword optimisations in
	fake-pal renderers. This should fix the unaligned accesses.

	* video/render2x2.c: Same as in render1x1.c.

	* video/video-resources.c: Split up resources[] into
	resources[] and resources_pal[] to make it possible to
	not register the PAL-specific resources on non-PAL
	emulators. Changed video_resources_init() to register different
	sets of resources depending on the value given as argument.

	* video/video-resources.h: Changed prototype of
	video_resources_init() to accept an argument. Added defines
	for different constants which select which resources should
	be registered.

	* c64/c64.c: machine_init_resources(): video_resource_init() call
	now gives VIDEO_RESOURCES_PAL as argument.

	* c128/c128.c: machine_init_resources(): video_resource_init() call
	now gives VIDEO_RESOURCES_PAL as argument.

	* vic20/vic20.c: machine_init_resources(): video_resource_init() call
	now gives VIDEO_RESOURCES_PAL as argument.

	* plus4/plus4.c: machine_init_resources(): video_resource_init() call
	now gives VIDEO_RESOURCES_PAL_NOFAKE as argument.

	* plus4/plus4.c: machine_init_resources(): video_resource_init() call
	now gives VIDEO_RESOURCES_PAL_NOFAKE as argument.

	* pet/pet.c: machine_init_resources(): video_resource_init() call
	now gives VIDEO_RESOURCES_MONOCHROME as argument.

	* cbm2/cbm2.c: machine_init_resources(): video_resource_init() call
	now gives VIDEO_RESOURCES_MONOCHROME as argument.

2001-11-26  Andreas Dehmel  <dehmel@forwiss.tu-muenchen.de>

	* sound.c: moved VIDC init call back here

	* arch/riscos/plus4ui.c: fixed keycode mapping

	* arch/riscos/ui.c: moved VIDC init call to sound.c, use
	correct icon bar sprite for PLUS4 emu.

	* arch/riscos/uiconfig.c: added Zaxxon cartridge

2001-11-25  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.31.

	* color.c (color_alloc_new_colors): Fixed stupid bug.
	(color_fill_pixel_return): Be a bit smarter.

	* arch/unix/uisettings.c, arch/unix/uivicii.c: Move PAL
	emulation settings to chip menu. Added external palette
	support.

	* arch/unix/x11/xaw/uicolor.c, arch/unix/x11/gnome/uicolor.c,
	arch/unix/x11/video.c, arch/unix/ui.h, uicolor.h: Renamed
	`uicolor_set_palette()'.

	* arch/unix/uisettings.c, arch/unix/uisettings.h: Added TED
	video menu.

	* vdc/vdc-mem.c: Replaced `vic_ii_handle_pending_alarms' by
	`machine_handle_pending_alarms'.

	* vdc/Makefile.am: Removed `vicii' from include path.

	* plus4/tedtypes.h, plus4/ted.c, plus4/ted-draw.c,
	plus4/ted-draw.h, plus4/ted-mem.c

2001-11-24  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.30.

	* arch/os2/vac++/Makefile.am: Added `incl/c64cart.icc'.

2001-11-23  Andreas Matthies  <andreas.matthies@gmx.net>

	* vic20/vic20iec.c: Initialize cpu_clock and cpu_atn with 1
	(PEEK(37151)=126 after resetting a VIC20).
	(iec_pa_read): Don't return immediately if no drive is
	enabled. Bit7 of should be reversed (determined by POKEing
	to $9113 and PEEKing from $9111 compared to a real VIC20.
	(iec_pa_write): Don't return immediately if no drive is
	enabled.

2001-11-21  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/msdos/plus4ui.{c|h}, plus4kbd.c: New files.

	* arch/msdos/Makefile.am: Added new files.

	* arch/msdos/videoarch.h: Changed definition of canvas_s
	to match even with newer allegro library.

	* arch/msdos/vsync.c: Changed names of functions
	vsync_init_* to vsync_*_init.

	* plus4/ted.c: Under MSDOS include vsyncarch.h and test
	for viewport < TED_SCREEN_*.

2001-11-20  John Selck  <graham@cruise.de>

	* video/video-color.c: Fixed more pow() calls in
	video_convert_ycbcr_to_rgb(). Now there is no pow() call left
	where it is possible that it's called with negative numbers.

	* video/render1x1.c: Replaced increment operator on casted
	pointer memory accesses by different code to avoid compiler
	errors on some compilers.

	* video/render2x2.c: Same as render1x1.c.

2001-11-18  Andreas Dehmel  <dehmel@forwiss.tu-muenchen.de>

	* arch/riscos/ui.c: added missing include

	* arch/riscos/vsync.c: renamed init functions

2001-11-18  Thomas Bretz  <tbretz@physik.tu-muenchen.de>

	* arch/os2/config.h: enabled *_NEED_2X
     
	* arch/os2/dialogs/dlg-fileio.c: removed a redundant i=0
   
	* arch/os2/dialogs/menubar.[h,c,rc]:
	- added entry for 'Fake palette emu'
	- corrected a bug which was caused by the direct calls
	to the file open dialog for the cartridges
	- made vide mode toggle asynchronous.
	- removed wrong kbd shortcuts for 'Detach disks'
     
	* arch/os2/vac++/incl/c128.icc: added c128-snapshot.c
     
	* arch/os2/vac++/incl/c64.icc:
	- added c64-snapshot.c
	- added c64pla.c
     
	* arch/os2/vac++/incl/mainsrc.icc: removed video-* stuff
     
	* arch/os2/vac++/incl/vic20.icc: added vic20-snapshot.c
     
	* arch/os2/vac++/incl/video.icc: added
     
	* arch/os2/vac++/Makefile.am:
	- added c64cart.icc
	- added video.icc
     
	* arch/os2/vac++/x128/X128.ICC:
	- added video-suff
	- added c64pla.c
     
	* arch/os2/vac++/x64/X64.ICC, arch/os2/vac++/xvic/Xvic.ICC:
	- added video stuff
     
	* arch/os2/video.c, arch/os2/videoarch.h:
	- cleaned up includes
	- made all dive descriptors (SETUP_BLITTER, HDIVE, etc) local
	to the canvases
	- changed the creation of canvases to support the local
	dive stuff
	- introduced video_render_main, and use of
	VideoBegin/EndImageBufferAcc.
	- renamed many of the functions
	- made also the mutex local
	- changed mutex handling
	- changed code for canvas_refresh and WM_PAINT calls
	- tried to skip WinDefWindowProc
	- introduced GetCanvas
	- introduced usage of DIVECAPS
	- removed initialization flags. Replaced by more intelligent
	solutions using the canvas and HDIVE pointer directly
	- added code for palette conversion
     
	* utils.c:
	- excluded the chacks in xmalloc, xcalloc, xrealloc.
	The exit-call will fail in some circumstances and look up
	the system.
       
	* video/video-resources.c:
	- made set_delayloop and set_pal work correctly...

2001-11-18  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* arch/win32/base.dsp: New project file

	* arch/win32/x{64/128/cbm2/plus4/vic}.dsp: Some small
	corrections, and projects now use project base.

	* arch/win32/video.dsp: Included again.
     
2001-11-18  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.29.

	* vicii/vicii-draw.c, plus5/ted.c (ALIGN_DRAW_FUNC): Fixed
	typo.  (_draw_idle): Fixed unaligned vid_memcpy call.

	* vicii/Makefile.am: Do not add `video' to include path.

	* video.h: Define `video_color_set_raster' here.

2001-11-18  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/beos/video.cc (video_frame_buffer_alloc): Allocates
	RGB32 BBitmap and seperate buffer.
	(video_frame_buffer_free): Frees both buffer and BBitmap.
	(canvas_create): Sets depth to 32.
	(video_canvas_set_palette): pixel_return[] becomes id(x).
	physical_colors are set.
	(video_canvas_set_palette): Calls video_render_main before
	drawing the BBitmap to the screen.

	* arch/beos/videoarch.h: New members depth and physical_colors
	in video_canvas_s

	* vice.h: Defines VIDEO_REMOVE_2X for BeOS.

2001-11-17  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.28.

	* arch/win32/Makefile.am: Added `plus4.dsp' and
	`xplus4.dsp'.	

	* video/video-color.h: Fixed forward declaration.

2001-11-17  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* arch/win32/plus4.dsp, arch/win32/xplus4.dsp:
	re-introduced the files; added them to makefile.in (so they
	will be included in future releases).

	* arch/win32/c128.dsp: Added c128-snapshot.c (so that x128
	links again).

2001-11-16  Tibor Biczo  <crown@axelero.hu>

	* arch/win32/vice.dsw : Xplus4 project is dependent on sid,
	resid and video projects.

	* arch/win32/vicii.dsp: /src/video folder is added to include
	folders.

	* arch/win32/video.c (canvas_update): Setup cut rectangle
	correctly. Check both viewport and framebuffer, whicever is
	smaller will be used for bottom and right cut.

	* sound.c (sound_open): Removed unused local variable
	'stereo'.
	(sound_sample_position): Fixed casting of return value.

	* vic20/vic20-snapshot.c: Include <string.h>.

	* vicii/Makefile.am: /src/video added to include folders.

	* vicii/vicii-resources.c: Include "video-color.h"

	* video/video-color.h (video_color_set_raster): Put definition
	into .h file.

2001-11-16  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.27.

	* vice.h: Define archs which don't use VIDEO_REMOVE_2X for
	now.

	* raster/raster.c (perform_mode_change): Return `-1' if the
	mode could not be changed.

	* color.c: Made some functions static.

	* video/video-resources.c (set_delayloop_emulation,
	set_pal_emulation): Only change resource if video mode switch
	is successfull.

	* screenshot.c, color.h, machine.h, screenshot.h, uicolor.h,
	video.h, raster/raster.c, raster/raster.h, vicii/vicii.c,
	vicii/vicii.h, vdc/vdc.c, vdc/vdc.h, crtc/crtc.c, crtc/crtc.h,
	vic20/vic.c, vic20/vic.h, plus4/ted.c, plus4/ted.h,
	arch/unix/ui.h, arch/unix/x11/video.c,
	arch/unix/x11/videoarch.h, arch/unix/x11/gnome/ui.c,
	arch/unix/x11/gnome/uicolor.c, arch/unix/x11/xaw/ui.c,
	arch/unix/x11/xaw/uicolor.c, arch/win32/video.c,
	arch/win32/videoarch.h, arch/msdos/video.c,
	arch/msdos/videoarch.h, arch/riscos/ui.c, arch/riscos/video.c,
	arch/riscos/videoarch.h, arch/os2/videoarch.h,
	arch/beos/videoarch.h, arch/unix/x11/gnome/gnomevideo.c,
	arch/unix/x11/xaw/x11video.c, arch/win32/fullscreen.c,
	arch/os2/unused/video_gpi.h, arch/os2/unused/video_gpi.c,
	arch/os2/dialogs/menubar.c, arch/os2/dialogs/dlg-fileio.c,
	arch/beos/video.cc, c64/c64.c, c128/c128.c, vic20/vic20.c,
	pet/pet.c, plus4/plus4.c, cbm2/c610.c: Changed name for
	`canvas' defines and functions.

2001-11-16  John Selck  <graham@cruise.de>

	* arch/win32/x64.dsp, x128.dsp, xvic.dsp, xplus4.dsp, xpet.dsp
	xcbm2.dsp: Removed video-render.c, video-resource.c and
	video-color.c.

	* arch/win32/video.dsp: New project file added.

	* arch/win32/vice.dsw: Added video.dsp to x64, x128, xvic,
	xplus4, xpet, xcbm2.

	* arch/win32/c64.dsp: Added c64pla.c, c64-snapshot.c,
	c64acia1.c, c64rsuser.c.

	* arch/win32/c64c128.dsp: Added c64pla.c, c64-snapshot.c.

	* arch/win32/pet.dsp: Added pet-snapshot.c.

	* arch/win32/cbm2.dsp: Added c610-snapshot.c.

	* video/video-color.c: Fixed video_calc_gammatable() to not
	call the pow() function with negative values anymore.

	* arch/win32/video.c: video_frame_buffer_translate() now
	doesn't translate the framebuffer anymore, since this is now
	done with the renderers.

	* arch/win32/video.c: set_physical_colors() now produces
	slightly different physical colors to make it possible to do
	double pixel modes without writing the pixel twice to the
	surface.

	* video/render1x1.c: Cleaned up all renderers.

	* video/render2x2.c: Cleaned up all renderers. In 8 and 16 bit
	modes the double pixels are not anymore copied twice anymore,
	just the double amount of bits is used from the physical color
	table.

2001-11-15  pottendo  <pottendo@utanet.at>

	* arch/unix/uicommands.c: Added #include "uidrive.h"

2001-11-15  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.26.

	* arch/unix/x11/video.c: Use common video render if no display
	depth is defined.

	* arch/unix/uisettings.c: Added PAL filter menu entries.

	* raster/raster.c, raster/raster.h, arch/unix/types.h,
	arch/unix/uisettings.c, arch/unix/x11/video.c,
	arch/unix/x11/videoarch.h, arch/unix/x11/gnome/ui.c,
	arch/unix/x11/gnome/gnomevideo.c, arch/unix/x11/xaw/ui.c,
	arch/unix/x11/gnome/uicolor.c, arch/unix/x11/xaw/uicolor.c,
	arch/unix/x11/xaw/x11video.c, arch/win32/msvc/config.h,
	arch/win32/types.h, arch/msdos/types.h, arch/riscos/config.h,
	arch/riscos/types.h, arch/os2/config.h, arch/beos/types.h:
	Changed `X_DISPLAY_DEPTH' to `VIDEO_DISPLAY_DEPTH'.

	* arch/unix/c128ui.c, arch/unix/c610ui.c, arch/unix/c64ui.c,
	arch/unix/petui.c, arch/unix/plus4ui.c, arch/unix/vic20ui.c,
	arch/unix/vsidui.c, arch/unix/uisettings.c,
	arch/unix/uisettings.h: Moved peripherial, rs232, sound, drive
	and joystick settings to separate files.

	* arch/unix/uiperipheral.c, arch/unix/uiperipheral.h,
	arch/unix/uirs232.c, arch/unix/uirs232.h, arch/unix/uisound.c,
	arch/unix/uisound.h, arch/unix/uidrive.c, arch/unix/uidrive.h,
	arch/unix/uijoystick2.c, arch/unix/uijoystick2.h: New files.

	* arch/unix/Makefile.am: Added new files.

	* arch/os2/vac++/Makefile.am: Added `incl/c64cart.icc'.

	* arch/unix/x11/xaw/widgets/Canvas.c,
	arch/unix/x11/xaw/widgets/Directory.h: Fixed prototypes.

2001-11-15  Thomas Bretz  <tbretz@physik.tu-muenchen.de>

	* arch/os2/config.h: dont set HAVE_MOUSE for pet and vic

	* arch/os2/dialogs/dialogs.[h,rc],
	arch/os2/dialogs/dlg-fileio.rc,
	arch/os2/dialogs/dlg-monitor.rc:
	- changed paths to support new subdirs for *.icc
	- don't use POINTER for vice icon anymore

	* arch/os2/dialogs/menubar.[c,rc]:
	- corrected usage of VideoStandard for pet
	- correcte usage of Sprite collision for pet
	- corrected usage of Mouse resources for pet
	- added dummy driver for sound

	* arch/os2/kbd/kmap-pet.c: changed order in resources

	* arch/os2/makeclean.cmd:
	changed to support new locations of obj files

	* arch/os2/ui.c: added log_message to ui_error

	* arch/os2/vac++/incl/archdep.icc: removed mouse.c

	* arch/os2/vac++/incl/c128.icc: changed order

	* arch/os2/vac++/incl/c64.icc: moved cart\\* to c6cart.icc

	* arch/os2/vac++/incl/c64cart.icc: added

	* arch/os2/vac++/incl/mainsrc.icc:
	- added video-color.c
	- added video-resources.c

	* arch/os2/vac++/incl/plus4.icc: added ted-timer.c

	* arch/os2/vac++/incl/resid.icc: changed path to lib

	* arch/os2/vac++/incl/vic20.icc: added vic-color.c

	* arch/os2/vac++/X128.ICC: moved to x128

	* arch/os2/vac++/X64.ICC: moved to x64

	* arch/os2/vac++/Xpet.ICC: moved to xpet

	* arch/os2/vac++/Xvic.ICC: moved to xvic

	* arch/os2/vac++/Xplus4.ICC: moved to xplus4

	* arch/os2/vac++/Xcbm2.ICC: moved to xcbm2

	* plus4/plus4mem.c: changed rom_loaded to plus4_rom_loaded

	* sound.c:
	- get rid of usage of SidUseResid by #define HAVE_RESID
	- small changes to output

	* vicii/vicii-resources.c: added include for video-color.h

	* video-color.h: changed layout

2001-11-15  pottendo  <pottendo@utanet.at>

	* arch/unix/x11/dga2.c (fullscreen_refresh_func): Added
	XDGASync() again to ensure proper acccess to the videomemory.

	* crtc/crtc.c (crtc_update_window): In case of fullscreen
	don't resize the viewport otherwhise the screen moved to the
	upper left corner as the dimensions of the active video mode
	is not taken into account here.

	* vicii/vicii.c (vic_ii_set_geometry): Changed screen size
	parameter to calculated with of `VIC_II_SCREEN_XPIX +
	vic_ii.screen_borderwidth * 2' which is the same for NTCS and
	PAL VICIIs. In case of fullscreen don't resize the viewport.

	* vic20/vic.c: (vic_set_geometry): In case of fullscreen don't
	mess with pixel sizes and don't resize the viewport.

	* arch/unix/x11/video.c (canvas_resize): Cache new dimension
	in fullscreen module.
	(video_frame_buffer_free): Don't free frame buffer when
	fullscreen is active.

	* arch/unix/x11/dga2.c (fullscreen_resize): New function.
	Store current dimensions of GUI mode.

2001-11-14  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.25.

	* 6510core.c (BRANCH): Use `JUMP()' to change program counter.

	* vice.h: Define `VIDEO_REMOVE_2X' here.

	* raster/raster.c, vicii/vicii-color.c, vicii/vicii-draw.c,
	vicii/vicii-resources.c, vicii/vicii-sprites.c,
	vic20/vic-color.c, vic20/vic.c, plus4/ted-draw.c,
	plus4/ted-resources.c, raster/raster.c: Do not depend on video
	interface, fixed function names.

	* video-color.c, video-color.h, video-render.c,
	video-render.h, video-resources.c, video-resources.h: Moved to
	separate directory.

	* Makefile.am: Added new video library.

	* video/Makefile.am: New file.

	* video/video-color.c, video/video-color.h,
	video/video-render.c, video/video-render.h,
	video/video-resources.c, video/video-resources.h: Fixed
	function names and includes.

	* arch/win32/video.c: Do not inlcude "video-render.h".

	* video/video-render.c: Moved specific renderer to separate
	files.

	* video/render1x1.c, video/render1x1.h, video/render2x2.c,
	video/render2x2.c: New files.

	* arch/unix/uisid.c, arch/unix/uisid.h: New files.

	* arch/unix/c64ui.c, arch/unix/c128ui.c: Moved common SID
	specific menue entries to separate file.

	* arch/unix/c610ui.c: Added SID menu entries.

	* arch/win32/uimon.c (dis_window_proc): Initialize variable.

2001-11-13  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.24.

	* c128/c128mem.c (mem_initialize_memory): Added cartridge
	memory configuration.
	(pla_config_changed): Added exrom and game handling.

	* c128/c128mmu.c (mmu_update_config): Trimmed configuration.

	* c128/c128io.c (io1_read, io1_store, io2_read, io2_store):
	Added cartridge support.

	* c64/c64pla.c, c64/c64pla.h, c64/c64-snapshot.c,
	c64/c64-snapshot.h, c128/c128-snapshot.c,
	c128/c128-snapshot.h, vic20/vic20-snapshot.c,
	vic20/vic20-snapshot.h, pet/pet-snapshot.c,
	pet/pet-snapshot.h, plus4/plus4-snapshot.c,
	plus4/plus4-snapshoth, cbm2/c610-snapshot.c,
	cbm2/c610-snapshot.h: New files.

	* c64/c64mem.c, c128/c128mem.c: Moved common PLA handling to
	separate file.

	* c64/c64cart.h: Moved `roml_read', `roml_store', `romh_read',
	`ultimax_a000_bfff_read' and `ultimax_a000_bfff_store' here.

	* c64/c64.c, c128/c128.c, vic20/vic20.c, pet/pet.c,
	plus4/plus4.c, cbm2/c610.c (machine_write_snapshot,
	machine_read_snapshot): Changed memory snapshot function name.

	* c64/c64mem.c, c128/c128mem.c, vic20/vic20mem.c,
	pet/petmem.c, plus4/plus4mem.c, cbm2/c610mem.c: Moved snapshot
	functions to separate file.

	* c64/Makefile.am, c128/Makefile.am, vic20/Makefile.am,
	pet/Makefile.am, plus4/Makefile.am, cbm2/Makefile.am: Added
	new files.

	* mem.h: Removed `chargen_rom'.

	* vicii/vicii.c: #include "c64mem.h".

	* vic20/vic.c: #include "vic20mem.h".

2001-11-12  John Selck  <graham@cruise.de>

	* video-color.c: Now uses slightly more accurate constants
	for luminance calculations.

	* arch/win32/arch.dsp: Added plus4kbd.c and plus4ui.c.

	* arch/win32/plus4.dsp: New project file.

	* arch/win32/xplus4.dsp: New project file.

	* arch/win32/vice.dsw: Added plus4.dsp and xplus4.dsp.

2001-11-11  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.23.

	* c64/cart/retroreplay.c (retroreplay_io1_store,
	retroreplay_io2_store, retroreplay_roml_store): Fixed RAM
	store.

	* plus4/plus4cpu.c, plus4/ted-timer.c, plus4/ted-timer.h: New
	files.

	* plus4/Makefile.am: Added new files.

	* Makefile.am: Removed `maincpu_sources' from target xplus.

	* plus4/ted.c (ted_fetch_matrix): Limit colors for now.
	(ted_update_memory_ptrs): Implemented color memory pointer.

	* plus4/plus4mem.c (mem_proc_port_store, mem_proc_port_read):
	New functions.
	(rom_store, mem_rom_trap_allowed): Fixed.

	* plus4/tedtypes.h: New variable `color_ptr'.

	* plus4/tedtypes.h, plus4/ted-draw.c, plus4/ted-mem.c,
	plus4/ted-resources.c, plus4/ted-snapshot.c, plus4/ted.c:
	Renamed some variables and defines.

	* vicii/vicii.c, vicii/vicii.h, plus4/ted.c. plus4/ted.h,
	vdc/vdc.c, vdc/vdc.h, crtc/crtc.c, crtc/crtctypes.h: Made
	exposure handler static.

	* vicii/vicii.c, vicii/vicii.h, c128/c128mmu.c
	(vic_ii_set_canvas_refresh): Fixed name.

	* drive/drive-resources.c, drive/drive-resources.h,
	drive/drive-cmdline-options.c, drive/drive-cmdline-options.h,
	vicii/vicii-resources.c, vicii/vicii-resources.h,
	vicii/vicii-cmdline-options.c, vicii/vicii-cmdline-options.h,
	crtc/crtc-resources.c, crtc/crtc-cmdline-options.c,
	c64/c64-resources.c, c64/c64-resources.h,
	c128/c128-resources.c, c128/c128-resources.h,
	vic20/vic20-resources.c, vic20/vic20-resources.h,
	pet/pet-resources.c, pet/pet-resources.h,
	plus4/plus4-resources.c, plus4/plus4-resources.h,
	cbm2/c610-resources.c, cbm2/c610-resources.h,
	c64/c64-cmdline-options.c, c64/c64-cmdline-options.h,
	c128/c128-cmdline-options.c, c128/c128-cmdline-options.h,
	vic20/vic20-cmdline-options.c, vic20/vic20-cmdline-options.h,
	pet/pet-cmdline-options.c, pet/pet-cmdline-options.h,
	plus4/plus4-cmdline-options.c, plus4/plus4-cmdline-options.h,
	cbm2/c610-cmdline-options.c, cbm2/c610-cmdline-options.h,
	sound.c, sound.h, vsync.c, vsync.h, traps.c, traps.h,
	datasette.c, datasette.h, keyboard.h, arch/unix/kmap.c,
	arch/unix/petkmap.c, arch/win32/kbd.c, arch/win32/petkbd.c,
	arch/msdos/kbd.c, arch/msdos/petkbd.c, arch/riscos/kbd.c,
	arch/os2/kbd.c, arch/os2/kbd/kmap.c, arch/os2/kbd/kbd-pet.c,
	arch/beos/kbd.c, arch/beos/petkbd.c, sid/sid-resources.c,
	sid/sid-resources.h, sid/sid-cmdline-options.c,
	sid/sid-cmdline-options.h, printer.h, printerdrv/printer.c,
	c64/reu.c, c64/reu.h, cartridge.h, c64/cart/c64cart.c,
	vic20/vic20cartridge.c, arch/unix/mouse.c, arch/unix/mouse.h,
	arch/win32/mouse.c, arch/win32/mouse.h, arch/msdos/mouse.c,
	arch/msdos/mouse.h, arch/os2/mouse.c, arch/os2/mouse.h,
	arch/beos/mouse.cc, arch/beos/mouse.h, main.c, c64/c64acia1.c,
	c64/c64acia.h, pet/petacia1.c, pet/petacia.h, rs232.h,
	cbm2/c610acia1.c, arch/unix/rs232.c, arch/riscos/rs232.c,
	arch/os2/rs232.c, rsuser.c, rsuser.h, c128/c128mmu.c,
	c128/c128mmu.h, c128/z80mem.c, c128/z80mem.h,
	c128/functionrom.c, c128/functionrom.h, c64/c64.c,
	c128/c128.c, vic20/vic20.c, pet/pet.c, plus4/plus4.c,
	cbm2/c610.c: Changed name of resource and command line
	initialization functions.

2001-11-10  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.22.

	* Makefile.am: Added `video-color.h', `video-resources.h',
	`video-color.c' and `video-resources.c'.

	* video-resources.c (video_init_resources): Initialize arch
	specific video resources.

	* arch/unix/x11/video.c, arch/msdos/video.c, arch/os2/video.c,
	arch/riscos/video.c, arch/win32/video.c: Renamed arch specific
	video resource initialization function to
	`video_arch_init_resources'.

	* video.h: Defined `video_arch_init_resources' here.

	* video-resources.c, video-resources.h, video.h: Renamed
	`video_init_resources' to `video_resources_init' and moved to
	`video.h'.

	* c64/c64.c, c128/c128.c, vic20/vic20.c, pet/pet.c,
	plus4/plus4.c, cbm2/c610.c (machine_init_resources): Call
	`video_resources_init' to initialize video resources.

	* vic20/Makefile.am: Added `vic-color.c' and `vic-color.h'.

	* arch/riscos/Makefile.am: Added `plus4ui.c' and `plus4ui.h'.

2001-11-08  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/beos/plus4kbd.c, plus4ui.cc, plus4ui.h: new files

	* arch/beos/Makefile.am: Added new files.

	* sounddrv/soundbeos.cc (beos_wite): Fixed a syntax error and
	a bug in the write blocking.

2001-11-05  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/Makefile.am: Added new files uisid.{c|h}

	* arch/win32/arch.dsp: Added new file uisid.c

	* arch/win32/c128ui.c, c610ui.c, c64ui.c: Removed every
	sid related stuff. (I don't know how this went into c610ui.c)

	* arch/win32/res.h: Removed sid related menu IDs, added IDs
	for SID option menuitem, dialog and controls.

	* arch/win32/res.rc: Removed stereo SID control from sound
	settings dialog, added new dialog for SID and reSID settings.

	* arch/win32/resc128.rc, res64.rc: removed every sid related
	menuitem, added new menuitem for SID settings.

	* arch/win32/ui.c: Removed SID related stuff, added call of
	the new SID settings dialog.

	* arch/win32/uisid.c, uisid.h: New files that implement the
	(re)SID settings dialog.

2001-11-04  John Selck  <graham@cruise.de>

	* vic20/vic-color.c: New file. Added vic_update_palette()
	and VIC-palette.

	* vic20/vic-color.h: New file. Added vic_update_palette()
	prototype.

	* vic20/vic-resources.c: Removed PaletteFile resource
	variable setter function and initialisation.

	* vic20/vic-resources.h: Removed palette_file_name
	variable from vic_resources_t definition.

	* vic20/vic.c: Removed vic_load_palette().
	init_raster() now calls vic_update_palette() instead of
	vic_load_palette().

	* vic20/vic.h: Removed vic_load_palette() prototype.

2001-11-03  John Selck  <graham@cruise.de>

	* video-color.h, video-color.c, video-resources.h,
	video-resources.c: New files.

	* video-resources.c: Added setter functions and resource
	initialisation routines for following resource variables here:
	ColorSaturation, ColorContrast, ColorBrightness, ColorGamma,
	ExternalPalette, DelayLoopEmulation, PALEmulation, PaletteFile.

	* video-resources.h: Added prototype for video_init_resources().
	Added definition of video_resources_t.

	* arch/win32/video.c: Renamed video_init_resources() to
	video_init_arch_resources().

	* video.h: Removed video_init_resources() prototype.

	* arch/win32/videoarch.h: Added video_init_arch_resources()
	prototype.

	* vicii/vicii-color.c: Removed everything and added
	vic_ii_update_palette() which gives the VIC-II base palette to
	the video layer and forces palette update. Ofcourse also the
	two possible VIC-II base palettes are defined here.

	* vicii/vicii-color.h: Removed everything and added prototype
	of vic_ii_update_palette().

	* vicii/vicii-resources.c: Removed setter functions and
	initialisations of the resource variables now defined in
	video-resource.c. Removed vic_ii_activate_palette(),
	calling vic_ii_update_palette() instead now.
	vic_ii_resources_init() now calls video_set_raster() because
	some setter functions call video_update_palette().

	* vicii/vicii-resources.h: Removed variables from
	vic_ii_resouces_t definition: color_saturation, color_contrast,
	color_brightness, color_gamma, ext_palette, palette_file_name,
	fast_delayloop_emulation, pal_emulation.
	Removed vic_ii_activate_palette() prototype.

	* vicii/vicii.c: Removed vic_ii_calc_palette() and
	vic_ii_load_palette(). init_raster() now calls
	vic_ii_update_palette() instead of vic_ii_activate_palette().

	* vicii/viciitypes.h: Removed prototypes
	for vic_ii_load_palette(), vic_ii_calc_palette() and
	vic_ii_activate_palette().

2001-11-03  Andreas Matthies  <andreas.matthies@gmx.net>

	* vicii/vicii-draw.c (draw_hires_bitmap_cached),
	(draw_hires_bitmap): Removed the setting of the
	overscan background color.

	* vicii/vicii.c (vic_ii_raster_draw_alarm_handler)
	In HIRES_MODE set the overscan_background_color to
	0 or low nibble of the last fetched character
	depending on the idle state.

2001-10-31  Andreas Boose  <boose@linux.rz.fh-hannover.de>

        * Version 1.7.21.

	* vicii/vicii.c (handle_fetch_sprite): Fixed sprite fetch from
	chargen ROM.

	* 6510core.c: Fixed indirect jump opcode timing.

2001-10-31  Andreas Matthies  <andreas.matthies@gmx.net>

	* vicii/vicii-sprites.c (draw_mc_sprite): update
	sprite_sprite_collisions even in x_expanded case

2001-10-30  Thomas Bretz  <tbretz@physik.tu-muenchen.de>

	* arch/os2/archdep.c, log.c:
	replaced __C1541__ by __X1541__
   
	* arch/os2/config.h: defined __i386__
   
	* arch/os2/dialogs/menubar.[h,c,rc]:
	added stuff for CHIP_2X
   
	* arch/os2/install.cmd: replaced C1541 by X1541
	added Plus4
   
	* arch/os2/kbd/kbd-plus4.c: added
   
	* arch/os2/makedist.cmd: added Plus4
   
	* arch/os2/sounddrv.[h,c]: changed to use log_t
   
	* arch/os2/ui/c128ui.[h,c], arch/os2/ui/c610ui.[h,c],
	arch/os2/ui/c64ui.[h,c], arch/os2/ui/petui.[h,c],
	arch/os2/ui/vic20ui.[h,c]
	removed uage of source file
   
	* arch/os2/ui/plus4ui.h: added
   
	* arch/os2/ui.c: small changes
   
	* arch/os2/vac++/C1541.ICC: renamed to X1541.ICC
 
	* arch/os2/vac++/incl/plus4.icc: added

	* arch/os2/vac++/Xplus4.ICC: added
 
	* monitor/mon_ui.c: get rid of some warnings
 
	* monitor/mon_util.c: excluded some part for OS/2
 
	* plus4/ted-sound.c: included string.h
 
	* sound.c: some changes to the logging output
   
	* sounddrv/sounddart.c: added logger
	added channel support
	reorganized code
   
	* sounddrv/soundmmos2.c: added logger
	added channel support
   
	* video-render.c: get rid of 'must be a changable lvalue'
   
	* video-render.h: define VIDEO_REMOVE_2X for OS/2

2001-10-30  Andreas Dehmel  <dehmel@forwiss.tu-muenchen.de>

	* arch/riscos/plus4ui.{c,h}: new files for Plus4 UI specifics.

2001-10-29  Andreas Dehmel  <dehmel@forwiss.tu-muenchen.de>

	* video-render.c: replaced C++ comments

2001-10-29  Andreas Dehmel  <dehmel@forwiss.tu-muenchen.de>

	* sound.c: fixed multichannel refill for asynchronous sound
	(RISC OS only)

	* sounddrv/soundacorn.c: added multichannel support.

2001-10-29  pottendo  <pottendo@utanet.at>

	* plus4/ted.c: Added fullscreen.h.

2001-10-29  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.20.

	* video-render.c, video-render.h (video_get_fake_pal_state):
	Fixed prototype.

	* plus4/plus4mem.c (mem_bank_read, mem_bank_write): Fixed.
	(ram_ffxx_read, ram_ffxx_store, rom_ffxx_read,
	rom_ffxx_store, fdxx_read, fdxx_store, mem_config_set): New
	functions.
	(mem_initialize_memory): Added IO mapping, fixed basic rom.

	* plus4/ted-sprites.c, plus4/ted-sprites.h: Removed.

	* plus4/plus4.c (machine_init): Initialize keyboard.

	* plus4/ted.c, plus4/ted.h, plus4/tedtypes.h, plus4/ted-mem.c,
	plus4/ted-mem.h, plus4/ted-draw.c, plus4/ted-draw.h,
	plus4/ted-cmdline-options.c, plus4/ted-cmdline-options.h,
	plus4/ted-resources.c, plus4/ted-resources.h,
	plus4/ted-snapshot.c, plus4/ted-snapshot.h: Rewritten.

	* keyboard.h, arch/unix/x11/kbd.c: Added plus4 keyboard.

	* plus4/plus4tia1.c, plus4/plus4tia1.h: New files.

	* plus4/Makefile.am: Added new files.

	* arch/win32/plus4kbd.c: New file

	* arch/win32/Makefile.am: Added new file.

2001-10-29  John Selck  <graham@cruise.de>

	* video-render.c: New fake-PAL-emulation render routines.

	* video-render.h: video_get_fake_pal_state() added. This
	is a fast way to see if the fake-PAL-emu is turned on or not.

	* raster/raster.c: update_canvas() now updates a one slightly
	bigger block when the fake-PAL-emu is turned on.

	* vicii/vicii.c: vic_ii_calc_palette() now creates 256 color
	palette when fake-PAL-emu is turned on.

	* vicii/vicii-resources.c: Changed default gamma from 0.90 to
	0.88. Added hack to make fast_delayloop_emulation accessable
	from video layer.

	* arch/win32/video.c: set_physical_colors() now creates
	colortables for paletted modes instead of translation tables.

	* arch/win32/res.h: New define: IDM_TOGGLE_FASTPAL.

	* arch/win32/resc64.rc: New toggle "Fast PAL" in menu.

	* arch/win32/c64ui.c: c64_ui_menu_toggles[] now contains new
	"Fast PAL" toggle.

2001-10-28  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/beos/ui_sound.cc, ui_sound.h: added ui support for
	stereo sid; changed buffersizes offered in the ui

	* arch/win32/res.rc: added Stereo SID checkbox in the sound
	options dialog

	* arch/win32/res.h: added ID for this checkbox

	* arch/win32/uisound.c: handles this checkbox to set the
	StereoSid resource

	* sounddrv/soundbeos.cc, sounddx.c, soundwmm.c:
	implemented support for multi channels; removed unused stuff
	from sounddx.c

2001-10-28  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.19.

	* vicii/vicii-draw.c (ALIGN_DRAW_FUNC): Fixed the number of
	arguments of `ALIGN_DRAW_FUNC' if `VIDEO_REMOVE_2X' and
	`ALLOW_UNALIGNED_ACCESS' are defined both.

	* plus4/*: New directory and files.

	* Makefile.am: Added plus4 directory and library.

	* machine.h: Added `VICE_MACHINE_PLUS4'.

	* arch/unix/icon.h: Added plus4 icon stub.

	* arch/unix/plus4ui.c, arch/unix/plus4ui.h,
	arch/unix/x11/plus4icon.c, arch/win32/plus4ui.c,
	arch/win32/plus4ui.h, arch/win32/resplus4.rc: New files.

	* arch/unix/Makefile.am, arch/unix/x11/Makefile.am,
	arch/win32/Makefile.am: Added new files.

	* arch/win32/res.rc: Added plus4 menu define.

	* arch/win32/ui.c: Added plus4 accelerators.

2001-10-27  Dag Lem  <resid@nimrod.no>

	* sound/sound.h (sound_machine_cycle_based,
	sound_machine_channels): New functions.

	* sound/sound.c (sid_init, sound_open): Removed machine
	specific resource handling.

	* sid/sid.c (sound_machine_cycle_based,
	sound_machine_channels): Moved from sound.c.

	* pet/petsound.c (sound_machine_cycle_based,
	sound_machine_channels): New functions.

	* vic20/vic20sound.c (sound_machine_cycle_based,
	sound_machine_channels): Likewise.

2001-10-27  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.18.

	* c128/c128.c (machine_init_resources): Added cart resources.
	(machine_init_cmdline_options): Added cart cmdline options.
	(machine_init): Initialize cart support.

	* c64/cart/c64cartmem.c (cartridge_init_config): Initialize
	expansion port even if no cart is attached.

	* c128/c128mem.c (mem_initialize_memory): Initialize cartridge
	mapping.
	(mmu_read): Return status of exrom and game lines.

	* cartridge.h: Define `cartridge_init' here.

	* arch/unix/uic64cart.c, arch/unix/uic64cart.h: New files.

	* arch/unix/c64ui.c: Moved cart specific code to separate
	file.

	* arch/unix/c128ui.c: Added cart menu.

2001-10-27  John Selck  <graham@cruise.de>

	* video-render.c: Removed U8, U16 and U32 typedefs, now using
	BYTE, WORD and DWORD again. Added 2x2 render routines.

	* video-render.h: New define VIDEO_REMOVE_2X which is supposed
	to remove the doublesize/doublescan code from the raster,
	vic-ii etc layers.

	* vicii/vicii-draw.c: Now VIDEO_REMOVE_2X removes all
	doublesize code here.

	* vicii/vicii-sprites.c: Now VIDEO_REMOVE_2X removes all
	doublesize code here.

	* raster/raster.c: VIDEO_REMOVE_2X removes some doublesize and
	doublescan code.

	* arch/win32/video.c: canvas_updata() is slightly modified
	when VIDEO_REMOVE_2X is defined, so that the new render code
	gets correct coordinates.

	* video-render.c: Added variables double_size_bad and
	double_scan_bad for direct access. This is just a temporary
	hack and will be changed.

	* vicii/vicii-resources.c: set_double_size_enabled() and
	set_double_scan_enabled() now also access the variables in
	video-render.c.
	Again: just a temporary hack, this will be changed.

2001-10-27  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/Makefile.am: added new file c64cart.dsp

	* arch/win32/c128.dsp,c64.dsp: added *io.c

	* arch/win32/c64c128.dsp,c64.dsp: removed cartridge related
	files

	* arch/win32/c64cart.dsp: new project file for the c64cart
	library

	* arch/win32/sid.dsp: renamed sid.c to fastsid.c

	* arch/win32/vice.dsw: added new project c64cart.dsp and
	updated depedencies for c64.dsp and c128.dsp

	* arch/win32/x128.dsp,x64.dsp,xcbm2.dsp,xpet.dsp,xvic.dsp:
	added video-render.c

2001-10-26  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.17.

	* video-render.c: Moved here.
	(video_render_main): Make interface function use common types.

	* video-render.h: New file.

	* arch/win32/video.c: #include "video-render.h".

	* arch/win32/videoarch.h: Removed definition of
	`video_render_main'.

	* arch/win32/uilib.h, arch/win32/uilib.c: Moved some local
	structures to `uilib.c'.

	* arch/win32/uireu.c, arch/win32/uisound.c: #include
	<string.h>.

2001-10-25  John Selck  <graham@cruise.de>

	* arch/win32/video-render.c: New file.

	* arch/win32/video-render.c: Contains 8/16/24/32 bit render
	routines in encapsulated form now.

	* arch/win32/videoarch.h: Added video_render_main() prototype
	and definitions of a few types for low level memory access.

	* arch/win32/video.c (real_refresh): Removed low level render
	routines and added a video_render_main() call instead.

2001-10-24  Andreas Dehmel  <dehmel@forwiss.tu-muenchen.de>

	* sound.c: added number of channels in sound_synthesize()

2001-10-23  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.16.

	* c64/cart/epyxfastload.c, c64/cart/epyxfastload.h,
	c64/cart/supergames.c, c64/cart/supergames.h,
	c64/cart/zaxxon.c, c64/cart/zaxxon.h: New files.

	* c64/cart/Makefile.am: Added new files.

	* c64/cart/c64cartmem.c, c64/cart/crt.c: Separated some carts.

	* c64/cart/retroreplay.c (retroreplay_io1_store): Fixed no
	freeze bit and write once functionallity.

	* arch/win32/c64ui.c (c64_ui_specific): Added RR cart.

	* arch/win32/c64ui.c, arch/win32/c128ui.c,
	arch/win32/vic20ui.c, arch/win32/petui.c, arch/win32/c610ui.c:
	Made some functions static.

	* monitor/mon_ui.c, monitor/mon_ui.h (mon_ui_init): Stub.

	* monitor/mon.c (monitor_init): Call `mon_ui_init()'.

2001-10-23  Thomas Bretz  <tbretz@physik.tu-muenchen.de>

	* arch/os2/dialogs/dlg-fileio.c:
	added support for configuration file
	fixed some small bugs
    
	* arch/os2/dialogs/menubar.[h, c, rc]:
	reorganized cartridge support
	added stereo stuff
    
	* arch/os2/kbd/kbd-c128.c, arch/os2/kbd/kbd-c610.c,
	arch/os2/kbd/kbd-c64.c, arch/os2/kbd/kbd-pet.c,
	arch/os2/kbd/kbd-vic20.c: simplified kbd_init-call
    
	* arch/os2/kbd.c: fixed a bug in the name initialization
    
	* arch/os2/vac++/incl/gfxoutputdrv.icc: added
    
	* arch/os2/vac++/incl/resid.icc: added new sid-files
    
	* arch/os2/vac++/incl/screendrv.icc: removed
    
	* arch/os2/vac++/RESID.ICC: changed version number
    
	* arch/os2/vac++/vicedll.ICC: added some more exports
    
	* arch/os2/video.c: small changes
    
	* main.c: cut some lines
    
	* raster/raster-modes.h: removed forward declaration (isn't
	understood by Vac++)
    
	* resources.c: exchanged log_warning by
	archdep_startup_log_error
    
	* sound.c: exchanged sound_close calls to sound_state_changed
    
	* sounddrv/sounddart.c, sounddrv/soundmmos2.c: make use of new
	stero capability
    
2001-10-21  Andreas Boose  <boose@linux.rz.fh-hannover.de>

        * Version 1.7.15.

	* c64/cart/actionreplay.c, c64/cart/actionreplay.h,
	c64/cart/retroreplay.c, c64/cart/retroreplay.h,
	c64/cart/supersnapshot.c, c64/cart/supersnapshot.h,
	c64/cart/atomicpower.c, c64/cart/atomicpower.h,
	c64/cart/kcs.c, c64/cart/kcs.h, c64/cart/expert.c,
	c64/cart/expert.h, c64/cart/final.c, c64/cart/final.h: New
	files.

	* c64/cart/c64cartmem.c, c64/cart/c64cartmem.h,
	c64/cart/c64cart.c; c64/cart/crt.c: Rewritten to new cart API.

	* arch/unix/c64ui.c, arch/win32/c64ui.c, arch/win32/resc64.rc,
	arch/win32/res.h, arch/msdos/c64ui.c: Added Retro Replay.

	* utils.c, utils.h: Changed some file processing functions.

	* c64/reu.c, fsdevice.c, resources.c, snapshot.c, zfile.c,
	c64/c64.c, c128/c128.c, c128/c128.c, vic20/vic20.c, pet/pet.c,
	cbm2/c610.c, c64/cart/generic.c: Changed to new file util API.

2001-10-21  Dag Lem  <resid@nimrod.no>

	* sid/sid.c (sound_machine_open, sound_machine_init): Allow
	reinit of opened sound engine.

	* sid/sid.h (sound_engine_s): Added init function hook.

	* sid/fastsid.c (fastsid_open, fastsid_init): Likewise.

	* sid/resid.cc (resid_open, resid_init): Likewise.

	* sid/sid-resources.c (set_sid_filters_enabled, set_sid_model,
	set_sid_resid_sampling, set_sid_resid_passband): Set
	sid_state_changed instead of sound_state_changed.

	* sound.c (sid_state_changed): New flag.
	(set_device_arg, set_suspend_time): Set sound_state_changed
	instead of calling sound_close().
	(set_speed_adjustment_setting): Don't set sound_state_changed.
	(sound_error): Renamed from closesound.
	(sound_close): Moved device close from closesound.
	(suspendound): Set sound_state_changed instead of calling
	sound_close().
	(sid_open, sid_init, sid_close): New functions.
	(sound_open): Renamed from initsid.
	(sound_flush): Check sid_state_changed.
	(sound_init): Clear sid_state_changed.
	(set_machine_parameter, set_relative_speed): Set
	sid_state_changed instead of sound_state_changed.

	* sound.h (sid_state_changed): New flag.
	(sound_machine_open, sound_machine_init): Allow
	reinit of opened sound engine.

	* vic20/vic20sound.c (sound_machine_open, sound_machine_init):
	Allow reinit of opened sound engine.

	* pet/petsound.c (sound_machine_open, sound_machine_init):
	Likewise.

2001-10-20  Dag Lem  <resid@nimrod.no>

	* resid/: Final reSID 0.12.

	* sid/fastsid.c (fastsid_calculate_samples): Added
	sample interleaving.

	* sid/resid.cc (resid_calculate_samples): Likewise.

	* sid/sid.c, sid/sid.h (sound_machine_calculate_samples):
	ikewise.

	* sound.c, sound.h: Likewise.

	* pet/petsound.c (sound_machine_calculate_samples): Likewise.

	* vic20/vic20sound.c (sound_machine_calculate_samples):
	Likewise.

2001-10-17  Andreas Dehmel  <dehmel@forwiss.tu-muenchen.de>

	* arch/riscos/ui.c: vsid player responds to data_open message.

	* printerdrv/drv-mps803.c: use portable extension character.

2001-10-16  Dag Lem  <resid@nimrod.no>

	* sid/sid-snapshot.c: Use siddata[0].

	* sid/sid.c, sid/sid.h: Generalized for arbitrary number of
	sound channels.

	* sound.c, sound.h: Generalized for arbitrary number of
	sound channels. Make "oversampling" work for more than one
	channel.

	* sounddrv/soundacorn.c (init_vidc_device, init_vidc_sync_device):
	Replaced stereo parameter with channels parameter.

	* sounddrv/soundaix.c (aix_init): Likewise.

	* sounddrv/soundallegro.c (allegro_init_sound): Likewise.

	* sounddrv/soundarts.c (artsdrv_init): Likewise.

	* sounddrv/soundbeos.cc (beos_init): Likewise.

	* sounddrv/sounddart.c (dart_init): Likewise.

	* sounddrv/sounddump.c (dump_init): Likewise.

	* sounddrv/sounddx.c (dx_init): Likewise.

	* sounddrv/soundesd.c (esd_init): Likewise.

	* sounddrv/soundfs.c (fs_init): Likewise.

	* sounddrv/soundhpux.c (hpux_init): Likewise.

	* sounddrv/soundmidas.c (midas_init): Likewise.

	* sounddrv/soundmmos2.c (mmos2_init): Likewise.

	* sounddrv/soundsb.c (sb_init): Likewise.

	* sounddrv/soundsdl.c (sdl_init): Likewise.

	* sounddrv/soundsgi.c (sgi_init): Likewise.

	* sounddrv/soundsun.c (sun_init): Likewise.

	* sounddrv/soundwav.c (wav_init): Likewise.

	* sounddrv/soundwmm.c (wmm_init): Likewise.

2001-10-14  Dag Lem  <resid@nimrod.no>

	* resid/: Patched up to reSID 0.12, final test.

2001-10-14  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.14.

	* c64/cart/c64cart.c, c64/cart/c64cartmem.c, c64/cart/crt.c,
	c64/cart/c64cartmem.h, c64/cart/crt.h, c64/cart/generic.c,
	c64/cart/generic.h, c64/cart/Makefile.am, c64/c64io.c,
	c64/c64io.h, c128/c128io.c, c128/c128io.h: New files.

	* c64/c64cartridge.c, c64/c64cartmem.c: Removed.

	* c64/Makefile.am, c128/Makefile.am, Makefile.am: Added new
	files and cart library.

	* machine.h, c64/c64.c, c128/c128.c
	(machine_update_memory_ptrs): New function.

	* c128/c128mem.h: Removed io* prototypes.

	* c128/z80mem.c: #include "c128io.h".

	* c64/c64mem.c, c128/c128mem.c: Removed io* functions.

	* vdc/vdc-mem.c (vdc_store): Disable xsmooth if unaligned
	access is not allowed.

2001-10-09  Dag Lem  <resid@nimrod.no>

	* arch/unix/c128ui.c: Added reSID resampling menu.

2001-10-08  Andreas Dehmel  <dehmel@forwiss.tu-muenchen.de>

	* sid/sid.h: replaced C++ commentary

	* c64/c64mem.c, c128/c128mem.c: don't return value from void
	function (not even void value).

2001-10-07  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.13.

	* raster/raster.c (raster_resize_viewport): Fixed calculation
	of viewport geometry if displayed area is small compared to
	screen height.

	* vdc/vdc.c (vdc_increment_memory_pointer): Fixed bitmap
	memory increment.
	(vdc_raster_draw_alarm_handler): Added support for idle state.
	(vdc_update_geometry): Calculate more geometry parameters.

	* vdc/vdc-draw.c (draw_std_bitmap_cached, draw_std_bitmap):
	Fixed usage of attribute bytes.

	* vdc/vdc-mem.c: Added support for register #6 and #9.

	* vdc/vdctypes.h: Removed some hardcoded constants.

	* sid/sid-snapshot.c: Added declaration of `siddata'.

2001-10-07  Dag Lem  <resid@nimrod.no>

	* sid/Makefile.am: Removed sid-engine.{c,h} added
	fastsid.{c,h}

	* sid/resid.h: Include sid.h instead of sid-engine.h

	* sid/sid.c: Renamed to fastsid.c

	* sid/sid.h: Renamed to fastsid.h. Include sid.h instead of
	sid-engine.h

	* sid/sid-engine.c: Renamed to sid.c

	* sid/sid-engine.h: Renamed to sid.h

	* sounddrv/soundwav.c (le_store): void return type.
	(wav_init): Removed unused variable i.
	(wav_close): Likewise.

2001-10-06  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.12.

	* vdc/vdc.c (vdc_set_geometry): Calculate screen geometry
	instead of using hardcoded constants.
	(vdc_powerup): Initialize screen geometry constants.
	(vdc_raster_draw_alarm_handler, vdc_resize): Fixed for
	double height mode.
	(vdc_invalidate_cache, vdc_increment_memory_pointer): New
	functions.

	* vdc/vdc-draw.c (draw_std_text_cached, draw_std_text,
	draw_std_bitmap_cached, draw_std_bitmap): Removed special
	double heigth handlng.

	* vdc/vdc-resources.c (set_vdc_revision): New function.

	* vdc/vdc-cmdline-options.c: VDC revision command line switch.

	* vdc/vdc-mem.c (vdc_read): Return selected revision.

	* vdc/vdctypes.h: Added screen geometry and VDC revision
	variables to struct `vdc_t'.

2001-10-06  Dag Lem  <resid@nimrod.no> 

	* arch/unix/c128ui.c: Menu options for second SID. 

	* c128/c128mem.c (io1_store, io1_read): Check for second SID. 

	* sid/sid-engine.h: Mark sid_store/sid2_store as REGPARM2, not 
	REGPARM3. 

	* sounddrv/soundwav.c (le_store): New function to store 
	numbers on little endian format. 
	(wav_init): Handle stereo. 
	(wav_close): Use le_store. 

2001-10-05  Dag Lem  <resid@nimrod.no> 

	* arch/unix/c64ui.c: Menu options for second SID.

	* arch/unix/x1/xaw/ui.c (DEFINE_UI_CALLBACK): Macro compilation
	fix. 

	* c64/c64mem.c (io1_store, io1_read): Check for second SID.

	* pet/petsound.c (sound_machine_open, store_petsnd_onoff,
	store_petsnd_sample): Use chip #0 in calls to sound_store.

	* sid/resid.cc (resid_reset): Reset SID chip.

	* sid/sid-cmdline-options.c: Command line option "-sidstereo"
	for second SID.

	* sid/sid-engine.c, sid/sid-engine.h: Handle second SID.
	(sid2_read, sid2_store): New stub functions.

	* sid/sid-resources.c, sid/sid-resources.h: Resource
	"SidStereo" for second SID. External flag sid_stereo.

	* sid/sid.c (fastsid_open): Plug memory leaks on error
	conditions. 
	(fastsid_reset): Reset SID chip. 

	* sound.c: Handle second SID and stereo sound. Fix error
	causing open of sound device to disable warp mode.

	* sound.h (sound_device_t.init): Replaced bufsize parameter
	with stereo parameter.
	(sound_read, sound_store, sound_machine_open): Extra parameter
	chipno.

	* sounddrv/soundacorn.c (init_vidc_device,
	init_vidc_sync_device): Replaced bufsize parameter with stereo
	parameter.

	* sounddrv/soundaix.c (aix_init): Likewise. 

	* sounddrv/soundallegro.c (allegro_init_sound): Likewise. 

	* sounddrv/soundarts.c (artsdrv_init): Likewise. 

	* sounddrv/soundbeos.cc (beos_init): Likewise. 

	* sounddrv/sounddart.c (dart_init): Likewise. 

	* sounddrv/sounddump.c (dump_init): Likewise. 

	* sounddrv/sounddx.c (dx_init): Likewise. 

	* sounddrv/soundesd.c (esd_init): Likewise. 

	* sounddrv/soundfs.c (fs_init): Likewise. 

	* sounddrv/soundhpux.c (hpux_init): Likewise. 

	* sounddrv/soundmidas.c (midas_init): Likewise. 

	* sounddrv/soundmmos2.c (mmos2_init): Likewise. 

	* sounddrv/soundsb.c (sb_init): Likewise. 

	* sounddrv/soundsdl.c (sdl_init): Likewise. 

	* sounddrv/soundsgi.c (sgi_init): Likewise. 

	* sounddrv/soundsun.c (sun_init): Likewise. 

	* sounddrv/soundwav.c (wav_init): Likewise. 

	* sounddrv/soundwmm.c (wmm_init): Likewise. 

	* sounddrv/sounduss.c (uss_init): Likewise. 
	(uss_bufferspace): Return correct space for stereo. 

	* vic20/vic20sound.c (sound_machine_open): Use chip #0 in call
	to sound_store.

2001-10-05  Andreas Matthies  <andreas.matthies@gmx.net>

	* vicii/vicii-draw.c (draw_hires_bitmap_cached),
	(draw_hires_bitmap): Set overscan background color to
	last character in current row.

	* vicii/vicii-snapshot.c, vicii/vicii.c: Don't force overscan
	background color to black in HIRES mode.

2001-10-04  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.11.

	* vdc/vdc-mem.c (vdc_store): Added support for register #0,
	#4, #5 and #9.  (vdc_read): Return VDC revision 2.

	* vdc/vdc.c (vdc_set_geometry): Fixed height calculation.
	(vdc_set_next_alarm, vdc_update_geometry,
	vdc_calculate_xsync): New functions.
	(vdc_reset): Setup some more variables.
	(vdc_raster_draw_alarm_handler): Handle geometry resizing
	requests. Properly calculate the next line draw alarm.
	(vdc_resize): Commented out old height constants.

	* vdc/vdctypes.h: Added new variables and defines.

	* vdc/vdc-resources.c: Disabled double size for now.

2001-10-04  Andreas Matthies  <andreas.matthies@gmx.net> 

	* arch/win32/uilib.h: new array uilib_filefilter[] of all 
	known file filters; corresponding IDs UI_LIB_FILTER_* 
	changed type of filter in the struct ui_cartridge_params 

	* arch/win32/uilib.c: (get_index_from_filterbit), 
	(update_filter_history), (set_filter): New functions. 
	(ui_select_file) gets bitfield of filters to use instead of 
	the filterstring; uses new functions to build the filterlist, 
	store the last selected filter and choose the best default 
	filter. 

	* arch/win32/c128ui.c, c64ui.c, ui.c, uiattach.c,
	uisnapshot.c, vic20ui.c: (ui_select_file) is called with
	bitfield of filters, same with ui_cartridge_params structs.

2001-10-03  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.10.

	* vdc/vdc-draw.c (draw_std_text): Added attribute and cursor
	support.

	* vdc/vdc-mem.c (vdc_read): Added register #28 support.

	* monitor/mon_ui.h: #include <stdio.h>.

2001-10-03  pottendo  <pottendo@utanet.at>

	* arch/unix/x11/ui-resources.c: Reenabled resource
	`fullscreen_selected_videomode' resource.

	* arch/unix/x11/videoarch.h (CANVAS_USES_TRIPLE_BUFFERING):
	Changed to enable `triple buffering' in case of DGA2
	compilation.

	* arch/unix/x11/gnome/ui.c:
	arch/unix/x11/xaw/ui.c: Check `USE_XF86_VIDMODE_EXT' for
	enabling dynamic menus for resolution switch.

	* arch/unix/x11/fullscreen.c (fullscreen_set_bestmode):
	Provided resource variable and dummy function
	`fullscreen_selected_videomode' in case of DGA2 compilation.

	* arch/unix/x11/dga2.c: Changed fullscreen policy to make vice
	draw into a backbuffer, which is never shown. On refresh
	(emulated vsync) the whole screen is copied from this hidden
	backbuffer into another backbuffer which is currently not
	shown on the display. Finished copying the viewport switch is
	initiated.
	Fixed the `non-root-DGA-freezes-GUI' bug.

2001-10-02  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.9.

	* vicii/vicii-mem.c (store_d030): New function.

	* vdc/vdc.c (vdc_raster_draw_alarm_handler): Added hock to
	flush the cache.

	* vdc/vdc-mem.c: Added support for vblank bit and added
	register #1 emulation.

	* vdc/vdctypes.h: Added `screen_text_cols' and
	`force_cache_flush' to `vdc_t'.

	* raster/raster.c, raster/raster.h (raster_invalidate_cache):
	New function.

	* raster/raster-cache.c (raster_cache_init): Clear entire
	cache.

2001-10-02  Andreas Matthies  <andreas.matthies@gmx.net> 

	* arch/win32/sid.dsp: added sid-engine.c to MSVC project file

	* vicii/vicii-sprites.c (draw_hires_sprite, draw_mc_sprite):
	added initialization for some local variables

2001-10-01  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.8.

	* ciacore.c (mycia_store): Pass real clock value to
	`store_ciapa' and `store_ciapb'.

	* monitor/mon.h: Added prototype for
	`mon_disassemble_to_string'.

2001-10-01  Dag Lem  <resid@nimrod.no> 

	* sid/Makefile.am: Added sid-engine.c and sid-engine.h 

	* sid/resid.cc, sid/resid.h: Renamed functions from 
	resid_sound_machine_xxx to resid_xxx and added hook struct. 
	Removed resid_sound_machine_init. 

	* sid/sid-engine.c, sid/sid-engine.h: New files; hooks to 
	actual SID implementation. sid_read, sid_store, and sid_reset 
	moved from sid.c. 

	* sid/sid.c, sid/sid.h: Removed all reSID code. Renamed 
	functions from sound_machine_xxx to fastsid_xxx and added 
	hook struct. Removed sound_machine_init. 

2001-09-22  Andreas  Matthies <andreas.matthies@gmx.net> 

	* arch/win32/sid.dsp: added new files to MSVC project file 

	* vicii/vicii-sprites.c (draw_hires_sprite, draw_mc_sprite):
	Added parameter for pointer to the sprite data. 
	Area at [0x13b..0x176]+n*0x10 needs special code to 
	implement sprites pixels reating and hiding. 
	(draw_all_sprites,draw_all_sprites_2x): sprites at 
	xpos>=0x16c start in the same line, later they have even 
	fetched the sprite data. 

	* vicii/viciitypes.h: Changed VIC_II_SCREEN_WIDTH to 512. 
	With lower values sprite-sprite-collisions are missed. Maybe 
	there's a better solution for this. 

2001-09-09  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.7.

	* monitor/mon_assemble6502.c, monitor/mon_assemblez80.c
	(mon_assemble_instr): Fixed opcode search loop.

	* resources.c (resources_register): Check for NULL pointer.

	* printerdrv/output-graphics.c, log.c, c64/c64-resources.c,
	c64/reu.c, sound.c, pet/pet-resources.c, cbm2/c610-resources.c
	(resources): Fixed resource declaration.

	* sound.c: Enable sound as default.

	* sid/sid-resources.c, sid/sid-resources.h,
	sid/sid-cmdline-options.c, sid/sid-cmdline-options.h,
	sid/sid-snapshot.c, sid/sid-snapshot.h: New files.

	* sid/sid.c, sid/sid.h: Removed resource, command line option
	and snapshot code.

	* sid/resid.cc (resid_sound_machine_open): Use resources
	instead of passed parameters.

	* sid/Makefile.am: Added new files.

	* c64/c64.c, c128/c128.c, cbm2/c610.c: Include
	"sid-resources.h", sid-cmdline-options.h" and
	"sid-snapshot.h".

2001-09-05  Desmon  <zdv7@yahoo.com>

	* diskimage.c, diskimage.h (disk_image_check_for_d64):
	Added support for odd sized disk images.

2001-09-02  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.6.

	* c128/z80.c: Fixed a bug in LDSPIND as reported by
	Martin Pawlowsky <mphh@nexgo.de>.

	* printerdrv/output.h: New file.

	* printerdrv/Makefile.am: Added new file.

	* printerdrv/output-graphics.c, printerdrv/output-graphics.h,
	printerdrv/drv-mps803.c, printerdrv/drv-mps803.h,
	printerdrv/output-select.c, printerdrv/output-select.h:
	Use graphics output driver instead of directly wrinting to
	files.

2001-09-01  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.5.

	* arch/unix/x11/video.c (video_frame_buffer_clear): Fixed
	non-DGA compile.

2001-09-01  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* arch/win32/vice.dsw, arch/win32/gfxoutputdrv.dsp, 
	arch/win32/screendrv.dsp: replaced the later with the former
	(reflecting the change in the gcc makefiles)

	* arch/win32/uimon.c: HACK: SIF_TRACKPOS conditionally defined
	so Mingw can compile again (SIF_TRACKPOS is missing in the
	MINGW headers).

2001-08-23  pottendo  <pottendo@utanet.at>

	* raster/raster.c (raster_init): Tell video code about current
	raster struct for caching framebuffer pointers and changing color
	palettes during fullscreen modes.

	* arch/unix/x11/videoarch.h 
	video_register_raster(): New prototype.
	fullscreen_set_raster(): ditto.
	fullscreen_set_palette(): ditto.

	* arch/unix/x11/video.c (video_frame_buffer_clear): convert only
	if fullscreen is disabled.
	(video_register_raster): New function, pass raster for caching to
	fullscreen driver.
	(canvas_create): Initialize palette in fullscreen driver.
	(canvas_refresh): Cleanup for fullscreen.

	* arch/unix/x11/ui-resources.c: Temporarily disabled fullscreen
	resource: UseFullscreen.

	* arch/unix/x11/gnome/gnomevideo.c (video_frame_buffer_alloc):
	* arch/unix/x11/xaw/x11video.c (video_frame_buffer_alloc): 
	Pass new framebuffer structure to fullscreen video driver.

	* arch/unix/x11/fullscreen.c: Do nothing in case
	`USE_XF86_DGA2_EXTENSIONS' is defined in `config.h'. This will
	change!

	* arch/unix/x11/dga2.c: New file, derived from fullscreen.c,
	implements direct-into-framebuffer rendering with double
	buffering. 

	* arch/unix/x11/Makefile.am (EXTRA_libx11ui_a_SOURCES): Added
	dga2.c 

2001-08-22  Andreas Dehmel  <dehmel@forwiss.tu-muenchen.de>

	* arch/riscos/spritedrv.c: modified to new open/write/close
	interface.

	* arch/riscos/uiimage.c: load "*" when double-clicking on
	image title in image contents window (this patch seems to have
	been forgotten some time ago).

2001-08-20  Thomas Bretz  <tbretz@physik.tu-muenchen.de>

	* arch/os2/archdep.c, arch/os2/joystick.c, arch/os2/video.c,
	arch/os2/vsidui.c, arch/os2/vsyncarch.c, c64/psid.c, sound.c:
	added static log
   
	* arch/os2/dialogs/dialogs.h: changed width, height of TEXT to
	static -1, -1
   
	* arch/os2/dialogs/dialogs.rc: moved close button in the
	middle of the window
   
	* arch/os2/dialogs/dlg-cmdopt.c: added second WM_INSERT style
	to provide the right style for commandline and log-window
     
	* arch/os2/dialogs/dlg-color.[h,c,rc]: added default button

	* arch/os2/dialogs/dlg-datasette.rc,
	arch/os2/dialogs/dlg-drive.rc,
	arch/os2/dialogs/dlg-emulator.rc,
	arch/os2/dialogs/dlg-fileio.rc,
	arch/os2/dialogs/dlg-joystick.rc: changed TEXT to new style
   
	* arch/os2/dialogs/dlg-fileio.[h,c]: changed lbox style for
	usage of screencode chargen fonts
   
	* arch/os2/dialogs/dlg-vsid.[h,c,rc]: added static log
	added support for drag'n'drop
   
	* arch/os2/dialogs/dragndrop.c: added support for sid (vsid)
   
	* arch/os2/dialogs/menubar.[h,c,rc]: added new printer
	controls
   
	* arch/os2/fonts/chargen2fnt.cc: changed to convert the raw
	chargens into fonts
   
	* arch/os2/fonts/vice-cbm.cmd, arch/os2/fonts/vice2.rc: added
	all changen screencode fonts
   
	* arch/os2/snippets/pmwin2.[h,c]: added WinSubclassDlg
   
	* arch/os2/sounddrv.c: changed logging output
   
	* arch/os2/uicmdline.c: support new WM_INSERT style
   
	* arch/os2/vac++/C1541.ICC: changed charset.c to charsets.c

	* arch/os2/vac++/incl/dialogs.icc: removed dlg-color.c
   
	* arch/os2/vac++/incl/printerdrv.icc: removed output-file.c
	added output-graphics.c, added output-text.c,
	added output-select.c
 
	* arch/os2/vac++/X128.ICC, arch/os2/vac++/X64.ICC,
	arch/os2/vac++/Xcbm2.ICC: added dlg-color.c
   
	* arch/os2/vac++/Xpet.ICC, arch/os2/vac++/Xvic.ICC:
	removed path to vicii
   
	* arch/riscos/uiconfig.c, arch/unix/uiprinter.c,
	printerdrv/interface-userport.c: changed PrUser to
	PrinterUserport
   
	* imagecontents.c: removed (eMPTY IMAGE) for OS/2
   
	* log.c: added static log name to archdep output
	reorganized code of log_helper
   
	* log.h: changed log_t to explicit signed.
   
	* main.c: added "-h" for help
   
	* printerdrv/drv-mps803.[h,c]:
	changed to support full sized chargen rom
	changed writeline to use of output_writeline

	* printerdrv/interface-serial.c: added a logging information
  
	* printerdrv/output-graphics.c: added code to output graphics
   
	* printerdrv/output-select.[h,c]: added
	output_select_writeline
   
	* vicii/vicii-cmdline-options.c: changed '<number>' to
	corresponding values
   
2001-08-18  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.4.

	* gfxoutputdrv/gfxoutput.c, gfxoutputdrv/bmpdrv.h,
	gfxoutputdrv/pngdrv.h: New files.

	* screendrv/*: Moved to `gfxoutputdrv' and made more modular.

	* main.c (MAIN_PROGRAM): Initialize gfx output driver.

	* Makefile.am: Added new files.

	* arch/unix/x11/xaw/uiscreenshot.c, arch/win32/uisnapshot.c,
	arch/unix/x11/gnome/uiscreenshot.c, arch/riscos/spritedrv.c:
	Adopted to new naming.

	* gfxoutputdrv/bmpdrv.c (bmpdrv_save): Add default extension.
	Changed to handle multiple instances and separated into open,
	write and close functions.

	* gfxoutputdrv/pngdrv.c (pngdrv_save): Changed likewise.

	* utils.c, utils.h (util_add_extension_const): New function.

2001-08-17  John Selck  <graham@cruise.de>

	* vicii/vicii-color.c: Reorganised code. Now there is just one
	function which can be called externally:
	vic_ii_color_calcpalette. Also a new parameter is introduced:
	The palette type. It is now possible to calculate different
	palettes to allow fake pal emulation (delay loop emulation).

	* vicii/vicii-color.h: Removed old prototypes and added
	prototype for vic_ii_color_calcpalette and a few defines for
	different palette types.

	* vicii/vicii.c: color_names table removed.
	vic_ii_load_palette now uses vic_ii_color_names from
	vicii-color.c. vic_ii_calc_palette code adapted to call
	vic_ii_color_calcpalette.
	Added new parameter for vic_ii_calc_palette: mixedcols. If
	true, the delay loop emulation is activated and a palette with
	mixed colors is needed. Currently this parameter is ignored,
	but soon it will force a new palette.

	* vicii/viciitypes.h: Added new parameter to the prototype of
	vic_ii_calc_palette.

	* vicii/vicii-resources.h: Added two new resource variables to
	the vic_ii_resources: fast_delayloop_emulation for palette
	based delay loop emu (fake PAL emu) and pal_emulation for true
	PAL emulation.

	* vicii/vicii-resources.c: Added setter functions for the two
	new resource variables. vic_ii_activate_palette now requests
	an extended palette with mixed colors if
	fast_delayloop_emulation is set.

2001-08-16  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.3.

	* arch/unix/joystick.c (new_joystick_init): Move joystick name
	array to top of function.

2001-08-14  Dag Lem  <resid@nimrod.no>

	* c64/psid.c (psid_init_driver): Fixes a bug in the PSID speed
	setting - spotted by Roland Hermans.

2001-08-12  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* monitor/mon_ui.c: replaced #include <malloc.h> with
	<stdlib.h> (now it's ANSI C; thanks to Andreas D. for the
	hint!).

	* monitor/mon_ui.{c,h}: mon_disassembly_get_lines() now has an
	additional parameter for the really *visible* lines.

	* monitor/mon_ui.c: scrolling up is now implemented.

	* arch/win32/uimon.c: changed the color processig for the
	actual line and lines with breakpoints.

2001-08-12  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.2.

	* printerdrv/output-select.c, printerdrv/output-select.h,
	printerdrv/output-graphics.c, printerdrv/output-graphics.h:
	New files.

	* printerdrv/output-ascii.c, printerdrv/output-ascii.h:
	Changed to new output selection and renamed.

	* printerdrv/printer.c: Initialize new output selection.

	* printerdrv/drv-ascii.c, printerdrv/drv-mps803.c: Use new
	output selection code.

	* arch/unix/uiprinter.c, arch/riscos/ui.c,
	arch/riscos/uiconfig.c: Fixed printer resource names.

	* vicii/viciitypes.h: Define VIC_II_NEED_2X if needed.

2001-08-08  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/beos/ui.cc, arch/beos/vsyncarch.c: replaced usleep()
	with snooze() (which is already released in BeVICE-1.7a)

2001-08-08  Thomas Bretz  <tbretz@physik.tu-muenchen.de>

	* arch/os2/dialogs/dialogs.h: added color dialog
      
	* arch/os2/dialogs/dlg-color.[h,c,rc]: added
      
	* arch/os2/dialogs/menubar.[h,c,rc]: added color options
      
	* arch/os2/fonts/vice-cbm.cmd: added options to suppress some
	output
      
	* arch/os2/video.c: removed output if palette was successfull
	realized
      
	* sounddrv/sounddart.c: added log output for volume setting
      
	* vicii/vicii-cmdline-options.c: added cmdline options for
	color settings
      
2001-08-07  John Selck  <graham@cruise.de>

	* vicii/vicii-color.c: modified the source to fit VICE better.

	* arch/win32/vicii.dsp: added vicii/vicii-color.h.

	* vicii/vicii.c: added vic_ii_calc_palette.
	Moved color_names out of vic_ii_load_palette so it can be
	used in vic_ii_calc_palette also.

	* vicii/vicii-resources.c: added new resource variables
	ColorSaturation, ColorContrast, ColorBrightness, ColorGamma,
	NewLuminances and ExternalPalette. Also added setter
	functions. Added new function vic_ii_activate_palette which
	calls vic_ii_load_palette or vic_ii_calc_palette depending on the
	ExternalPalette value.

	* vicii/viciiresources.h: changed the _vic_ii_resources to
	hold the new variables.

	* vicii/viciitypes.h: added prototypes for
	vic_ii_activate_palette and vic_ii_calc_palette.

	* arch/uivicii.c: removed the Palette dialog completely.

	* arch/win32/resc64.rc: removed the Palette dialog completely.

	* arch/win32/res.h: removed the Palette dialog defines and
	moved the Colours dialog defines to their place.

	* arch/win32/resc128.rc: applied the same changes as in
	resc64.rc to activate the Colours dialog in the VIC-II
	settings in x128.

	* raster/raster.c: raster_force_repaint only clears the frame
	buffer if the frame buffer is actually allocated.

2001-08-07  John Selck  <graham@cruise.de>

	* arch/win32/uivicii.c: the Colours dialog is now
	part of the VIC-II settings.

	* arch/win32/res.h: added defines for Colours dialog

	* arch/win32/resc64.rc: added new Colours dialog.

	* arch/win32/c64.dsp: added vicii/vicii-color.c.
	Copied some routines for C64 color calculation into the file.

2001-08-07  Thomas Bretz  <tbretz@physik.tu-muenchen.de>

	* arch/os2/dialogs/dlg-vsid.[h,c, rc]: added SID type output
     
	* arch/os2/vac++/incl/vsid.icc: added reloc65.c
     
	* arch/os2/vsidui.c: Init waits now for initialisation

2001-08-07  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.1.

2001-08-02  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* monitor/mon_ui.h, monitor/mon_ui.c: added as layer for
	arch-independant monitor UI

	* arch/win32/uimon.c: added possibility to scroll the 
	disassembly window up and down via the scroll bar;
	moved some functionality to mon_ui.{h,c}

2001-07-23  Errol Smith  <errol@ros.com.au>

	* vdc/vdc.c - implement register 27 (address increment per
	row)

2001-07-23  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.7.

2001-07-22  Tibor Biczo  <crown@axelero.hu>

	* arch/win32/c128ui.c : Added UI support for C128 function
	roms.

	* arch/win32/res.h: Added menu entry definitions for C128
	function rom support.

	* arch/win32/resc128.rc: Added menu entries for C128 function
	rom.

	* arch/win32/uisnapshot.h: Export ui_save_snapshot.

	* arch/win32/video.c (canvas_destroy): Deallocate resources
	safely.

	* c64/reu.c (set_reu_filename): Bugfix, update filename
	resource when REU is not enabled.

2001-07-22  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.47.

	* info.c: Updated.

2001-07-20  Thomas Bretz  <tbretz@physik.tu-muenchen.de>

	* c64/psid.c: splittet log_message in several lines (one per
	output line)

	* sounddrv/sounddart.c: implemented a more accurate mute
	(suspend/resume)

2001-07-19  Andreas Matthies  <andreas.matthies@gmx.net>

	* sounddrv/soundbeos.cc: fixed a bug causing noise at driver
	start by removing the 'written_samples' that was needed
	when bufferstatus reported used instead of free space

2001-07-18  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.46.

2001-07-17  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/beos/vsidui.cc: implemented vsid_ui_display_irqtype

2001-07-16  Dag Lem  <resid@nimrod.no>

	* arch/unix/vsidui.c (vsid_ui_display_irqtype): Display IRQ
	type.

	* c64/psid.c (psid_init_tune): Fixed patch reject.
	(psid_init_driver): Removed unnecessary xmalloc and bad free.

2001-07-16  Andreas Dehmel  <dehmel@forwiss.tu-muenchen.de>

	* c64/psid.c: fixed non-constant initializer in
	psid_load_file()

2001-07-15  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/c64.dsp: added file reloc65.c

	* arch/win32/ui.c: added forward prototype for
	ui_emulation_is_paused

2001-07-15  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.45.

	* c128/functionrom.c (functionrom_load_internal,
	functionrom_load_external): Fixed loading odd sized images.

2001-07-15  pottendo  <pottendo@utanet.at>

	* arch/unix/x11/fullscreen.c (fullscreen_mode_update): Moved
	fullscreen_upate -> fullscreen_mode_update.

	* info.c: Updated credits.

	* arch/unix/x11/videoarch.h: Adjusted fullscreen control macros.

2001-07-14  Dag Lem  <resid@nimrod.no>

	* c64/psid.c (psid_load_file): Fixed && and || warning.

	* c64/psiddrv.a65: Proper bank switching.

2001-07-14  Dag Lem  <resid@nimrod.no>

	* arch/beos/c64ui.cc (c64_play_vsid): Added call to
	psid_init_driver.

	* arch/beos/vsidui.cc (vsid_ui_display_sid_model): New stub.

	* arch/msdos/vsidui.c (vsid_ui_display_sid_model): New stub.

	* arch/os2/vsidui.c (vsid_ui_display_sid_model): New stub.

	* arch/riscos/vsidui.c: Added call to psid_init_driver.
	(vsid_ui_display_sid_model): New stub.

	* arch/unix/vsidui.c: Added call to psid_init_driver.
	(vsid_ui_display_sid_model): New stub.

	* arch/win32/vsidui.c (vsid_ui_display_sid_model): New stub.

	* c64/Makefile.am: Added reloc64.c, assemble psiddrv.a64 with
	xa in relocating mode.

	* c64/c64.c (machine_init): Load ROMs even in vsid mode.
	(machine_specific_reset): Removed init of PSID driver.
	(machine_powerup): Unload PSID in vsid mode.

	* c64/c64mem.h: Added prototype for ram_read.

	* c64/psid.c: Major rewrite; use relocating PSID driver.

	* c64/psid.h (reloc65): New function.

	* c64/psiddrv.a65: Rewrite; relocating PSID driver.

	* c64/reloc65.c: Andre Fachats o65 relocation utility modified
	for use with VICE vsid.

	* vsidui.h (vsid_ui_display_sid_model): New function.

	* vsync.c (vsync_do_vsync): Reverted change skipping redraws
	in vsid mode, it broke fps statistics. This should not have
	any impact on performance since there is no redraw in vsid
	mode anyway. Removed debug logging.

2001-07-13  Thomas Bretz  <tbretz@physik.tu-muenchen.de>

	* arch/beos/vsidui.cc, arch/msdos/vsidui.c,
	arch/riscos/vsidui.c, arch/unix/vsidui.c,
	arch/win32/vsidui.c
	added dummy for vsid_ui_display_irqtype
   
	* arch/os2/dialogs/dlg-fileio.c:
	added videoarch.h
   
	* arch/os2/dialogs/menubar.c:
	made Speed change aware of possible negative numbers
   
	* arch/os2/dialogs/menubar.rc:
	small changes
   
	* arch/os2/install.cmd:
	changed URL to new location
   
	* arch/os2/makedist.cmd:
	moved c64mem.syn to C&$, added C64/vice.vpl, 
	C128/vice.vpl, PRINTER/mps803, removed cbm-ii/kernal.500+
   
	* arch/os2/vac++/incl/mainsrc.icc:
	renamed charsets.c to charset.c, removed old printer files
   
	* arch/os2/vac++/incl/printerdrv.icc:
	added

	* arch/os2/vac++/X*.ICC:
	added printerdrv
   
	* c64/psid.c
	added vsid_ui_display_irqtype
    
	* charset.c
	included string.h
   
	* printerdrv/drv-ascii.c
	changed ifdef OS2 to __OS2__
   
	* printerdrv/drv-mps803.c:
	changed 480 to MAXCOL
   
	* sound.c:
	made sound_set_relative_speed thread safe for OS/2

2001-07-13  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/beos/archdep.c (archdep_default_logger) writes to stdout
	(archdep_setup_signals) signal handling activated
	(archdep_startup_log_error) writes to stdout

	* arch/beos/c128ui.cc,c64.cc: reu_size with possible values
	registered; removed handling of messages related to a common
	resource (this is now done in ui.cc in a more general way)

	* arch/beos/constants.h: new ids for 'pause' and reu size

	* arch/beos/main.cc (vice_start_main): send a WINDOW_CLOSED
	message if emulation thread returns to close the application

	* arch/beos/statusbar.cc (ViceStatusbar::DisplaySpeed): display
	'paused' and 'resumed'

	* arch/beos/ui.cc: #inlude "usleep.h"; new functions pause_trap, 
	 ui_display_paused, ui_pause_emulation, ui_emulation_is_paused
	(ui_dispatch_events) handles MENU_PAUSE, removed obsolete hack
	of suspending and resuming sound when warp is toggled, handles
	MENU messages registered in the ui_res_possible_values lists

	* arch/beos/ui_drive.cc: fixed drive_num parameter in call of
	drive_check_type

	* arch/beos/vicemenu.cc: new menuitems for pause, reu size and
	IEEE488

	* arch/win32/ui.c (ui_display_paused): free allocated buffer;
	removed some unused code

	* main.c: don't register commandline option '-console' under BeOS

2001-07-08  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.44.

	* arch/unix/uidatasette.c: #include "utils.h" and
	#include <stdio.h>.

2001-07-08  Andreas Matthies  <andreas.matthies@gmx.net>

	* vic20/vic.c (vic_set_geometry): call video_ack_vga_mode()
	under dos

2001-07-08  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/ui.c (update_menus): update check mark for pause
	menuitem

2001-07-07  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/Makefile.am,arch.dsp: added new files uireu.{ch}

	* arch/win32/c128ui.c,c64ui.c: new include uireu.h; removed
	REU toggle, handle menuitem to open REU settings dialog

	* arch/win32/res.h: new ids for REU and pause menuitems and
	REU dialog and controls

	* arch/win32/res.rc: dialog definition for REU settings

	* arch/win32/resc128.rc,resc64.rc: removed REU toggle item,
	added REU settings item

	* arch/win32/res<machine>.rc: added 'Pause' menuitem

	* arch/win32/ui.c: new shortcut Ctrl-Alt-P for 'Pause'; new
	functions pause_trap, ui_pause_emulation,
	ui_emulation_is_paused cleaned up a bit (removed unused code);
	ui_display_paused is implemented; ui_dispatch_events handles
	menuitem 'pause'

	* arch/win32/uireu.c,uireu.h: new files

	* printerdrv/drv-mps803.c(init_charset): changed parameter
	from array to pointer (MSVC cannot handle unbounded arrays as
	a parameter)

2001-07-05  Andreas Dehmel  <dehmel@forwiss.tu-muenchen.de>

	* arch/riscos/ui.c: fixed attaching image files as
	directories.

2001-07-04  Andreas Dehmel  <dehmel@forwiss.tu-muenchen.de>

	* arch/riscos/ui.{c,h}, arch/riscos/kbd.c: added keyboard
	shortcuts for making screenshots and loading/saving snapshots.

	* arch/riscos/video.c: flush buffers when exiting full screen
	mode.

2001-07-04  pottendo  <pottendo@utanet.at>

	* arch/unix/x11/gnome/ui.c (tape_popup_cb): Update menus before
	popup of menu.

	* arch/unix/uidatasette.c: Added menu and callbacks for setting
	datasette options.

2001-07-01  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.43.

	* arch/win32/ui.c (handle_wm_command): Removed `prg' from tape
	selector.

2001-06-26  Dag Lem  <resid@nimrod.no>

	* sound.c (initsid): Check buffer space before initial filling
	of buffer.

	* vsync.c (vsync_do_vsync): Reset next_frame_start after "too
	slow" detection.

	* arch/beos/vsyncarch.c (vsyncarch_presync): Moved code from
	vsyncarch_postsync.
	* arch/unix/vsyncarch.c (vsyncarch_presync): Likewise.
	* arch/win32/vsyncarch.c (vsyncarch_presync): Likewise.

2001-06-26  pottendo  <pottendo@utanet.at>

	* arch/unix/x11/videoarch.h: Added missing macro to hide
	fullscreen for architectures which are not DGA2 aware.

2001-06-24  pottendo  <pottendo@utanet.at>

	* arch/unix/x11/gnome/ui.c (ui_dispatch_events): Update
	fullscreen state.
	(ui_popdown): Restore fullscreen in case it's been enabled.
	(ui_popup): Switch to window mode in case of fullscreen.

	* arch/unix/x11/fullscreen.c: (all): Cleanup of on/off
	interface. Still not well integrated in GTK.

2001-06-23  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.42.

	* printerdrv/drv-mps803.c: Added support for multiple
	instances.

	* arch/unix/uiprinter.c: Use string radio button for driver
	device selection.

2001-06-21  pottendo  <pottendo@utanet.at>

	* screendrv/bmp.c (bmp_write_bitmap_data): Fixed variable line
	to be `int'. 

2001-06-20  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/beos/ui_file.cc: call autostart_autodetect with extra
	parameter AUTOSTART_MODE_RUN

2001-06-18  Andreas Dehmel  <dehmel@forwiss.tu-muenchen.de>

	* printerdrv/interface-serial.c: don't use return in void
	functions.

2001-06-18  Thomas Bretz  <tbretz@physik.tu-muenchen.de>

	* arch/os2/dialogs/dlg-monitor.[c,rc]: made working with new
	monitor code

	* arch/os2/dialogs/dlg-vsid.[h,c,rc]: moved speed display into
	titlebar

	* arch/os2/dialogs/menubar.[h,c,rc]: added snapshot support,
	added new speed change keys

	* arch/os2/vac++/incl/dialogs.icc: removed dlg-emulator.c

	* arch/os2/video.c: added new speeddisplay

	* arch/os2/videoarch.h: added hwndTitlebar

	* arch/os2/vsidui.c: changed hwndEmulator to hwndVsid

	* arch/os2/vsyncarch.c: added dlg-vsid.h, added new
	speeddisplay

	* pet/pet.c: replaced %f logging output

	* sound.c: replaced %f logging output

	* sounddrv/sounddart.c: changed logging text

	* sounddrv/soundwav.c: replaced "w" by MODE_WRITE

	* vsync.c: added vsid_mode, moved vsyncarch_postsync behind
	sleep

2001-06-17  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.41.

	* printerdrv/interface-serial.c, printerdrv/driver-select.c,
	printerdrv/interface-serial.h, printerdrv/driver-select.h,
	printerdrv/interface-userport.c, printerdrv/drv-ascii.c,
	printerdrv/drv-mps803.c, printerdrv/output-file.c,
	printerdrv/output-file.h, printer.h: Added support for
	multiple printer.  Pass down secondary to printer driver.

	* arch/unix/uisettings.c, arch/riscos/uiconfig.c: Renamed
	resource `PrUserDev' to `PrinterUserportDevice'.

	* arch/unix/uisettings.c: Added menu entries for printer #5
	and printer drivers, separated printer related menu entries.

	* serial.c (serial_init): Added error handling.

	* c64/c64.c, c128/c128.c, vic20/vic20.c, pet/pet.c,
	cbm2/c610.c (machine_init): Check for serial init error.

	* arch/unix/uiprinter.c, arch/unix/uiprinter.h: New files.

	* arch/unix/Makefile.am: Added new files.

2001-06-17  Dag Lem  <resid@nimrod.no>

	* arch/msdos/vsync.c (vsync_sync_reset): New function.

	* arch/riscos/vsync.c (vsync_sync_reset): New function.

	* sound.c (sound_flush): Call vsync_sync_reset instead of
	vsync_suspend_speed_eval on "Buffer drained".

	* vsync.c (vsync_sync_reset): New function.
	(set_timer_speed,vsync_suspend_speed_eval): Call
	vsync_sync_reset.
	(vsync_do_vsync): Separated vsync_suspend_speed_eval and
	vsync_sync_reset. Period for speed statistics lowered from
	three to one second.

	* vsync.h (vsync_sync_reset): New function.

2001-06-17  Spiro Trikaliotis  <spiro.trikaliotis@gmx.de>

	* arch/win32/printerdrv.dsp,arch/win32/makefile.am:
	Reintroduce the printerdrv.dsp file, make it known in the
	makefile.am

2001-06-16  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.40.

	* printerdrv/drv-ascii.c, printerdrv/output-file.c: Moved CRLF
	conversion to the ASCII printer driver.

	* printerdrv/driver-select.c, printerdrv/driver-select.h:
	Added selection of printer drivers.

	* printerdrv/drv-ascii.c, printerdrv/drv-ascii.h,
	printerdrv/drv-mps803.c, printerdrv/drv-mps803.h: Adapted to
	new printer driver selection code.

	* printerdrv/drv-mps803.c (init_charset): Fixed memory
	corruption bug, load correct charset.
	(print_char): Do not eat the char causing a line wrap.

2001-06-16  Andreas Matthies  <andreas.matthies@gmx.net>

	* sound.c(sound_flush): check for warp mode before instead of
	after calling sound_resume()
	(sound_set_warp_mode) calls sound_suspend() or sound_resume()
	depending on current state of warp mode

	* sounddrv/sounddx.c: disabled (HandleNotifications) and
	(TimerCallbackFunction)
	(dx_init): disabled stuff related to stream_buffer, DSNotify
	and timer events; sound buffer created with global focus
	(dx_close): disabled killing of streaming thread and buffer
	(dx_bufferspace): get the free space via GetCurrentPosition()
	(dx_write): writes directly to the DirectX buffer (copy and
	paste from (HandleNotifications))
	(dx_suspend), (dx_resume) new functions, integrated in
	dx_device

2001-06-11  Andreas Dehmel  <dehmel@forwiss.tu-muenchen.de>

	* printerdrv/drv-mps803.c: replaced C++ comments

2001-06-10  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.39.

	* printerdrv/driver-select.c, printerdrv/driver-select.h,
	printerdrv/drv-ascii.c, printerdrv/drv-ascii.h,
	printerdrv/drv-mps803.c, printerdrv/drv-mps803.h,
	printerdrv/interface-serial.c, printerdrv/interface-serial.h,
	printerdrv/interface-userport.c,
	printerdrv/interface-userport.h, printerdrv/output-file.c,
	printerdrv/output-file.h, printerdrv/printer.c, printer.h: New
	files.

	* print.c, print.h, prdevice.c, prdevice.h, pruser.c,
	pruser.h, printerdrv/prt-mps803.c: Files removed, some code
	reused for new printer files.

	* c64/c64.c, c128/c128.c, vic20/vic20.c, pet/pet.c,
	cbm2/c610.c, arch/unix/uisettings.c, serial.c, c64/c64cia2.c,
	vic20/vic20via2.c, pet/petvia.c, cbm2/c610cia1.c: Changed to
	new printer API.

	* Makefile.am, printerdrv/Makefile.am: Updated.

	* arch/unix/c64ui.h, arch/unix/uicommands.h,
	arch/unix/uidatasette.h, arch/unix/uicrtc.h,
	arch/unix/uireu.h, arch/unix/uisettings.h,
	arch/unix/uivicii.h, arch/unix/x11/xaw/uimenu.h,
	arch/unix/x11/gnome/uimenu.h, arch/unix/uiscreenshot.h: Do not
	include `uimenu.h'.

	* arch/unix/uicommands.c, arch/unix/uisettings.c:
	#include "uimenu.h".

	* arch/unix/uipalette.c: #include <stdlib.h>.

	* arch/unix/x11/x11menu.c (make_menu_label): Cleaned up.

	* arch/unix/c64ui.c, arch/unix/c128ui.c, arch/unix/vic20ui.c,
	arch/unix/petui.c, arch/unix/c610ui.c, arch/unix/vsidui.c,
	arch/unix/x11/videoarch.h: Icons are now referenced without
	ugly defines.

	* arch/unix/icon.h: New file.

	* arch/unix/Makefile.am, arch/unix/x11/Makefile.am: Updated.

	* arch/unix/x11/c128icon.xpm, arch/unix/x11/c610icon.xpm,
	arch/unix/x11/c64icon.xpm, arch/unix/x11/vic20icon.xpm,
	arch/unix/x11/peticon.xpm: Renamed to *.c files.

	* cbm2/c610.h: Do not include "snapshot.h".

	* fullscreen.h: Do not include "videoarch.h"

	* drive/drivecpu.c, drive/drivetypes.h, drive/cia1571d.c,
	drive/drive.c, drive/fdc.c, drive/riot1d.c, drive/via1d.c,
	drive/wd1770.c, 6510core.c, maincpu.c, c128/c128cpu.c,
	viacore.c, viacore.h, ciacore.c, ciacore.h, riotcore.c,
	riotcore.h, maincpu.h, datasette.c, keyboard.c, rsuser.c,
	vicii/vicii.c, vdc/vdc.c, crtc/crtc.c, c64/c64cartridge.c,
	vic20/vic.c, cbm2/c610.c, aciacore.c [clk_guard, alarm_*]:
	Made dynamic.

2001-06-09  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.38.

	* autostart.c: Added support for just loading files.
	(autostart_disk): Fixed typo.

	* main.c, arch/unix/uicommands.c, arch/unix/x11/gnome/ui.c,
	arch/msdos/uiattach.c, arch/msdos/menudefs.c, arch/win32/ui.c,
	arch/win32/uiattach.c, arch/riscos/ui.c,
	arch/riscos/uiimage.c, arch/os2/dialogs/dragndrop.c,
	arch/os2/dialogs/dlg-fileio.c: Changed autostart API.

	* arch/unix/uireu.c, arch/unix/uireu.h, arch/unix/uivicii.c,
	arch/unix/uivicii.h, arch/unix/uipalette.c,
	arch/unix/uipalette.h: New files.

	* arch/unix/Makefile.am: Added new files.

	* arch/unix/c64ui.c, arch/unix/c128ui.c (vic_options_submenu):
	Removed as already present in the settings menu.
	Moved REU specific settings to separate file.

	* arch/unix/c64ui.c, arch/unix/c128ui.c, arch/unix/c610ui.c:
	Moved VICII specific settings to separate file.

	* arch/unix/uicrtc.c, arch/unix/uicrtc.h, arch/unix/petui.c,
	arch/unix/c610ui.c: Moved CRTC specific settings to
	`uicrtc.c'.

	* arch/unix/uisettings.c: Moved palette specific settings to
	`uipalette.c'.

	* acia.h: Fixed header.

2001-06-09  Dag Lem  <resid@nimrod.no>

	* sound.c (sound_flush): Limit refill on buffer drain to whole
	fragments. Call vsync_suspend_speed_eval after refill.

	* vsync.c (display_speed): Reset frame_ticks after
	suspend. Call vsync_suspend_speed_eval after "too slow"
	detection.

2001-06-07  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/*.dsp: renamed charsets.c to charset.c

	* arch/beos/c128kbd.c, arch/win32/c128kbd.c: fixed mapping of
	cursor keys for C64 mode

	* arch/beos/ui_file.cc: added second parameter in call of
	(image_contents_to_string)

2001-06-06  Andreas Dehmel  <dehmel@forwiss.tu-muenchen.de>

	* arch/riscos/console.c, arch/riscos/kbd.c,
	arch/riscos/vsync.c: replaced video.h include with videoarch.h
	include.

	* arch/riscos/ui.c: autostart PRGs via drag&drop.

2001-06-06  pottendo  <pottendo@utanet.at>

	* arch/unix/x11/x11kbd.c (x11kbd_press): Moved hotkey
	handling, to fix vsid.

	* arch/unix/x11/x11kbd.h: Changed key notion to `ui_keysym_t'. 

2001-06-05  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.37.

	* arch/unix/x11/xaw/uiarch.h: #include <X11/keysym.h>.

	* video.h: Prepaired to remove `videoarch.h' from includes.

	* raster/raster.c, arch/unix/x11/video.c, arch/msdos/video.c,
	arch/win32/video.c, arch/win32/ui.c, arch/riscos/video.c,
	arch/os2/video.c, arch/beos/video.cc: Use `void_t' for
	exposure handler.

	* vicii/vicii.c, vdc/vdc.c, crtc/crtc.c, vic20/vic.c,
	c64/c64.c, c128/c128.c, vic20/vic20.c, pet/pet.c, cbm2/c610.c,
	arch/unix/x11/xaw/ui.c, arch/unix/x11/gnome/ui.c,
	arch/riscos/ui.c: Use `struct canvas_s'.

	* screenshot.c, raster/raster.c, arch/unix/x11/xaw/uicolor.c,
	arch/unix/x11/gnome/uicolor.c, arch/msdos/video.c,
	arch/msdos/menudefs.c, arch/win32/video.c, arch/win32/ui.h,
	arch/riscos/video.c, arch/os2/video.c, arch/beos/video.cc:
	#include "videoarch.h"

	* drive/cia1581d.c, sid/sid.c, vicii/vicii-snapshot.c,
	vicii/vicii-sprites.c, monitor/mon_assemble6502.c,
	monitor/mon_assemblez80.c, monitor/mon_disassemble.c,
	monitor/mon.c: Fixed types.

2001-06-04  Dag Lem  <resid@nimrod.no>

	* vsync.c (vsync_do_vsync): Corrected off-by-one frame error
	in speed calculations. Less aggressive speed adjustment.

2001-06-04  pottendo  <pottendo@utanet.at>

	* arch/unix/x11/xaw/ui.c (ui_open_canvas_window): Disabled
	ui_hotkey_handler. Hotkey handling is now done in standard
	keyboard handler.

	* arch/unix/x11/xaw/Makefile.am (libxawui_a_SOURCES): Removed
	`uihotkey.c', `uihotkey.h'.

	* arch/unix/x11/x11menu.c, arch/unix/x11/x11menu.h: Cleanup.

	* arch/unix/x11/x11kbd.c, arch/unix/x11/x11kbd.h: Moved
	(x11-)generic keyboard (including hotkey) handling into this
	file. This implements all x11-based keyboard stuff behind a
	simple press/release/focus interface.

	* arch/unix/x11/uihotkey.c: Moved (x11-)generic hotkey
	handling into this file.

	* arch/unix/x11/gnome/uihotkey.c, arch/unix/x11/xaw/uihotkey.c,
	arch/unix/x11/xaw/uihotkey.h: Removed.

	* arch/unix/x11/gnome/Makefile.am (libgnomeui_a_SOURCES):
	Removed `uihotkey.c'

	* arch/unix/x11/fullscreen.c, arch/unix/x11/gnome/gnomekbd.c,
	arch/unix/x11/xaw/x11kbd.c: (all): Rearranged keyboard
	handling to use `x11kbd.c'.

	* arch/unix/x11/Makefile.am (EXTRA_libx11ui_a_SOURCES): Removed
	`fullscreenkbd.c'.

	* arch/unix/uihotkey.h (ui_dispatch_hotkeys): New prototype for
	interface function.

2001-06-04  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.36.

	* charsets.c, charsets.h: Renamed to charset.{ch}.
	Fixed function names.
	(charset_petcii_to_screencode,
	charset_petcii_to_screencode_line): New functions.

	* Makefile.am: Changed filenames.

	* imagecontents.c: (image_contents_to_screencode
	image_contents_screencode_destroy): New functions.

	* autostart.c, c1541.c, fsdevice.c, imagecontents.c, main.c,
	petcat.c, vdrive/vdrive.c, monitor/mon.c,
	arch/unix/x11/gnome/ui.c, arch/os2/dialogs/dlg-fileio.c,
	arch/os2/dialogs/dlg-create.c: Fixed charset.h include.

	* c1541.c, ciacore.c, piacore.c, serial.c, tape.c, viacore.c,
	c128/c128mem.c, c128/z80.c, vic20/vic20ieeevia1.c,
	vic20/vic20sound.c, pet/petmem.c, pet/petpia1.c,
	pet/petpia2.c, pet/petvia.c, crtc/crtc-snapshot.c,
	cbm2/c610cia1.c, cbm2/c610mem.c, cbm2/c610tpi1.c,
	monitor/mon.c, monitor/montypes.h, monitor/mon_assemble6502.c,
	monitor/mon_assemblez80.c, monitor/mon_disassemble.c,
	monitor/mon_register6502.c, monitor/mon_registerz80.c: Fixed
	types.

	* monitor/mon_registerz80.c (mon_register_set_val): Fixed
	register selection.

2001-06-01  Andreas Dehmel  <dehmel@forwiss.tu-muenchen.de>

	* utils.c: use FSDEV_DIR_SEP_CHR rather than '/' for
	portability.

	* arch/riscos/ui.{c,h}, arch/riscos/uiimage.{c,h}: extended
	imagecontents-functionality to directories for convenient
	autostarting.

2001-05-31  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.35.

	* printerdrv/prt-mps803.c: Added file header, added includes.
	(print_cbm_char, write_line, bitmode_off, print_bitmask):
	Fixed variable declaration.
	(mps803bmp_open, mps803bmp_close): `new' and `delete' are no
	ISO C. Fixed memset size bug.
	(mps803bmp_putc, mps803bmp_close): Make it compile.
	(init_charset): Load charset from rom image.

	* printerdrv/Makefile.am: New file.

	* Makefile.am: Added `printerdrvlib.a'.

	* arch/unix/archdep.c, arch/msdos/archdep.c,
	arch/win32/archdep.c, arch/os2/archdep.c, arch/beos/archdep.c
	(archdep_default_sysfile_pathlist): Added `PRINTER' to path.

	* arch/os2/Makefile.am: Added icons and bitmaps.

	* c64/psid.c (psid_init_tune): Commented out reference to
	`vsid_ui_display_irqtype()'.

2001-05-30  Thomas Bretz  <tbretz@physik.tu-muenchen.de>

	* arch/os2/dialogs/dialogs.h:
	moved Dialog IDs here
   
	* arch/os2/dialogs/dialogs.rc:
	added vsid-icon
   
	* arch/os2/dialogs/dlg-datasette.c:
	some small changes to the datasette dialog handling
   
	* arch/os2/dialogs/dlg-datasette.h:
	renumbered controls
   
	* arch/os2/dialogs/dlg-drive.c:
	removed workaround for readonly
   
	* arch/os2/dialogs/dlg-drive.h,
	arch/os2/dialogs/dlg-emulator.h,
	arch/os2/dialogs/dlg-fileio.h,
	arch/os2/dialogs/dlg-joystick.h: removed dlg ID
   
	* arch/os2/dialogs/dlg-fileio.c:
	added some X128 features
   
	* arch/os2/dialogs/dlg-joystick.c:
	code more structured

	* arch/os2/dialogs/dlg-vsid.c:
	added vsid-icon, speed display

	* arch/os2/dialogs/dlg-vsid.h:
	renumbered controls
   
	* arch/os2/dialogs/dlg-vsid.rc:
	added the new controls to vsid
   
	* arch/os2/dialogs/menubar.[h,c,rc]:
	added function rom controls, new reu controls, vdc video
	cache, fixed a bug for sound device type
   
	* arch/os2/doc/Vice_for_OS2.txt:
	fixed to changed
   
	* arch/os2/install.cmd:
	added vsid icon
   
	* arch/os2/joystick.c:
	commented out a debug line
   
	* arch/os2/kbd/proc.c:
	added CAPS key support
   
	* arch/os2/makedist.cmd:
	added vsid-icon
   
	* arch/os2/vac++/incl/*.icc:
	some changes because of new files
   
	* arch/os2/video.c:
	fixed some small errors
   
	* arch/os2/vsidui.c:
	added the new features/controls
   
	* c64/psid.c:
	added vsid_ui_display-irqtype
   
	* sounddrv/sounddart.c:
	made working with new bufferspace style
   
	* vsidui.h:
	added new function vsid_ui_display_irqtype
   
2001-05-28  Dag Lem  <resid@nimrod.no>

	* c128/c128.c (machine_init): Fixed vsync initialization order.

	* c64/c64.c (machine_init): Likewise.

	* cbm2/c610.c (machine_init): Likewise.

	* pet/pet.c (machine_init): Likewise.

	* vic20/vic20.c (machine_init): Likewise.

	* vsync.c (vsync_init): Moved setting of vsyncarch_freq back
	from set_timer_speed.

2001-05-29  Andreas Dehmel  <dehmel@forwiss.tu-muenchen.de>

	* arch/riscos/c128ui.c: removed now superfluous cartridge stub
	functions.

	* arch/riscos/ui.c: suspend sound on snapshot operations,
	close sound on extraordinary exits.

2001-05-28  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.34.

	* main.c (MAIN_PROGRAM): Fixed typo.

	* ciacore.c, c64/c64tpi.c, c64/psid.c, drive/via1d.c,
	sid/sid.c, sounddrv/sounddx.c, vicii/vicii-mem.c,
	vicii/vicii-snapshot.c, vdrive/vdrive-dir.c, monitor/mon.c,
	cmdline.c, diskimage.c, gcr.c, parallel.c, snapshot.c. t64.c,
	tape.c: Fixed variable types.

2001-05-27  Dag Lem  <resid@nimrod.no>

	* vsync.c (set_timer_speed): Moved setting of vsyncarch_freq
	from vsync_init.
	(display_speed): Only lie about speed when timer_speed is set.

2001-05-27  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.33.

	* imagecontents.c, imagecontents.h (image_contents_to_string):
	Added conversion rule.

	* arch/unix/uicommands.c, arch/unix/x11/gnome/ui.c,
	arch/win32/uilib.c: Added conversion rule to
	`image_contents_to_string'.

	* ciacore.c, ciacore.h, drive/drivetypes.h, parallel.h,
	parallel.c, c64/c64tpi.c, drive/drive.h, drive/drive.c,
	drive/drive-resources.c, diskimage.c, diskimage.h,
	drive/drivetypes.h, drive/fdc.c,drive/fdc.h, drive/riot2d.c,
	drive/riot1d.c, drive/riotd.h, drive/via1d.c, drive/via2d.c,
	drive/viad.h, drive/wd1770.c, screendrv/bmp.c,
	sounddrv/soundwav.c, vdrive/vdrive-bam.c, monitor/asm6502.c,
	monitor/asmz80.c, monitor/mon_assemble6502.c,
	monitor/mon_assemblez80.c, monitor/mon_disassemble.c,
	monitor/mon_drive.c, monitor/mon_file.c, autostart.c:
	Fixed variable types.

	* arch/win32/uimon.c (dis_window_proc): Hardcode `e_PC' for
	now just to get it compiled.

2001-05-26  Dag Lem  <resid@nimrod.no>

	* resid/sid.cc (clock_fast): Fixed incorrect sample generation.

	* sid/resid.cc: Removed include of fixpoint.h.

	* sound.c (sound_flush): Return delay in seconds.

	* sound.h (sound_flush): Now returns double.

	* vsync.c (display_speed): Lie a bit about speed and frame rate
	to correct for different sound hardware timing.
	(vsync_init): Set vsyncarch_freq to avoid calling
	vsyncarch_frequency() all the time.
	(vsync_do_vsync): Do all time consuming stuff first. Then call
	sound_flush and get current time to calculate actual sound
	delay. Run statistics on the delay and adjust the frame output
	frequency every 3 seconds.

2001-05-26  Andreas Matthies  <andreas.matthies@gmx.net>

	* vic20/vic-snapshot.c (vic_snapshot_read_module):
	vic.draw_clk has to be calculated before the registers are
	restored

2001-05-25  pottendo  <pottendo@utanet.at>

	* arch/unix/x11/gnome/uisnapshot.c (ui_snapshot_dialog): fixed
	parameter order to `machine_write_snapshot()'.

2001-05-24  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.32.

	* palette.c, palette.h (palette_set_entry): Made static.

	* maincpu.c, maincpu.h (mainloop): Fixed prototype.

	* vicii/viciitypes.h, vicii/vicii.c, vicii/vicii.h,
	vicii/vicii-mem.c: Moved `vic_ii_handle_pending_alarms'.

	* vicii/vicii.c, vicii/vicii.h, vdc/vdc-mem.c, c64/c64.c,
	c64/c64cia1.c, c64/c64cia2.c, c128/c128.c, c128/c128cia1.c,
	c128/c128mmu.c: Removed `vic_ii_handle_pending_alarms_external'
	hack.

	* c128/c128mem.c, c128/c128mem.h, c128/z80mem.c,
	c128/c128mmu.c, c128/z80mem.h, c64/c64mem.h, c64/c64mem.c,
	c64/c64cartmem.c, vicii/vicii-mem.c, vicii/vicii-mem.h: Fixed
	naming of memory access functions.

	* monitor/mon.c (mon_register_list_get): New function.

	* arch/win32/uimon.c (update_last_shown_regs,
	output_register): Use `mon_register_list_get()' instead of
	directly using the monitor CPU type structure.

	* monitor/montypes.h: New file.

	* monitor/mon.h: Moved all internal stuff to `montypes.h'.

	* monitor/asm6502.c, monitor/asmz80.c,
	monitor/mon_assemble6502.c, monitor/mon_assemblez80.c,
	monitor/mon_breakpoint.c, monitor/mon_disassemble.h,
	monitor/mon_command.c, monitor/mon_parse.y,
	monitor/mon_drive.c, monitor/mon_file.c,
	monitor/mon_register6502.c, monitor/mon_registerz80.c,
	monitor/mon_lex.l, maincpu.c, drive/drivecpu.c, c128/z80.c:
	Adopted to new monitor interface header.

2001-05-24  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* arch/win32/console.c: incomplete line at bottom is left
	free.

	* arch/win32/uimon.c: disassembler/register window now opened
	as popup instead of MDI childs

	* arch/win32/uimon.c: using generic registry interface (not
	yet always...)

	* arch/monitor/mon.c: calling uimon_notify_change() upon 
	recognition of cpu command

	* arch/monitor/mon_register6502.c: corrected bug in 
	mon_register_print (mem(01) did not work), added mem(00).

	* arch/monitor/mon_register6502.c: corrected bug in 
	mon_register_list_get(), SP is only 8 bit wide, added FL
	register (for the FLAG register, byte wide), fixed the
	"1" flag.

2001-05-22  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/video.c, arch/beos/video.cc (canvas_destroy):
	Test for valid canvas before we free it.

2001-05-21  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.31.

	* monitor/mon_register6502.c, monitor/mon_registerz80.c
	(mon_register_list_get, mon_register_list_set): New functions.

	* monitor/mon_breakpoint.c, monitor/mon_breakpoint.h,
	monitor/mon.c, monitor/mon.h, monitor/mon_parse.y: Use
	standard structure names.

	* c128/c128mem.c: Added function ROM, C64 ROM and cart monitor
	access.

	* mem.h, c64/c64mem.c, c128/c128mem.c, vic20/vic20mem.c,
	pet/petmem.c, cbm2/c610mem.c (mem_ioreg_list_get): New
	function.

	* drive/drivemem.c, drive/drivemem.h (drive_ioreg_list_get):
	New function.

	* monitor/mon.c, monitor/mon.h, maincpu.c, drive/drivecpu.c:
	Added support for accessing IO through the monitor interface.

	* monitor/asmz80.c, monitor/mon_assemblez80.c,
	monitor/mon_lex.l: Added more opcodes.

2001-05-21  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* arch/win32/monitor.dsp: added missing files

	* arch/win32/uimon.c: added define for mon_get_reg_val()
	as temporary fix

2001-05-20  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.30.

	* monitor/mon_disassemble.c: Added more z80 address modes.

	* monitor/mon_assemble6502.c, monitor/mon_assemblez80.c,
	monitor/mon_command.c, monitor/mon_command.h,
	monitor/mon_register.h, monitor/mon_register6502.c,
	monitor/mon_registerz80.c, monitor/mon_breakpoint.c,
	monitor/mon_breakpoint.h, monitor/mon_file.c,
	monitor/mon_file.h: New files.

	* monitor/mon_assemble.c: Removed.

	* monitor/Makefile.am: Added new files.

	* monitor/mon.c: Moved some code to separate files and made it
	much more modular.

	* monitor/mon_lex.l, mon_parse.y: Added more z80 registers and
	support for new location of monitor command table.

	* monitor/asm.h, monitor/asmz80.c, monitor/asm6502.c,
	monitor/mon.c, monitor/mon.h: Added support for new assemler.

	* drive/drivetypes.h, drive/drivecpu.c, drive/drivecpu.h,
	drive/drivemem.c, c64/c64.c, c128/c128.c, vic20/vic20.c,
	pet/pet.c, cbm2/c610.c: Made drive monitor interface dynamic.

	* monitor/mon.h, drive/drivecpu.c, drive/drivecpu.h: Made
	`set_bank_base' available via the monitor interface.

	* drive/drivecpu.c, maincpu.c, c128/z80.c:
	#include "mon_breakpoint.h".

	* z80regs.h: New file.

	* Makefile.am: Added new file.

	* c128/z80.c, c128/z80.h, c128/c128cpu.c, maincpu.c,
	monitor/mon.h, drive/drivecpu.c: Added support for Z80
	register import/export.

2001-05-20  Andreas Matthies  <andreas.matthies@gmx.net>

	* autostart.c (autostart_prg): Don't append seperator to
	the directory.

	* arch/win32/uiattach.c (dialog_proc): Delete the pending
	'\' if a root directory is selected.

2001-05-18  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.29.

	* c64/c64mem.c, c128/c128mem.c (mem_initialize_memory): Do not
	overwrite memory limit table after it has been setup.

	* c64/c64memlimit.c, c128/c128memlimit.c (mem_limit_init):
	Setup last page of memory limit table.

	* c64/c64cartmem.c (cartridge_read_io2, cartridge_store_io2):
	Some KCS cartridge banking fixes.

	* c128/functionrom.c (functionrom_load_internal,
	functionrom_load_external): Clear ROM image if disabled.

	* c64/reu.c (reu_activate, reu_deactivate): Check for zero
	length filename.

	* utils.c, utils.h (util_check_null_string): New function.
	(util_load_file, util_save_file): Check filename.

	* c1541.c, monitor/mon.c, arch/msdos/tui_backend.c,
	c128/functionrom.c: Use `util_check_null_string()'.

2001-05-18  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/msdos/vic20ui.c: include drive.h

2001-05-18  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* arch/win32/uimon.c: fixes the bug that the console window
	does not have the focus sometimes

	* arch/win32/uimon.c: temporary work-around for the monitor
	console crashing sometimes.

2001-05-18  Andreas Matthies  <andreas.matthies@gmx.net>

	* vic20/vic-draw.c (draw, draw_2x): Using an
	extra_offscreen_border we don't need 'bordercheck' anymore.

	* vic20/vic-mem.c (vic_store): Use screen_width as an upper
	border for xstart (unvisible is unvisible).

	* vic20/vic.c (vic_change_timing): We don't have to reset the
	screen borders anymore.
	(vic_set_geometry): Use screen_width+VIC_SCREEN_MAX_TEXT_COLS*8
	as extra_offscreen_border in the rasters geometry. This should
	definitely avoid any access behind the framebuffer.

2001-05-17  pottendo  <pottendo@utanet.at>

	* arch/unix/uicrtc.c: Added `UseXSync' Toggle.

	* arch/unix/uisettings.h: Reverted change to `UseXSync' toggle. 
	* arch/unix/uisettings.c: ditto.

2001-05-16  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.28.

	* c64/reu.c (reu_dma): Fixed unsigned int bug.

	* arch/unix/vic20ui.c: Added VIC video standard and palette
	settings.

	* arch/unix/uidatasette.c, arch/unix/uidatasette.h,
	arch/unix/uicrtc.c, arch/unix/uicrtc.h: New files.

	* arch/unix/Makefile.am: Added new files.

	* arch/unix/c64ui.c, arch/unix/c128ui.c, arch/unix/vic20ui.c,
	arch/unix/petui.c, arch/unix/c610ui.c: Moved datasette
	specific UI controls to separate files.

	* arch/unix/uisettings.c, arch/unix/uisettings.h: Moved CRTC
	specific UI controls to separate files.

2001-05-14  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/beos/vicemenu.cc: added menuitem for
	video standard in VIC20

	* arch/msdos/vic20ui.c: new menu callback function
	toggle_VideoStandard_callback; new menuitem

	* arch/win32/resvic.rc: renamed 'Drive sync factor' to
	'Video standard'

	* crtc/crtc-draw.c, vdc/vdc-draw.c, vicii/vicii-draw.c:
	Every parameter of a function registered in raster_mode that
	represents a char- or pixelborder is changed from unsigned
	to signed int

	* raster/raster_modes.h: every drawing function of raster_mode
	now uses signed instead of unsigned parameters for the
	interval borders

	* sounddrv/soundwmm.c: Win ME behaves like Win2000: no
	magic offset needed

	* vic20/vic-draw.c: draw(_2x) checks if display_xstop is
	reached

	* vic20/vic-mem.c (vic_store): uses several new values of the
	vic struct instead of fixed PAL values
	(vic_read): uses vic.cycle_offset to determine the rasterline

	* vic20/vic-snapshot.c: bigfix

	* vic20/vic.c: new include resources.h, new functions
	(vic_change_timing), (vic_set_geometry)
	uses several new members of the vic struct instead of PAL
	constants
	(init_raster), (vic_reset) use the new function to set the
	correct geometry and sync values

	* vic20/vic.h: added several items to vic struct:
	cycles_per_line, screen_height, first_displayed_line,
	last_displayed_line, screen_width, display_width, cycle_offset

	* vic20/vic20.c (machine_init): exchanged PAL constants with
	variables in several init calls
	(machine_get_cycles): uses cycles_per_sec instead of PAL
	constant
	(machine_change_timing) sets cycles_per_sec, cycles_per_rfsh
	and rfsh_per_sec, uses these values to set parameters for
	vsync and sound and patches the kernal

	* vic20/vic20.h: several constants for PAL and NTSC

	* vic20/vic20mem.c: new include "drive.h"
	(mem_load) patches the kernal at last
	(mem_pach_kernal) patches the kernal ROM depending on the
	current video standard

	* vic20/vic20mem.h: prototype for (mem_patch_kernal)

2001-05-14  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.27.

	* c64/reu.c (reu_read_snapshot_module): Initialize REU.
	(set_reu_size): More logging.
	[cmdline_options]: Fixed `REUsize' resource name.

2001-05-13  Tibor Biczo  <crown@axelero.hu>

	* arch/win32/c128.dsp: Added c128-cmdline-options.c,
	c128-resources.c, c12memlimit.c to project file.

	* arch/win32/c64.dsp: Added c64-cmdline-options.c,
	c64-resources.c, c64memlimit.c to project file.

	* arch/win32/c64c128.dsp: Added c64cartmem.c, c64cartridge.c
	to project file.

	* arch/win32/cbm2.dsp: Added c610-cmdline-options.c,
	c610-resources.c to project file.

	* arch/win32/joystick.c (joystick_update): Added default case
	to two switches to prevent a few warnings.

	* arch/win32/msvc/config.h: Certain MSVC warnings are turned
	off if MSVC_WARNINGS is defined.

	* arch/win32/pet.dsp: Added pet-cmdline-options.c,
	pet-resources.c to project file.

	* arch/win32/statusbar.c (statusbar_handle_WMDRAWITEM): Added
	a cast to fix a warning.

	* arch/win32/uilib.c (tape_hook_proc, hook_proc): Check if
	selection is file or directory and only update the preview box
	when it's a file. If the current folder has been changed clear
	the file selection field.

	* arch/win32/vic20.dsp: Added vic20-cmdline-options.c,
	vic20-resources.c to project file.

	* resid/filter.cc (writeRES_FILT, writeMODE_VOL): Fixed
	boolean casting warning.

	* resid/wave.cc (writeCONTROL_REG): Fixed boolean casting
	warnings.

2001-05-13  Andreas Dehmel  <dehmel@forwiss.tu-muenchen.de>

	* arch/riscos/ui.c, arch/riscos/uiconfig.{c,h},
	sounddrv/soundacorn.c: added support for 16bit sound hardware.

2001-05-13  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.26.

	* reu.c, reu.h: Rewritten to support different REU sizes and
	REU images.

	* c64/c64-resources.c, c128/c128-resources.c: Moved REU
	specific resources to `reu.c'.

	* c64/c64-cmdline-options.c, c128/c128-cmdline-options.c:
	Moved REU specific command line options to `reu.c'.

	* c64/Makefile.am: Added `c64cart.h', `c64cartridge.c' and
	`c64cartmem.c' to C128 library.

	* c64/c64.c, c128/c128.c (machine_specific_reset): Reset REU.
	(machine_shutdown): Call `reu_shutdown()'.

	* arch/unix/c64ui.c, arch/unix/c128ui.c: Added new REU menu
	entries.

	* c128/c128mem.c: Removed cartridge stubs.

	* c64/c64.c, c128/c128.c, vic20/vic20.c, pet/pet.c,
	cbm2/c610.c, serial.c, arch/unix/rs232.c, datasette.c,
	drive/drive.c: Unconditionally open log.

	* utils.c (util_string_set): Skip copy if src and dest are
	already the same.

	* fsdevice.c, print.c, drive/drive-resources.c,
	c64/c64-resources.c, c128/c128-resources.c, c128/z80mem.c,
	c128/functionrom.c, vic20/vic20-resources.c,
	pet/pet-resources.c, cbm2/c610-resources.c, arch/unix/kmap.c,
	arch/unix/petkmap.c, arch/unix/rs232.c, arch/riscos/rs232.c,
	arch/riscos/ui.c, arch/os2/rs232.c, arch/os2/kbd/kmap-pet.c,
	arch/os2/kbd/kmap.c: `util_string_set()' now checks if both
	strings are the same.

2001-05-12  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.25.

	* drive/cia1581d.c (read_ciapb): Added support for read only
	status bit.

	* drive/wd1770.c, drive/wd1770.h: Added support for read only
	status bit.

	* c128/c128memlimit.c: Added c64 mode address limits.

	* traps.c, traps.h c64/c64.c, c128/c128.c, vic20/vic20.c,
	pet/petmem.c: Added support for multiple ROM sets.

	* traps.c, fsdevice.c, c1541.c, c64/c64cartridge.c,
	vic20/vic20cartridge.c: Do not include <memory.h>.

	* c128/c128mem.c, c128/c128mem.h (basic64_read, basic64_store,
	kernal64_read, kernal64_store, chargen64_read,
	chargen64_store, rom64_read, rom64_store): New functions.

	* c64/c64-cmdline-options.c, c64/c64-cmdline-options.h,
	c128/c128-cmdline-options.c, c128/c128-cmdline-options.h,
	vic20/vic20-cmdline-options.c, vic20/vic20-cmdline-options.h,
	pet/pet-cmdline-options.c, pet/pet-cmdline-options.h,
	cbm2/c610-cmdline-options.c, cbm2/c610-cmdline-options.h,
	c64/c64memlimit.c, c64memlimit.h: New files.

	* c64/c64mem.c, c128/c128mem.c, vic20/vic20mem.c.
	pet/petmem.c, cbm2/c610mem.c: Moved command line options code
	to separate files.

	* c64/c64mem.c (mem_initialize_memory): Separated memory
	limits code.

        * c64/Makefile.am, c128/Makefile.am, vic20/Makefile.am,
        pet/Makefile.am, cbm2/Makefile.am: Added new files.

	* drive/fdc.c: #include <stdio.h>.

	* pet/pets.h, pet/petmem.c, pet/petmem.h: Renamed PET structs.

2001-05-10  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.24.

	* c128/z80.c: Rewritten interrupt handling.

	* c128/c128memlimit.c, c128/c128memlimit.h: New files.

	* c128/Makefile.am: Added new files.

	* c128/c128mem.c (mem_initialize_memory): Added support for
	C64 mode memory configuration.
	(basic64_read, chargen64_read, kernal64_read): New functions.
	(pla_config_changed): Update MMU configuration.

	* c128/c128mmu.c, c128/c128mmu.h (mmu_update_config,
	mmu_set_config64): New functions.
	(mmu_store): Call `mmu_update_config()'.

2001-05-07  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.23.

	* c64/c64-resources.c, c64/c64-resources.h,
	c128/c128-resources.c, c128/c128-resources.h,
	vic20/vic20-resources.c, vic20/vic20-resources.h,
	pet/pet-resources.c, pet/pet-resources.h,
	cbm2/c610-resources.c, cbm2/c610-resources.h: New files.

	* c64/Makefile.am, c128/Makefile.am, vic20/Makefile.am,
	pet/Makefile.am, cbm2/Makefile.am: Added new files.

	* c64/c64mem.c, c128/c128mem.c, vic20/vic20mem.c.
	pet/petmem.c, cbm2/c610mem.c: Moved resource code to separate
	files.

	* c64/c64.c, c128/c128.c, vic20/vic20.c, pet/pet.c,
	cbm2/c610.c (machine_init_resources): Init machine resources.

	* c128/c128mem.c (mem_load_kernal64, mem_load_basic64,
	mem_load_chargen64): New functions.

	* c128/c128mem.h: Added ROM image sizes.

2001-05-06  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.22.

	* arch/unix/c128ui.c (set_function_rom_name): Use file
	selector.

	* c128/functionrom.c (functionrom_load_internal,
	functionrom_load_external): Fixed typo.

	* c128/c128mmu.c (mmu_store): More debugging output.

	* attach.c (set_attach_device_readonly): Reattach disk if
	necessary.

	* arch/unix/uisettings: Added support for read only switch.

	* serial.c, serial.h (serial_get_device, serial_detach_device):
	Use unsigned int.

	* prdevice.c, prdevice.h (prdevice_detach,
	prdevice_close_printer): Use unsigned int.

	* maincpu.c, drive/drivecpu.c : #include "mon_disassemble.h".

	* tape.c, tape.h (tape_get_file_name): Return const pointer.

	* attach.c, attach.h (file_system_get_disk_name): Return const
	pointer.

	* arch/msdos/menudefs.c (attach_tape_callback,
	detach_tape_callback, detach_disk_callback): Use const pointer.

	* arch/msdos/uiattach.c (attach_disk_callback): Use const
	pointer.

	* arch/os2/dialogs/dlg-drive.c (pm_drive): Use const pointer.

	* c128/c128iec.c: Do not include "resources.h".

	* c64/c64.c, c128/c128.c, vic20/vic20.c, pet/pet.c,
	cbm2/c610.c (vsync_hook): Renamed to `machine_vsync_hook'.

2001-05-05  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* arch/win32/console.c: corrected a bug preventing full update
	of window (giving black lines at the bottom when resizing)

	* arch/win32/console.c: changed Alt+PrtScr Hotkey to Ctrl+L
	(thus, Alt+PrtScr can be used again for putting active window
	to clipboard)

	* arch/win32/uimon.c: removed debugging outputs

2001-05-04  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/beos/c64ui.cc,ui.cc,ui_file.cc,vic20ui.cc: Changed type
	BFilePanel to ViceFilePanel

	* arch/beos/kbd.c (kbd_handle_keydown): Activated CAPS support

	* arch/beos/constants.h: new message id MESSAGE_ATTACH_READONLY

	* arch/beos/ui.cc (ui_dispatch_events): handles readonly
	checkbox

	* arch/beos/ui_file.cc: new includes resources.h,CheckBox.h
	(ViceFilePanel) creates checkbox for read only mode.
	(ui_select_file) activates checkbox in disk attach mode.

	* arch/win32/res.h: new control id IDC_TOGGLE_ATTACH_ONLY

	* arch/win32/res.rc: new checkbox in the device settings dialog

	* arch/win32/uiattach.c (enable_controls_for_disk_device_type)
	enables or disables the new checkbox
	(init_dialog) reads readonly resource and (un)sets the checkbox
	(dialog_proc) handles the checkbox message by toggling the
	resource

2001-05-03  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.21.

	* raster/raster-cache.h
	(raster_cache_data_fill_attr_text_const): New function.

	* vdc/vdc-draw.c (get_std_text): Added register 26 support.

	* c128/c128mem.c (mem_toggle_caps_key): New function.
	(pla_config_changed): Use `caps_sense'.

	* arch/unix/x11/kbd.c (kbd_register_caps_key): New function.
	(kbd_parse_entry): Check for CAPS key.

	* keyboard.h, arch/unix/x11/kbdef.h: Added prototypes.

	* arch/unix/x11/xaw/x11kbd.c, arch/unix/x11/gnome/gnomekbd.c,
	arch/unix/x11/fullscreenkbd.c: Added CAPS key support.

	* arch/win32/kbd.c (kbd_register_caps_key): New function.
	(kbd_handle_keydown): Added CAPS key support.

	* arch/msdos/kbd.c (kbd_register_caps_key): New function.
	(my_kbd_interrupt_handler): Added CAPS key support.

	* arch/riscos/kbd.c (kbd_register_caps_key): New function.

	* arch/os2/kbd/proc.c (kbd_register_caps_key): New function.
	(kbd_proc): Added stubs for CAPS key support.

	* arch/beos/kbd.c (kbd_register_caps_key): New function.
	(kbd_handle_keydown): Added stubs for CAPS key support.

2001-05-02  Andreas Matthies  <andreas.matthies@gmx.net>

	* vic20/vic-mem.c (vic_store): vic.text_lines is latched after
	cycle 2 of rasterline 0, not after cycle 1

2001-05-01  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.20.

	* c128/functionrom.c, c128/functionrom.h: New files.

	* c128/Makefile.am, arch/win32/c128.dsp: Added new files.

	* c128/c128mem.c (mem_initialize_memory): Rewritten to support
	internal and external function ROM images.

	* c128/c128mmu.c (mmu_store, mmu_ffxx_read): Fixed to support
	function ROM images.

	* c128/c128.c (machine_init_resources,
	machine_init_cmdline_options): Initialize function ROM image
	support resources and command line options.

	* diskimage.c, sysfile.c, utils.c, utils.h,
	c64/c64cartridge.c, c128/functionrom.c (file_length): Renamed
	to `util_file_length'.

	* utils.c, utils.h, c64/reu.c (load_file, save_file): Renamed
	to `util_load_file' and `util_save_file'.

	* sysfile.c, utils.c, utils.h (subst): Renamed to
	`util_subst'.

	* c1541.c, imagecontents.c, utils.c, utils.h (bufcat): Renamed
	to `util_bufcat'.

2001-05-01  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* arch/win32/monitor.dsp: added mon_assemble.c and 
	mon_disassemble.c.

	* arch/win32/console.c: added support to mark a region with
	the mouse (left-click and right-click have different functions!)
	and copy it to the clipboard (with CTRL+C)

2001-04-27  Andreas Matthies  <andreas.matthies@gmx.net>

	* vic20/vic-draw.c: use vic.raster.ycounter modulo
	vic.char_height for correct display when switching height from
	16 to 8

	* vic20/vic-mem.c (vic_store): use raster_change api for
	vic.char_height

	* vic20/vic.c (vic_raster_draw_alarm_handler) completely
	rewritten to handle memptr offset and row counter more exact

2001-04-26  Andreas Matthies  <andreas.matthies@gmx.net>

	* vic20/vic.c new function (clk_overflow_callback) to reset
	vic.last_emulate_line_clk at overflow
	(vic_init) initializes this new overflow handler
	(vic_raster_draw_alarm_handler): removed obsolete alarm_set

2001-04-25  Andreas Matthies  <andreas.matthies@gmx.net>

	* vic20/vic-mem.c (vic_store): vic.raster.display_ystop has
	to be recalculated immediately when $9001 changes

2001-04-22  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.19.

	* arch/msdos/uisnapshot.c, palette.c: Use util_add_extension.

	* utils.h, utils.c, arch/unix/x11/xaw/uiedisk.c,
	arch/unix/x11/xaw/uisnapshot.c, arch/win32/uiconsole.c,
	arch/win32/uisnapshot.c (xadd_extension): Renamed to
	`util_add_extension'.

	* autostart.c, utils.c, utils.h, arch/unix/c64ui.c,
	arch/unix/uicommands.c, arch/unix/uisettings.c,
	arch/unix/vic20ui.c, arch/unix/x11/gnome/ui.c,
	arch/unix/x11/xaw/ui.c, arch/unix/x11/xaw/widgets/FileSel.c,
	arch/win32/archdep.c, arch/msdos/archdep.c,
	arch/msdos/c64ui.c, arch/msdos/menudefs.c,
	arch/msdos/uiattach.c, arch/msdos/vic20ui.c,
	arch/beos/archdep.c, arch/beos/ui.cc (fname_split): Renamed to
	`util_fname_split).
	
	* utils.c, utils.h, arch/msdos/menudefs.c,
	arch/msdos/uiattach.c, arch/msdos/uisnapshot.c (remove_spaces):
	Renamed to `util_remove_spaces'.

	* fsdevice.c, resources.c, snapshot.c, utils.c, zfile.c,
	utils.h, c64/c64.c, c128/c128.c, vic20/vic20.c, pet/pet.c,
	cbm2/c610.c (remove_file): Renamed to `util_remove_file'.

	* sysfile.c, utils.c, utils.h, arch/unix/archdep.c,
	arch/unix/x11/gnome/ui.c, arch/unix/x11/xaw/ui.c,
	arch/msdos/tuifs.c, arch/os2/archdep.c (get_current_dir):
	Renamed to `util_get_current_dir'.

	* utils.c, utils.h (make_backup_file): Removed.

2001-04-20  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/beos/c64ui.cc, arch/beos/ui.cc, arch/beos/ui_cbm2.cc,
	arch/beos/ui_datasette.cc, arch/beos/ui_device.cc,
	arch/beos/ui_drive.cc, arch/beos/ui_joystick.cc,
	arch/beos/ui_pet.cc, arch/beos/ui_sound.cc,
	arch/beos/ui_vic20.cc, arch/beos/ui_vicii.cc
	(suspend_speed_eval): renamed to vsync_suspend_speed_eval

2001-04-19  Markus Brenner  <markus@brenner.de>

	* c64/reu.c: fixed REC register 0 to read only in reu_store()

2001-04-18  Andreas Dehmel  <dehmel@forwiss.tu-muenchen.de>

	* arch/riscos/ui.c, arch/riscos/uiimage.c,
	arch/riscos/video.c, arch/riscos/vsidui.c: added lots of
	missing calls to vsync_suspend_speed_eval()

	* arch/riscos/vsyncarch.h, arch/riscos/vsync.c: implemented
	vsync_suspend_speed_eval(); new function vsync_resync_poll().

	* arch/riscos/uimsgwin.c: improved log window opening and
	updating code.

2001-04-16  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.18.

	* machine.h, arch/unix/x11/fullscreen.c, c64/c64.c,
	c128/c128.c, vic20/vic20.c, pet/pet.c, cbm2/c610.c
	(video_refresh): Renamed to `machine_video_refresh()'.

	* sysfile.c, maincpu.c: Removed `vsync.h' include.

	* arch/unix/archdep.c, arch/msdos/archdep.c,
	arch/win32/archdep.c, arch/beos/archdep.c, arch/win32/ui.c,
	arch/win32/uilib.c: Use `mxvsprinf'.

	* snapshot.c, sound.c, vsync.c, maincpu.c, vsync.h,
	monitor/mon.c, c64/psid.c, pet/petmem.c, cbm2/c610mem.c,
	arch/unix/c128ui.c, arch/unix/c610ui.c, arch/unix/c64ui.c,
	arch/unix/petui.c, arch/unix/uicommands.c,
	arch/unix/uisettings.c, arch/unix/vic20ui.c,
	arch/unix/vsidui.c, arch/unix/x11/gnome/ui.c,
	arch/unix/x11/xaw/ui.c, arch/unix/x11/xaw/uimenu.c,
	arch/unix/x11/xaw/about.c, arch/win32/c128ui.c,
	arch/win32/c64ui.c, arch/win32/ui.c, arch/win32/uilib.c,
	arch/win32/uisnapshot.c, arch/msdos/kbd.c, arch/msdos/ui.c,
	arch/msdos/vsync.c, arch/riscos/vsync.c,
	arch/os2/unused/vsync.c, arch/os2/unused/vsync.h,
	arch/os2/vsyncarch.c, arch/os2/dialogs/dlg-emulator.c,
	arch/os2/dialogs/dlg-reset.c (suspend_speed_eval): Renamed to
	`vsync_suspend_speed_eval'.

	* vsync.c, vsync.h, vsyncapi.h, vicii/vicii.c, crtc/crtc.c,
	vic20/vic.c, arch/msdos/vsync.c, arch/riscos/vsync.c,
	arch/os2/unused/vsync.c, arch/os2/unused/vsync.h (do_vsync):
	Renamed to `vsync_do_vsync'.

	* arch/win32/c64ui.c, arch/win32/c128ui.c: Include `vsync.h'.

	* arch/unix/uicommands.c: Use `resources_set_sprintf'.

	* machine.c, machine.h (machine_reset): New function.

	* c64/c64.c, c128/c128.c, vic20/vic20.c, pet/pet.c,
	cbm2/c610.c (machine_reset): Renamed to
	`machine_specific_reset'

	* machine.c, mem.h, c64/c64mem.c, c128/c128mem.c,
	vic20/vic20mem.c, pet/pet.c, pet/petmem.c, cbm2/c610mem.c
	(initialize_memory): Renamed to `mem_initialize_memory'.

	* sounddrv/soundwav.c (wav_write): Fixed unused variable.

2001-04-15  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/beos/ui.cc: Updated the "About"-box.

	* info.c: Updated contributions and contributors.

	* Changed every occurence of old email address to
	andreas.matthies@gmx.net

2001-04-14  Andreas Dehmel  <dehmel@forwiss.tu-muenchen.de>

	* arch/riscos/archdep.{c,h}: added functions archdep_closedown
	and archdep_get_default_log_file(). The default logfile is now
	a temporary file.

	* arch/riscos/ui.c: rearranged main menu, added log window
	entry.

	* arch/riscos/uimsgwin.{c,h}: added log window for the default
	log file.

2001-04-13  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.17.

	* tpicore.c (mytpi_reset): Clear TPI register (fixed typo).

	* sound.c (initsid): Converted C++ style comment.

	* vdrive/vdrive-iec.c (vdrive_iec_attach): Use name passed by
	caller.

	* vdrive/vdrive-bam.c (vdrive_bam_set, vdrive_bam_clr,
	vdrive_bam_isset): Removed `type'.

	* utils.c, utils.h, arch/unix/x11/gnome/ui.c, diskimage.c,
	arch/msdos/tuiview.c, arch/win32/uilib.c, screendrv/bmp.c,
	arch/msdos/uisnapshot.c, arch/os2/dialogs/dlg-fileio.c,
	palette.c, c1541.c, fsdevice.c, log.c, print.c, sound.c,
	sysfile.c, drive/drive-resources.c, vicii/vicii-resources.c,
	vdc/vdc-resources.c, crtc/crtc-resources.c, c64/c64mem.c,
	c64/c64cartridge.c, c128/c128mem.c, c128/z80mem.c,
	vic20/vic-resources.c, vic20/vic20cartridge.c,
	vic20/vic20mem.c, pet/pet.c, pet/petmem.c, cbm2/c610mem.c,
	arch/unix/kmap.c, arch/unix/petkmap.c, arch/unix/rs232.c,
	arch/win32/ui.c, arch/riscos/kbd.c, arch/riscos/rs232.c,
	arch/riscos/ui.c, arch/riscos/video.c, arch/os2/kbd.c,
	arch/os2/rs232.c, arch/os2/kbd/kmap-pet.c, resources.c,
	arch/os2/kbd/kmap.c, arch/os2/kbd/parse.c (string_to_long,
        string_set, dword_to_le_buf, file_exists_p, find_prev_line,
        find_next_line, get_line): Renamed to util_*().

2001-04-13  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/msods/sidui.c: new function
	toggle_ResidSampling_callback to change resid sampling
	method; new menuitem in sound menu

	* arch/win32/c128ui.c,c64ui.c: handle users choice of
	resid sampling method

	* arch/win32/res.h: new IDM's for different resid samplings

	* arch/win32/resc128.rc,resc64.rc: new popup menu for the
	resid sampling method

2001-04-12  Dag Lem  <resid@nimrod.no>

	* sound.c (initsid): Call suspend_speed_eval to handle delay.

2001-04-11  Andreas Dehmel  <dehmel@forwiss.tu-muenchen.de>

	* arch/riscos/ui.c: removed references to UI_JAM_DEBUG.

2001-04-08  Thomas Bretz  <tbretz@physik.tu-muenchen.de>

	* arch/os2/dialogs/dialogs.rc: updated About window
  
	* arch/os2/dialogs/dlg-monitor.c,
	arch/os2/dialogs/dlg-monitor.h,
	arch/os2/dialogs/dlg-monitor.rc: added memory window
   
	* arch/os2/dialogs/menubar.c, arch/os2/dialogs/menubar.h,
	arch/os2/dialogs/menubar.rc:
	added some sound options (sync, device)
   
	* arch/os2/snippets/pmwin2.c, arch/os2/snippets/pmwin2.h:
	small changes
   
	* arch/os2/uimon.c: renamed console_log (global variable) to
	console (local)
   
	* arch/os2/vsidui.c: Set sound device to "dart2" disabled
   
	* sound.c: changed some sound_close() to sound_state_changed,
	removed a small bug with setting warp mode while switching
	devices 'online'
   
	* sounddrv/sounddart.c: removed dart2, worked a bit on
	bufferspace to do the right thing

2001-04-08  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.16.

	* vicii/vicii-snapshot.c (vic_ii_snapshot_read_module): Call
	`interrupt_set_irq_noclk' instead of
	`interrupt_set_int_noclk'.

	* c64/c64mem.c (initialize_memory): Fixed typo.

	* vicii/viciitypes.h, vicii/vicii.c: Made some functions
	static.

	* c64/c64cia1.c, c64/c64cia2.c, c128/c128cia1.c,
	cbm2/c610cia1.c, drive/cia1571d.c, drive/cia1581d.c: Fixed
	includes.

	* autostart.c (autostart_disk_cook_name): New function.

	* monitor/mon.c, monitor/mon.h, monitor/asm.h,
	monitor/asmz80.c, monitor/mon_parse.y, monitor/mon_lex.l:
	Added some Z80 specific opcodes.

	* monitor/mon_util.c, 6510core.c: Adapted call to
	`mon_disassemble_to_string_ex'.

	* monitor/mon_assemble.c, monitor/mon_assemble.h,
	monitor/mon_disassemble.c, monitor/mon_disassemble.h: New
	files.

	* monitor/Makefile.am: Added new files.

	* monitor/mon.c, monitor/mon.h: Moved assemble and disassemble
	functions into separate files.

	* monitor/mon_parse.y, arch/os2/dialogs/dlg-monitor.c,
        monitor/mon_util.c: Added new monitor includes.

	* arch/win32/uimon.c (LoadMonitorDimensions): Fixed cast.
	(OpenFromWindowDimensions): Initialize `hwndOpened'.

2001-04-08  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* arch/win32/uimon.c: removed some warnings.

	* arch/win32/{xpet,xvic,x64,x128,cbm2}.dsp: added
	machine.c to files to compile.

2001-04-07  Dag Lem  <resid@nimrod.no>

	* sound.c (initsid): Initial filling of sound buffer.
	(sound_flush): Empty buffer is defined as 'used <=
	snddata.fragsize'.
	Always fill buffer entirely on underflow, not half full.

2001-04-07  Dag Lem  <resid@nimrod.no>

	* sound.c (sound_flush): Leave one fragment free at initial
	filling of sound buffer.

	* vsync.c (do_vsync): Added missing code from earlier merge.

2001-04-06  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.15.

	* machine.c: New file.

	* Makefile.am: Added `machine.c'.

	* maincpu.c, drive/drivecpu.c: Call `machine_jam' instead of
	`ui_jam_dialog'.

	* uiapi.h, arch/win32/ui.c: Removed references to
	`UI_JAM_DEBUG'.

	* aciacore.c: Alarm callback now returns void.

	* uimon.h, arch/unix/uimon.c, arch/msdos/uimon.c,
	arch/win32/uimon.c, arch/riscos/uimon.c, arch/os2/uimon.c,
	arch/beos/uimon.c: Removed unnecessary includes from
	`uimon.h'.

	* c128/z80.c: Removed 6502 include.

	* interrupt.c, interrupt.h: Moved some functions to main file.

	* c64/c64cia1.c, c64/c64cia2.c, c128/c128cia1.c,
	drive/cia1571d.c, drive/cia1581d.c, drive/riot2d.c,
	pet/petpia1.c, pet/petpia2.c, cbm2/c610tpi1.c, c64/c64acia1.c:
	Do not use generic interrupt set/unset routines as we have
	much faster ones.

	* sound.c (closesound, sound_flush): Added Dag's patch.

	* main.c: Fixed C++ style comment.

	* info.c, arch/win32/res.rc, arch/unix/x11/xaw/about.c,
	arch/unix/x11/gnome/about.c, arch/msdos/menudefs.c, main.c,
	c1541.c: Updated contributors.

2001-04-04  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.14.

	* uimon.h: Fixed `uimon_console_open_mdi' prototype.

	* maincpu.c, c128/c128cpu.c, cbm2/c610cpu.c: Removed some old
	debugging cruft.

	* ciacore.c, drive/ciad.h, drive/cia1571d.c, drive/cia1581d.c,
	drive/fdc.c, riotcore.c, drive/riotd.h, drive/riot1d.c,
	viacore.c, drive/viad.h, drive/via1d.c, drive/via2d.c,
	vicii/vicii.c, vicii/viciitypes.h, vdc/vdc.c, crtc/crtc.c,
	crtc/crtctypes.h, c64/c64cartridge.c, vic20/vic.c,
	vic20/vic.h, datasette.c, keyboard.c, rsuser.c, rsuser.h:
	Alarm callback now returns void.

2001-04-04  Frank König  <frank_koenig@t-online.de>

	* arch/win32/joystick.c: Implemetation of autofire feature.
	Lots of changes.

	* arch/win32/res.h, arch/win32/res.rc: Added dialog box items
	for joystick autofire feature.

	* arch/win32/uijoystick.c: Added UI elements for joystick
	autofire feature.

2001-04-04  Tibor Biczo  <crown@matavnet.hu>

	* alarm.h (alarm_callback_t): Define function as returnin void

	* arch/win32/fullscreen.c (fullscreen_getmode): Small fix for
	Matrox based videocards.

	* arch/win32/msvc/config.h: Disable certain MSVC warnings, so
	real warnings can be spotted and fixed.

	* arch/win32/uijoystick.c: Fixed a few things in the UI of
	the joystick autofire feature.
	Joystick swap now swaps direction definitions as well.

	* arch/win32/uisound.h: Include ui.h, fixes a warning.

	* arch/win32/video.c: Added commandline parameter for
	fullscreen mode.

	* c128/c12mem.c, c128/z80mem.c, drive/drivemem.c: Fixed an
	MSVC related warning.

	* cbm2/c610.c (c500_powerline_clk_alarm_handler): Changed
	return type of function from int to void. Function doesn't
	have return value.

	* raster/raster.c (raster_fill_sprite_cache): Removed an
	unused local variable called 'n'.

2001-04-03  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/beos/vsyncarch.c: includes vsyncapi.h

	* sounddrv/soundbeos.cc: changed (beos_bufferspace) to
	fit with Dag's new implementation

2001-04-03  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* arch/win32/vsyncarch.c: Changed #include "vsyncarch.h"
	to #include "vsyncapi.h" w/o that, WIN32 (MSVC++) did not
	compile anymore.

	* monitor/mon.c: Removed ambiguity in is_valid_addr_range()
	in if()-statement regarding order of && and || evaluation.
	Found better solution for not being able to enter
	"d 8:c100 c200" in evaluate_address_range().

2001-04-02  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.13.

2001-03-31  Dag Lem  <resid@nimrod.no>

	* arch/beos/vsyncarch.c: Timer units exposed via
	vsyncarch_frequency().

	* arch/os2/vsyncarch.c: Likewise.

	* arch/unix/vsyncarch.c: Likewise.

	* arch/win32/vsyncarch.c: Likewise.

	* vsyncapi.h: Likewise.

	* vsync.c: Use vsyncarch_frequency() to calculate values in
	seconds.

	* arch/unix/coproc.c: Added missing include.

	* arch/unix/kmap.c: Likewise.

	* cbm2/c610mem.c: Removed unused variable j.

	* sound.c: Changed bufferstatus() to bufferspace().

	* sound.h: Likewise.

	* sounddrv/soundacorn.c: Converted bufferstatus() to
	bufferspace().

	* sounddrv/soundaix.c: Likewise.

	* sounddrv/soundallegro.c: Likewise.

	* sounddrv/soundarts.c: Likewise.

	* sounddrv/sounddx.c: Likewise.

	* sounddrv/sounddx.c: Likewise.

	* sounddrv/soundhpux.c: Likewise.

	* sounddrv/soundmidas.c: Likewise.

	* sounddrv/soundmmos2.c: Likewise.

	* sounddrv/soundsb.c: Likewise.

	* sounddrv/soundsdl.c: Likewise.

	* sounddrv/soundsgi.c: Likewise.

	* sounddrv/soundsun.c: Likewise.

	* sounddrv/sounduss.c: Likewise.

	* sounddrv/soundwmm.c: Likewise.

2001-03-31  Thomas Bretz  <tbretz@physik.tu-muenchen.de>

	* arch/beos/archdep.c, arch/msdos/archdep.c,
	arch/riscos/archdep.c, arch/unix/archdep.c,
	arch/win32/archdep.c, archapi.h:
	changed calling style of archdep_default_logger
   
	* arch/beos/uicmdline.c, arch/beos/uicmdline.h,
	arch/msdos/uicmdline.c, arch/msdos/uicmdline.h,
	arch/os2/uicmdline.c, arch/os2/uicmdline.h,
	arch/unix/uicmdline.c,  arch/riscos/uicmdline.c,
	arch/riscos/uicmdline.h, arch/unix/uicmdline.h,
	arch/win32/uicmdline.c, arch/win32/uicmdline.h,
	added an user parameter to ui_cmdline_show_help
   
	* arch/os2/archdep.c: added new stylish logging system
    
	* arch/os2/console.c, arch/os2/dialogs/dlg-monitor.c,
	arch/os2/uimon.c introduced new stylish monitor
   
	* arch/os2/dialogs/dlg-drive.c, arch/os2/dialogs/dlg-drive.h
	disable drive-type dialog
   
	* arch/os2/dialogs/dlg-monitor.h,
	arch/os2/dialogs/dlg-monitor.rc: added
   
	* arch/os2/dialogs/Makefile.am: new dlg-monitor.[c,h,rc]
   
	* arch/os2/dialogs/menubar.c, arch/os2/dialogs/menubar.h,
	arch/os2/dialogs/menubar.rc:
	added new resid resources, logwin, new stylish monitor
   
	* arch/os2/dialogs/dialogs.c, arch/os2/dialogs/dialogs.h,
	arch/os2/dialogs/dialogs.rc, arch/os2/dialogs/dlg-cmdopt.c,
	arch/os2/dialogs/dlg-create.c,
	arch/os2/dialogs/dlg-datasette.c,
	arch/os2/dialogs/dlg-datasette.rc,
	arch/os2/dialogs/dlg-drive.rc,
	arch/os2/dialogs/dlg-emulator.c,
	arch/os2/dialogs/dlg-emulator.rc,
	arch/os2/dialogs/dlg-fileio.c, arch/os2/dialogs/dlg-fileio.rc,
	arch/os2/dialogs/dlg-joystick.c,
	arch/os2/dialogs/dlg-joystick.rc, arch/os2/dialogs/dlg-vsid.c,
	arch/os2/dialogs/dlg-vsid.rc, arch/os2/joystick.c,
	arch/os2/kbd/proc.c:
	some small changes (pmwin2.h, minbutton, comments, ...)
   
	* arch/os2/makedist.cmd: added c128\ccs64s.vpl
   
	* arch/os2/snippets/pmwin2.[c,h]: some new functions
   
	* arch/os2/ui.c:
	small changes, enhanced jam dialog
   
	* arch/os2/unused/contentsdlg.c,
	arch/os2/unused/contentsdlg.h, arch/os2/unused/dlg-contents.c:
	removed
   
	* arch/os2/vac++/incl/resources.icc: added dlg-monitor.rc
   
	* arch/os2/vac++/RESID.ICC: changed version number to 0.11
   
	* arch/os2/video.c:
	added logging resource
   
	* cmdline.c: changed the quotes. With the OS/2 default startup
	logger the old one looked really awful.
   
	* cmdline.h: added userparameter to cmdline_show_help
   
	* arch/os2/config.h, crtc/crtctypes.h, findpath.c, machine.h,
	sound.c, usleep.c, vic20/vic.h, vice.h, vicii/viciitypes.h
	changed OS2 to __OS2__

	* drive/drivemem.c: added DRIVE_TYPE_NONE to check function
 
	* emuid.c: added T.BRETZ
   
	* log.c: make archdep_default logger really work,
	added a mapping function which splits archdep_default logging
	into single lines
   
	* monitor/mon_util.h:
	monitor_interface_t cannot be extern AND static
   
	* sound.h: added vice.h
 
	* zfile.c: removed my own bugs
   
2001-03-29  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.12.

	* monitor/asm6502.c (asm6502_init): New function.

	* monitor/asmz80.c (asmz80_init): New function.

	* c64/c64.c, c128/c128.c, vic20/vic20.c, pet/pet.c,
	cbm2/c610.c (*_monitor_init): New function.

	* monitor/mon.c (monitor_init, cpu_type): Use dynamic lists.
	(mon_disassemble_to_string_ex): Removed drive cpu type hack.

	* monitor/mon.h, monitor/asm.h: Reordered some defines.

	* c128/c128mem.c (mem_update_config): Change to watchpoint
	tables if necessary. (read_watch, store_watch): New functions.
	(initialize_memory): Initialize watchpoint tables.

2001-03-28  Dag Lem  <resid@nimrod.no>

	* Makefile.am: Changed vsyncarch.h to vsyncapi.h

	* arch/unix/vsyncarch.c: Likewise.

	* arch/unix/x11/fullscreen.c: Likewise.

	* arch/unix/vsync.c: Cleaned up after rejected patch hunk.
	(do_vsync): Sleep until start of frame, don't redraw too early
	as this would hinder smooth refresh on systems with very low
	latency.

2001-03-27  Andreas Dehmel  <dehmel@forwiss.tu-muenchen.de>

	* arch/riscos/ui.{c,h}: moved all timer code to vsync.c,
	handle max frame skip resource

	* arch/riscos/vsync.c, arch/riscos/vsyncarch.h: moved all
	timer code here, added max frame skip resource

	* arch/riscos/uiconfig.{c,h}: added max frame skip resource.

	* sounddrv/soundacorn.c: changes to make to work with reSID
	again.

	vsyncarch.h: renamed to vsyncapi.h

2001-03-27  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* monitor/mon.c: Corrected the (incorrect) correction
	in is_valid_addr_range() from 2001-03-09; with the wrong
	correction, "m xxxx" gave a memory dump from xxxx to $FFFF.
	The "original" issue ("d 8:c100 c200" was not allowed) is
	now "fixed" be removing an assertion...

2001-03-25  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.11.

2001-03-24  Andre Fachat  <a.fachat@gmx.net>

	* drive/fdc.c (fdc_do_job): do not abort $d0 command (execute
	buffer) when no disk is present. Add handling for the "UJ"
	command - reset drive - where $d0 fdc cmd is used. Not sure
	how close 2040 emulation is to the original, though. The
	others work.
	
2001-03-24  Andre Fachat  <a.fachat@gmx.net>

	* arch/unix/x11/xaw/uiedisk.c (save_callback,
	build_emptydisk_dialog): fixup d67 support

	* drive/fdc.c (fdc_do_format_D20, fdc_do_format_D40,
	fdc_do_format_D80): new functions to handle formatting
	2040/[34]040/8x50 disks resp.
	(fdc_do_job): fix debug info, move formatting code to external 
	functions. Fix 2040 formatting

	* vdrive/vdrive-bam.c (vdrive_bam_create_empty_bam): fix
	creation of emtpy 2040 disk image

2001-03-18  Dag Lem  <resid@nimrod.no>

	* vsync.c (set_relative_speed): Call sound_set_relative_speed.
	Removed "too slow" warning for "no limit" speed.

	* arch/msdos/vsync.c (set_relative_speed): Call
	sound_set_relative_speed.

	* arch/riscos/ui.c (set_speed_limit): Likewise.

	* sound.c (initsid): Don't read speed from resource.
	(sound_flush): Accept changing relative_speed. Definition of
	empty buffer changed from "used <= fragsize" to "used <=
	fragsize*2" - empty buffer was not always detected on
	startup. Fill hardware buffer entirely for cycle_based sound
	and SOUND_ADJUST_EXACT. Tune VICE timer according to current
	buffer overflow, not according to the _largest_ buffer
	overflow during a one second period.
	(sound_set_relative_speed): New function.

	* sound.h (sound_set_relative_speed): New function.

2001-03-18  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.10.

2001-03-14  pottendo  <pottendo@utanet.at>

	* vsync.h,vsyncarc.h: Moved prototype to vsyncarch.h.

	* arch/unix/vsyncarch.c (all): Reintroduced hook patch for
	vsync.

	* arch/unix/x11/fullscreen.c: Include `vsyncarch.h'.

2001-03-14  Andreas Dehmel  <dehmel@forwiss.tu-muenchen.de>

	* arch/riscos/ui.{c,h}: keep track of reSID choice, resync
	speed when changing speed settings, take care of
	sound_flush()'s frame delay.

	* arch/riscos/vsync.c: propagate frame delay to ui_poll,
	reordered calls, use different sound_flush() speed parameters
	for SID and reSID.

	* zfile.c: added archdep_file_set_gzip() to compression code.

2001-03-14  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.9.

2001-03-11  pottendo  <pottendo@utanet.at>

	* arch/unix/x11/ui-resources.c: Changed callback, when switching
	to fullscreen to `fullscreen_request_set_mode()', as it's bad to
	change to DGA within a (gnome-)callback function. Switching
 	to and from fullscreen now is handled synchronously at vsync
	level. 

	* arch/unix/x11/gnome/gnomekbd.c: Fixed warnings.

	* arch/unix/x11/fullscreen.c: Reworked to make it functional with
	DGA V2 including keyboard support.
	On startup (and not FS_DEBUG set) the program forks via
	`XF86DGAForkApp()'. This is useful as once vice crashs the
	window settings of the X11 server is restored
	automatically. 

	* arch/unix/x11/Makefile.am (EXTRA_libx11ui_a_SOURCES): Added
	fullscreenkbd.c. This file is temporary and will be straightened
	along with further fullscreen work.

	* arch/unix/vsync.c: Call ui event dispatcher via a hook
	function. 
	(vsync_set_event_dispatcher): New function.

	* vsync.h (vsync_set_event_dispatcher): Added prototype.

2001-03-10  Andreas Matthies  <andreas.matthies@gmx.net>

	* vic20/vic.c(vic_raster_draw_alarm_handler) display_xstop is
	checked not to exceed the screen width

2001-03-10  Dag Lem  <resid@nimrod.no>

	* arch/beos/Makefile.am: Removed vsync.c, added vsyncarch.c.

	* arch/unix/Makefile.am: Likewise.

	* arch/beos/vsync.c: Removed file, merged with generic
	vsync.c.

	* arch/unix/vsync.c: Likewise.

	* arch/beos/vsyncarch.c: New file.

	* arch/unix/vsyncarch.c: Likewise.

	* arch/os2/vsyncarch.c: Microseconds interface.

	* arch/win32/vsyncarch.c: Likewise.

	* vsync.c: Merged with Unix and BeOS vsync.c.

	* vsyncarch.h: Microseconds interface, removed
	vsyncarch_timescale.

	* arch/unix/x11/gnome/ui.c: Corrected macro pasting.

	* resid/: Another fix for a certain braindead compiler.

2001-03-09  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* arch/win32/console.c: Corrected a rounding error in
	external_resize_window(), resulting in "garbage" printed at
	the bottom or right side of the console under certain
	circumstances.

	* monitor/mon.c: Deleted (obsolete) maincpu_interface,
	drive8_interface, drive9_interface; corrected an error in
	is_valid_addr_range(), which didn't allow to specify i.e.
	"d 8:c100 c200";

	* monitor/mon.c: Corrected an error with respect to Z80: If
	cpu type was Z80, even a drive's disassembly was in that
	format. For this, changed mon_disassemble_to_string() and
	mon_disassemble_to_string_ex() to take the memspace as
	additional argument.

	* monitor/mon.c: Whenever the monitor is opened,
	uimon_notify_change() is called to notify the arch-dependant
	monitor interface.

	* uimon.h: added functions uimon_notify_change(), and
	uimon_get_in() as a helper function for uimon_in();

	* monitor/mon_util.c, mon_util.h: added.

	* monitor/mon.c: Changed playback_commands() as suggested by
	Michael Klein on 20.12.2000, so the symbol file "c64mem.sym"
	is found even if it is not in the actual directory.

	* monitor/mon.[ch]: Added mon_get_mem_val_ex() which allows to
	specify a different memory bank

	* */uimon.c: Added uimon_get_in(), uimon_notify_change()
	and uimon_set_interface() as dummy-functions...

	* */uimon.c: renamed all arch_mon_... to uimon_...()

2001-03-06  Andreas Dehmel  <dehmel@forwiss.tu-muenchen.de>

	* arch/riscos/ui.{c,h}: changed some static declarations,
	extended help system

	* arch/riscos/uiconf.c: added new drive types to dos name
	menu.

	* arch/riscos/vsync.c: pass configured speed rather than
	actual speed to sound_flush()

	* sound.c: fixed missing definition of delta_t.

2001-03-04  Thomas Bretz  <tbretz@physik.tu-muenchen.de>
 
	* arch/os2/dialogs/dialogs.[h,rc]:
	small changes
   
	* arch/os2/dialogs/dlg-fileio.c: 
	added some missing features, solved some smaller problems
   
	* arch/os2/dialogs/dlg-fileio.rc:
	small changes
   
	* arch/os2/dialogs/menubar.[rc,h,c]:
	added some missing features
   
	* arch/os2/fonts/mps2chargen.cc:
	added 
   
	* arch/os2/fonts/mps2chargen.icc:
	added 
   
	* arch/os2/vac++/*.ICC:
	removed linksharedlib
   
	* arch/os2/vac++/Xcbm2.ICC:
	added vicii support
  
	* arch/os2/video.c:
	added hwndlist feature
   
	* cbm2/c610mem.[h,c]:
	added get_model
   
	* crtc/crtctypes.h

	* pet/petmem.[c,h]:
	added get_model
   
	* zfile.c:
	added zlib support for reading
 
2001-03-04  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.8.

2001-03-03  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/beos/Makefile.am: vsidui.c changed to vsidui.cc

	* arch/beos/c128ui.cc: support for new resid sampling methods

	* arch/beos/c64ui.cc: support for new resid sampling methods,
	new function (c64_play_vsid), handles loading psid files and
	selecting tunes for vsid mode, some new includes

	* arch/beos/constants.h: new ids for resid sampling and vsid

	* arch/beos/ui.cc: don't handle keystrokes in vsid mode

	* arch/beos/ui.h: removed unused stuff

	* arch/beos/ui_file.cc: handles now loading of psid files

	* arch/beos/vicemenu.cc: checks for vsid_mode to show only
	the needed menus; new entries for resid sampling; new
	functions (vicemenu_free_tune_menu),(vicemenu_tune_menu_add)
	to build the vsid's tunes menu dynamically

	* arch/beos/vicewindow.cc(~ViceWindow): Checks for the vsid
	view and removes it

	* arch/beos/vsidui.cc: new file, mainly to display sid infos

	* resources.c(resources_save): small change to avoid empty
	lines growing at start of resource file

2001-03-03  Dag Lem  <resid@nimrod.no>

	* arch/unix/vsync.c (display_speed): Removed speed warning for
	warp mode.

	* resid/: Upgrade of not-yet-released reSID 0.11. VICE
	specific static const int workaround for a certain braindead
	compiler.

	* sound.c (initsid): Override "No limit" speed for cycle based
	sound engines.
	(sound_synthesize, sound_read, sound_store): Removed sound
	thread example cruft.

2001-03-02  Andreas Dehmel  <dehmel@forwiss.tu-muenchen.de>

	* arch/riscos/ui.c: added new widgets for reSID 0.11 configs;
	renamed speed limit resource; extended interactive help;
	fixed old cartridge detach bug.

	* arch/riscos/uiconfig.{c,h}: added configs for reSID 0.11;
	renamed speed limit resource; added [2-4]040 drive types;
	added latest cartridges;

2001-02-28  Dag Lem  <resid@nimrod.no>

	* resid/sid.cc (SID::set_sampling_parameters): Corrected
	floating point error.

2001-02-28  Dag Lem  <resid@nimrod.no>

	* parallel.c, parallel.h: Removed superfluous macro pasting.

	* pet/petsound.c: Reverted previous change (2001-02-26).

	* vic20/vic20sound.c: Likewise.

	* sid/resid.cc, sid/resid.h: Likewise.

	* sid.c: Likewise.

	* sound.h: Likewise.

	* sound.c (sound_synthesize): Refined RISC OS audio thread
	syncronization.
	(sound_read, sound_store); Added RISC OS audio thread
	synchronization.

2001-02-27  Dag Lem  <resid@nimrod.no>

	* vic20/vic20sound.c (sound_machine_read,
	sound_machine_store): Added dummy parameter lastclk.

	* pet/petsound.c (sound_machine_read, sound_machine_store):
	Likewise.

	* sid/sid.h (sound_machine_read, sound_machine_store): Added
	parameter lastclk.

	* sid/sid.c (sound_machine_read, sound_machine_store):
	Likewise.

	* sid/resid.h (sound_machine_read, sound_machine_store):
	Likewise.

	* sid/resid.cc (sound_machine_read, sound_machine_store):
	Added RISC OS sound thread synchronization.

	* sound.c (sound_synthesize): Likewise.

2001-02-26  Dag Lem  <resid@nimrod.no>

	* arch/unix/c64ui.c: Added settings for reSID sampling.

	* pet/petsound.c, vic20/vic20sound.c
	(sound_machine_calculate_samples): Added dummy parameter
	delta_t.

	* resid/: Upgraded to reSID 0.11.

	* sid/resid.h, sid/resid.cc: Rewrote sound interface to be
	based instead of sample based. Added sampling method
	functionality from reSID 0.11.

	* sid/sid.c: Added settings for reSID sampling.
	(sid_reset): Corrected bug writing SID registers before
	calling sound_reset. This bug was causing clock overflows in
	sound.c.

	* sound.h, sound.c: Added special handling for cycle based
	sound engines (reSID).

2001-02-25  Andreas Dehmel  <dehmel@forwiss.tu-muenchen.de>

	* arch/riscos/Makefile.am, arch/riscos/vsidarch.h: new file
	with VSID specific defines and prototypes.

	* arch/riscos/ui.h: moved VSID specific prototypes to
	vsidarch.h

	* arch/riscos/uiimage.c: close viewer when double clicking
	with right mouse button.

	* arch/riscos/vsidui.c: moved icon number defines to
	vsidarch.h; invert prev/next semantics when using the right
	mouse button.

	* arch/riscos/ui.c: added interactive help messages.

2001-02-24  Markus Brenner  <markus@brenner.de>

	* cartridge.h: added CARTRIDGE_ZAXXON define

	* c64/c64cartridge.c: additions for Zaxxon cartridge

	* c64/c64cartmem.c: additions for Zaxxon cartridge

2001-02-24  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.7.

	* autostart.c (disk_eof_callback): Set disk ID if true drive
	emulation is turned on.

	* drive/drive.c, drive/drive.h (drive_set_disk_id_memory): New
	function.

	* vdrive/vdrive.c (vdrive_attach_image, vdrive_detach_image):
	New functions.

	* diskimage.c (disk_image_check_log,
	disk_image_check_min_block): New functions.

	* drive/fdc.c (fdc_reset): Changed code causing "initializer
 	element for `disk[0]' is not computable at load time".

	* monitor/asm.h: Removed comma at end of enumeration.

	* c64/psid.c, vic20/vic-mem.c: Added missing casts.

	* arch/unix/c610ui.c: #include "c610.h".

	* arch/unix/uicommands.h: Removed prototype for
	`ui_screenshot_commands_menu'.

2001-02-23  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/uisound.c: includes ui.h

	* cbm2/c610mem.h: includes types.h

	* sounddrv/soundwmm.c: updated with latest changes of Lasse

	* vic20/vic-snapshot.c(vic_snapshot_read_module): fixed timing
	of next raster alarm

2001-02-18  Andre Fachat  <a.fachat@gmx.net>

	* arch/unix/uisettings.c (set_drive0_type_submenu): add 2040 to
	drive type selection menu

	* arch/unix/x11/xaw/uiedisk.c (disk_type_d67_button): new
	button for create empty disk dialog
	(extensions, save_callback): add support for d67 images
	(build_emptydisk_dialog): create new dialog

	* c1541.c (command_list): add d67 type for format cmd help
	(format_cmd): add d67 support

	* diskimage.c (IS_D67_LEN): new macro
	(disk_image_check_for_d67): new function
	(disk_image_open, disk_image_create): add d67 support
	(sector_map_d67): new sector map for D67
	(disk_image_sector_per_track, disk_image_check_sector,
	disk_image_read_sector, disk_image_write_sector): add d67
	support

	* diskimage.h (D67_FILE_SIZE, DISK_IMAGE_TYPE_D67): new defines

	* drive/drive.c (drive_read_image_d64_d71,
	drive_check_image_format, drive_attach_image,
	drive_detach_image): add d67 support

	* drive/fdc.c (fdc_do_job): some more verbose debugging
	remove drive type check, as this is done during attach already
	Fix FDC seek and bump commands
	(int_fdc): 2040 support
	(fdc_attach_image): add d67 support

	* drive/riot2d.c (set_handshake, store_pra): more comments
	
	* monitor/mon.c (mon_cmd_array): fix "watch" help text

	* parallel.c: more verbose logging (when debug is enabled)
	debug code cleanup

	* vdrive/vdrive-bam.c (vdrive_bam_allocate_chain, 
	vdrive_bam_calculate_track, vdrive_bam_sector_free,
	vdrive_bam_clear_all, vdrive_bam_create_empty_bam,
	vdrive_bam_read_bam, vdrive_bam_write_bam, 
	vdrive_bam_free_block_count): support d67 image

	* vdrive/vdrive-command.c (vdrive_command_memory_read): add
	d67 support

	* vdrive/vdrive-dir.c (vdrive_dir_free_chain, 
	vdrive_dir_find_next_slot): add d67 support

	* vdrive/vdrive.c (vdrive_calculate_disk_half,
	vdrive_get_max_sectors, vdrive_detach_image,
	vdrive_attach_image, vdrive_set_disk_geometry):
	add d67 support

	* vdrive/vdrive.h (VDRIVE_IMAGE_FORMAT_2040, NUM_TRACKS_2040,
	NUM_BLOCKS_2040, MAX_TRACKS_2040, MAX_BLOCKS_2040,
	DIR_TRACK_2040, DIR_SECTOR_2040, BAM_TRACK_2040,
	BAM_SECTOR_2040, BAM_NAME_2040, BAM_ID_2040,
	BAM_EXT_BIT_MAP_2040): new defines

2001-02-12  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* fliplist.c: changed "static const size_t buffer_size =
	1024;" to "#define buffer_size 1024", so MSVC++ won't complain
	about using buffer_size as size of an array.

	* arch/win32/uimon.c: improved how the current window settings
	are saved (using GetWindowPlacement() instead of
	GetWindowRect()).

2001-02-11  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.6.

	* arch/os2/vac++/Makefile.am: Fixed names.

	* arch/os2/Makefile.am: Removed files that do not exist.

	* uimon.h: Replaced `DWORD' by `unsigned long int'.

2001-02-08  Andreas Matthies  <andreas.matthies@gmx.net>

	* vic20/vic.c: (vic_update_memory_ptrs) fixed timing for
	change of memory pointers

2001-02-07  Andre Fachat  <a.fachat@gmx.net>

        * arch/unix/c610ui.c: include drive.h
        (set_video_standard_submenu, radio_PaletteFile, palette_submenu,
        toggle_CheckSsColl, toggle_CheckSbColl, vic_submenu): new
        code to set VIC-II settings
        (Cbm2modelMenu, model_settings_submenu): make model defaults
        submenu depend on whether the emulation is C500 or not.
        (CrtcMenu, VicMenu, c610_menu): make submenues for CRTC and
	VIC-II depend on whether the emulation is C500 or not.

        * cbm2/c610.c (cbm2_is_c500): export isC500 flag

        * cbm2/c610.h (C610_PAL_CYCLES_PER_SEC): slow CBM-II down
	about 1.3%, to fix handshake with 2031 disk drive
        (c500_write_snapshot_module, c500_read_snapshot_module): remove
        prototypes
        (cbm2_is_c500): new prototype

2001-02-06  Andreas Dehmel  <dehmel@forwiss.tu-muenchen.de>

	* fliplist.{c,h}: added clear/load/save functionality

	* arch/riscos/ui.c: added clear/load/save of fliplist

2001-02-04  Thomas Bretz  <tbretz@physik.tu-muenchen.de>

	* arch/os2/archdep.c: small changes
   
	* arch/os2/archdep.h: Renamed default Printer to Vice2.prn
   
	* arch/os2/console.c: included pmwin2.h
   
	* arch/os2/dialogs/dialogs.c: added ViceErrorDlg
   
	* arch/os2/dialogs/dialogs.h: move many statements to dlg-*.h
   
	* arch/os2/dialogs/dialogs.rc: moved many statements to
	dlg-*.rc
   
	* arch/os2/dialogs/dlg-attach.c,
	arch/os2/dialogs/dlg-autostart.c,
	arch/os2/dialogs/dlg-cartridge.c: removed

	* arch/os2/dialogs/dlg-cmdopt.c: included os2.h
   
	* arch/os2/dialogs/dlg-contents.c: removed
   
	* arch/os2/dialogs/dlg-create.c,
	arch/os2/dialogs/dlg-datasette.c: small changes
   
	* arch/os2/dialogs/dlg-datasette.h,
	arch/os2/dialogs/dlg-datasette.rc: added
   
	* arch/os2/dialogs/dlg-drive.c: small changes
   
	* arch/os2/dialogs/dlg-drive.h, arch/os2/dialogs/dlg-drive.rc:
	added
   
	* arch/os2/dialogs/dlg-emulator.c: small changes

	* arch/os2/dialogs/dlg-emulator.h,
	arch/os2/dialogs/dlg-emulator.rc,
	arch/os2/dialogs/dlg-fileio.c, arch/os2/dialogs/dlg-fileio.h,
	arch/os2/dialogs/dlg-fileio.rc: added
   
	* arch/os2/dialogs/dlg-joystick.c: small changes
   
	* arch/os2/dialogs/dlg-joystick.h,
	arch/os2/dialogs/dlg-joystick.rc: added
   
	* arch/os2/dialogs/dlg-monitor.c: small chenages
   
	* arch/os2/dialogs/dlg-reset.c: WinMessageBox ->
	WinMessageBox2
   
	* arch/os2/dialogs/dlg-screenshot.c,
	arch/os2/dialogs/dlg-snapshot.c: removed
   
	* arch/os2/dialogs/dlg-vsid.c: small changes
   
	* arch/os2/dialogs/dlg-vsid.h, arch/os2/dialogs/dlg-vsid.rc,
	arch/os2/dialogs/dragndrop, carch/os2/dialogs/dragndrop.h:
	added
   
	* arch/os2/dialogs/Makefile.am: updated
   
	* arch/os2/dialogs/menubar.c: small changes
   
	* arch/os2/dialogs/menubar.h, arch/os2/dialogs/menubar.rc,
	arch/os2/fonts/bdf2fnt.icc, arch/os2/fonts/chargen2fnt.cc,
	arch/os2/fonts/chargen2fnt.icc: added
   
	* arch/os2/fonts/dbf2fnt.icc, arch/os2/fonts/vice-cbm.asm:
	removed
   
	* arch/os2/fonts/vice-cbm.cmd: changed
   
	* arch/os2/fonts/vice-cbm.def, arch/os2/fonts/vice-cbm.rc:
	removed
   
	* arch/os2/fonts/vice2.asm, arch/os2/fonts/vice2.def: added
   
	* arch/os2/fonts/vice2.fon, arch/os2/makedist.cmd: changed for
	all fonts
   
	* arch/os2/Makefile.am: changed
   
	* arch/os2/snippets/filedlg.c, arch/os2/snippets/filedlg.h:
	small changes
   
	* arch/os2/snippets/Makefile.am: changed
   
	* arch/os2/snippets/pmwin2.c, arch/os2/snippets/pmwin2.h:
	added
   
	* arch/os2/ui.c: small changes, replaces WinMessageBox with
	WinMessageBox2
   
	* arch/os2/uicmdline.c: small changes 
   
	* arch/os2/unused/dlg-contents.c: added
   
	* arch/os2/vac++/incl/archdep.icc,
	arch/os2/vac++/incl/dialogs.icc: updated
   
	* arch/os2/vac++/incl/resources.icc: added
   
	* arch/os2/vac++/incl/vsid.icc: added dlg-vsid.c,rc
   
	* arch/os2/vac++/Makefile.am: added vicedll.icc, resoucrces.icc
   
	* arch/os2/vac++/vicedll.icc: added

	* arch/os2/vac++/*.ICC: dll added, resources included
   
	* arch/os2/video.c: status bas added, dragndrop support added
   
	* arch/os2/videoarch.h: removed INCL_GPIBITMAPS
   
	* arch/os2/vsidui.c: small changes
   
	* print.c: "ab+" -> MODE_APPEND
   
	* vsync.c: made do_vsync more 'readable'
   
2001-02-04  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* arch/win32/console.c, arch/win32/uimon.c:
	Fixed some bugs, store latest dimensions on closing.

	* monitor/mon_parse.y, monitor/mon_parse.c:
	Changed console_out() calls to arch_mon_out() calls
	(these used to generate segmentation faults).

	* arch/win32/vice.dsw, arch/win32/cbm2.dsp:
	VC++ now includes the VICII project into cbm2.

2001-02-04  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/uisnapshot.c(ui_soundshot_save_dialog): bug fix;
	checks for devicename==NULL

	* arch/win32/uisound.c(dialog_proc): changes statustext when
	sounddriver is changed

	* vic20/vic-draw.c: PUT_PIXEL(2) handles a transparent mode to
	prevent foreground drawing change the background; draw(2x) uses
	vic.mc_border_color instead of vic.raster.border_color; new
	functions draw_std_background(_2x), draw_std_foreground(_2x),
	draw_rev_foreground(_2x) for (handle_line_with_changes), these
	are installed by vic_draw_init

	* vic20/vic-mem.c(vic_store): registers 0x00,0x01,0x02,0x03,
	0x0e,0x0f completely rewritten using the raster_add_change api;
	all the results of timing tests with real VIC20 are imlemented
	(some have to be validated)

	* vic20/vic.h: new macros VIC_RASTER_X, VIC_RASTER_CHAR; new
	members mc_border, row_increase_line, pending_ystart,
	pending_text_lines, row_counter, row_offset, area, draw_clk,
	last_emulate_line_clk in struct vic_s; new prototype for
	(vic_raster_draw_alarm_handler)

	* vic20/vic.c: (vic_raster_draw_alarm_handler) now public and
	completely rewritten; (vic_init),(vic_reset) initialize new
	struct members; (vic_update_memory_ptrs) use the
	raster_add_change api to make changes be placed correctly

2001-02-04  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.5.

	* palette.c: Own logging system.

	* sound.h: Added prototype for `sound_init_wmm_device'.

	* sounddrv/soundwmm.c: #include <ddraw.h>.
	Allow compiling with GCC 2.91 too.

	* cbm2/c610mem.c: Removed RISCOS specific filename hack.
	(set_use_vicii): Added return value.

2001-01-31  Andreas Dehmel  <dehmel@forwiss.tu-muenchen.de>

	* arch/riscos/cbm2dummy.c: new stubs file for linking CBM2.

	* arch/riscos/petdummy.c: only used for PET now.

	* arch/riscos/uiconfig.c: added C510 options.

	* archapi.h, arch/*/archdep.c: added archdep_file_set_gzip()

	* zfile.c: use archdep_file_set_gzip() on newly compressed
	images.

	* cbm2/c610mem.c: added ROM names for RISC OS

2001-01-29  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/res.h: new IDs IDC_SOUND_DIRECTX,IDC_SOUND_WMM

	* arch/win32/res.rc: sound settings dialog offers selection of
	sounddriver

	* arch/win32/sounddrv.dsp,sounddrv/Makefile.am: includes new
	project file soundwmm.c

	* arch/win32/uisnapshot.c(ui_soundshot_save_dialog): remembers
	sounddriver to return after wav sampling

	* arch/win32/uisound.c(init_sound_dialog,dialog_proc): handle
	radiobuttons to change sounddriver

	* sounddrv/soundwmm.c: new file by Lasse Öörni that implements
	the windows multimedia sounddriver

2001-01-28  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.4.

	* arch/unix/archdep.c: #include <ctype.h>.

	* c128/c128cpu.c: Removed `STORE_ZERO' macro.

2001-01-24  Andreas Dehmel  <dehmel@forwiss.tu-muenchen.de>

	* arch/riscos/config.h: added HAVE_ZLIB

	* arch/riscos/archdep.c: adapted archdep_file_is_gzip() for
	file types and extension separator.

2001-01-20  Andre Fachat  <a.fachat@gmx.net>

	* cbm2/c610.c (machine_init): delay setting hw options

	* cbm2/c610mem.c (c500_videobank0): removed
	(c500_statvid, c500_vicdotsel, c500_set_phi2_bank,
	c500_set_phi1_bank): new code to handle C500 memory banking
	(cbm2_set_tpi2pc, cbm2_set_tpi1ca, cbm2_set_tpi1cb, mem_reset):
	fix to use new banking code
	(set_ramsize): allow 64k for C510
	(store_zero_tab, store_ram_tab, read_ram_tab, read_zero_tab):
	fix type
	(mem_bank_read): remove broken fix
	(mem_write_ram_snapshot_module, mem_read_ram_snapshot_module,
	mem_write_rom_snapshot_module, mem_read_rom_snapshot_module):
	handle C510 correctly

	* cbm2/c610mem.h (c500_set_phi1_bank, c500_set_phi2_bank): new 
	prototypes

	* crtc/crtc-snapshot.c (crtc_write_snapshot_module,
	crtc_read_snapshot_module): fix revswitch handling-

	* vicii/vicii-mem.c (vic_ii_local_store_vbank, 
	check_bad_line_state_change_for_d011): use memory parameters
	for correct clock phase

	* vicii/vicii-snapshot.c (vic_ii_snapshot_read_module,
	vic_ii_snapshot_write_module): fix module to include mem
	parameter for both clock phases.

	* vicii/vicii.c (vic_ii_vmmask, vic_ii_chargen_addr_mask,
	vic_ii_chargen_addr, vic_ii_set_hw_addr_options): removed
	(vic_ii_set_phi1_addr_options, vic_ii_set_phi2_addr_options,
	vic_ii_set_phi1_chargen_addr_options,
	vic_ii_set_phi2_chargen_addr_options): new functions
	(vic_ii_update_memory_pointers): use memory parameters for the
	correct clock phase.
	(vic_ii_powerup): init new fields in vic_ii_t with C64 default
	values
	(void vic_ii_set_vbanks, vic_ii_set_vbank,
	vic_ii_set_phi1_vbank, vic_ii_set_phi2_vbank,
	vic_ii_set_ram_bases, vic_ii_set_ram_base, 
	vic_ii_set_phi1_ram_base, vic_ii_set_phi2_ram_base): new
	functions
	(handle_fetch_sprite): use memory parameter for the correct
	clock phase

	* vicii/vicii.h (vic_ii_set_phi1_addr_options, 
	vic_ii_set_phi2_addr_options,
	vic_ii_set_phi1_chargen_addr_options,
	vic_ii_set_phi2_chargen_addr_options,
	vic_ii_set_phi1_vbank, vic_ii_set_phi2_vbank,
	vic_ii_set_phi1_ram_base, vic_ii_set_phi2_ram_base): new
	prototypes

	* vicii/viciitypes.h (ram_base, vbank, vbank_ptr): removed
	(ram_base_phi1, ram_base_phi2, vaddr_mask_phi1, vaddr_mask_phi2,
	vaddr_offset_phi1, vaddr_offset_phi2, vaddr_chargen_mask_phi1,
	vaddr_chargen_mask_phi2, vaddr_chargen_value_phi1,
	vaddr_chargen_value_phi2, vbank_phi1, vbank_phi2): new elements

2001-01-20  Andre Fachat  <a.fachat@gmx.net>

	* arch/unix/c610ui.c (palette_submenu): renamed to
	crtc_palette_submenu
	(c610_ui_init): add vic-ii (ui_video_settings_menu) settings

	* arch/unix/uisettings.c (ui_video_settings_menu): rename 
	"Video Settings" to "VIC-II settings"
	(ui_vic_video_settings_menu): new entry, contains the same
	submenu but is named "VIC Video settings"

	* arch/unix/uisettings.h (ui_vic_video_settings_menu): new
	prototype

	* arch/unix/vic20ui.c (vic20_ui_init): use
	ui_vic_video_settings_menu instead of ui_video_settings

	* arch/unix/x11/fullscreen.c (video_setfullscreen): removed
	(set_fullscreen): remove use of video_setfullscreen

	* cbm2/Makefile.am: add vicii subdir to includes

	* cbm2/c610.c: add vicii.h
	(C500_POWERLINE_CYCLES_PER_IRQ): define cycles per interrupt
	generated by 50Hz power line frequency
	(cbm2_cycles_per_sec): new variable, replaces define
	(isC500): new main variable to determine whether C510 or
	C6x0/7x0
	(machine_init_resources, machine_init_cmdline_options): add
	VIC-II
	(c500_powerline_clk_alarm, c500_powerline_clk,  
	c500_powerline_clk_alarm_handler,  
	c500_powerline_clk_overflow_callback): new code to handle 50Hz
	line frequency IRQ
	(machine_init): init CRTC/VIC-II depending on isC500
	(machine_reset): reset CRTC/VIC-II depending on isC500
	Use mem_reset() instead of separate set_bank_*() calls
	(machine_shutdown): free crtc/VIC-II dependeing on isC500
	(machine_write_snapshot, machine_read_snapshot): handle VIC-II
	when appropriate. Use new module for extra c500 data when
	appropriate
	(machine_screenshot, machine_canvas_screenshot): handle VIC-II
	(c500_write_snapshot_module, c500_read_snapshot_module): new
	module to handle power frequency IRQ in C500

	* cbm2/c610.h (C500_PAL_CYCLES_PER_SEC,
	C500_PAL_CYCLES_PER_LINE, C500_PAL_SCREEN_LINES,
	C500_PAL_CYCLES_PER_RFSH): new defines

	* cbm2/c610mem.c: add vicii.h and vicii-mem.h
	(ultimax, romh_bank, romh_banks,
	cia1_set_extended_keyboard_rows_mask): needed by VIC-II
	(ram_size): removed, was not used
	(mem_read_limit_tab): add new table for third possible
	configuration
	(CBM2_CHARGEN500, CBM2_BASIC500, CBM2_KERNAL, CBM2_KERNAL500):
	new defines
	(c500_vbank, c500_videobank0, cbm2_set_tpi2pc, cbm2_set_tpi1ca, 
	cbm2_set_tpi1cb): new code to handle CBM-II video config
	depending on isC500
	(set_cbm2_model_line): handle C500
	(use_vicii, set_use_vicii): new resource whether to use VIC-II
	or not
	(set_cart08_ram, set_cart1_ram, set_cart2_ram, set_cart4_ram,
	set_cart6_ram, set_cartC_ram): re-init bank 15 only not all
	banks
	(resources): add UseVicII
	(cmdline_options): add +/-usevicii
	(modtab): add place for kernal ROM, usevicii, add C510 config
	(cbm2_set_model): set usevicii, kernal rom
	(set_bank_exec): fix a bug when using fast opcode fetch.
	(read_chargen): new function
	(store_io, read_io): handle VIC_II and colorram
	(mem_reset): new function. Resets video config on CPU reset
	(initialize_memory, initialize_memory_bank): split former
	to use new latter function. Add new level to mem_read_limit_tab
	to be used for empty banks.
	Add C510 memory configuration
	(mem_load_chargen): fix chargen generation bug. Handle VIC-II
	chargen
	(mem_load): handle VIC-II 
	(peek_bank_io): handle VIC-II
	(mem_bank_read): work around a gcc compiler bug.

	* cbm2/c610mem.h (mem_reset, cbm2_set_tpi1ca, cbm2_set_tpi1cb,
	cbm2_set_tpi2pc): new prototypes

	* cbm2/c610tpi1.c: include c610mem.h
	(tpi_set_ca, tpi_set_cb): use functions from c610mem.c

	* cbm2/c610tpi2.c: include c610mem.h
	(store_pc,  undump_pc): use functions from c610mem.c

	* crtc/crtc-resources.c (resources): rename default palette file
	to "green.vpl"

	* crtc/crtc.c (video_setfullscreen): removed
	* vic20/vic.c (video_setfullscreen): removed

	* vicii/vicii-mem.c (vic_ii_set_irq): redefinition of
	maincpu_set_irq bogus I know, will be removed again.

	* vicii/vicii.c (vic_ii_vmmask, vic_ii_chargen_addr_mask, 
	vic_ii_chargen_addr): address config parameter
	(vic_ii_set_hw_addr_options): set address config pars
	(vic_ii_update_memory_ptrs): use addr config pars
	(video_setfullscreen): removed

	* vicii/vicii.h (vic_ii_set_hw_addr_options): new prototype

2001-01-20  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.3.

	* arch/os2/Makefile.am: Added `fonts/header.FNT', removed
	`doc/vice2.ipf' as this file is missing.

	* arch/msdos/tuifs.c (file_list_find): Use `strncasecmp'.

	* arch/unix/c128ui.c: Added tape UI.

	* c128/z80mem.c (z80mem_initialize): Use new functions
	`z80_read_zero' and `z80_store_zero'.

	* c128/c128mem.c (pla_config_changed): New function.
	(mem_set_tape_sense): Call `pla_config_changed'.
	(initialize_memory): Initialize processor port.

2001-01-20  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* arch/win32/archdep.h: MODE_WRITE_TEXT now is really a text
	mode.

	* arch/win32/uiattach.c: 1. Fixed the following bug:
	if a disk image was selected in settings/device
	settings/drive x, no directory could be selected.
	2. If true drive emulation is enabled, don't allow to attach a
	directory.

	* arch/win32/ui.c, arch/win32/uimon.c: Added some func-
	tionality to the monitor window, fixed some bugs.

2001-01-20  Thomas Bretz  <tbretz@physik.tu-muenchen.de>
 
	* arch/os2/config.h: added HAVE_ZLIB
 
	* arch/os2/dialogs/dialogs.[h,c,rc]: removed sound dialog,
	hardware dialog, enhanced menubar, removed dialog open flags
   
	* arch/os2/dialogs/dlg-attach.c: uses new filedlg.h,
	changed includes
   
	* arch/os2/dialogs/dlg-autostart.c: added

	* arch/os2/dialogs/dlg-cartridge.c: added
 
	* arch/os2/dialogs/dlg-cmdopt.c: removed dlg open flag,

	* arch/os2/dialogs/dlg-contents.c: changed includes,
	WM_PAINT -> WM_INITDLG,  removed dlg open flag
   
	* arch/os2/dialogs/dlg-create.c:  changed includes,
	uses new filedlg.h, new outfit for dialog
   
	* arch/os2/dialogs/dlg-datasette.c: changed includes,
	WM_PAINT -> WM_INITDLG,  removed dlg open flag
   
	* arch/os2/dialogs/dlg-drive.c: changed includes,
	WM_PAINT -> WM_INITDLG,  removed dlg open flag

	* arch/os2/dialogs/dlg-emulator.c: changed includes,
	WM_PAINT -> WM_INITDLG,  removed dlg open flag, moved
	most of the statements to menubar
   
	* arch/os2/dialogs/dlg-hardware.c: removed
 
	* arch/os2/dialogs/dlg-joystick.c: removed dlg open flag

	* arch/os2/dialogs/dlg-monitor.c: removed dlg open flag

	* arch/os2/dialogs/dlg-reset.c: small changes
 
	* arch/os2/dialogs/dlg-screenshot.c: small changes, 
	changed includes
   
	* arch/os2/dialogs/dlg-snapshot.c: changed includes
 
	* arch/os2/dialogs/dlg-sound.c: removed
 
	* arch/os2/dialogs/dlg-vsid.c: removed sound_dialog
 
	* arch/os2/dialogs/menubar.c: many new features
 
	* arch/os2/fonts/bdf2fnt.cc: works again
 
	* arch/os2/fonts/vice-cbm.cmd: make work
 
	* arch/os2/install.cmd: small changes
 
	* arch/os2/kbd/proc.c: moved most thing to menubar

	* arch/os2/makedist.cmd: c64mem.sym added
 
	* arch/os2/snippets/filedlg.[c,h]: added
 
	* arch/os2/uicmdline.c: added check for open dialog
 
	* arch/os2/vac++/incl/*.icc: added/removed files
 
	* arch/os2/vac++/lpng.icc: optimized
 
	* arch/os2/vac++/lzlib.icc: optimized
 
	* arch/os2/video.c: added status bar, drag&drop feature,
	help system
 
	* autostart.c: changed a bug in cartridge autostart and
	snapshot autostart, added detach to prg-autostart
   
	* sound.h: changed sample buffer size for
	os/2
 
2001-01-20  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.2.

	* arch/unix/x11/fullscreen.c: Only define `CHECK_DGA_V2' if
	DGA2 extensions are available.

	* zfile.c (try_uncompress_with_gzip): Added missing return.
	(compress_with_gzip): Use zlib if available.

	* archapi.h, arch/unix/archdep.c, arch/msdos/archdep.c,
	arch/win32/archdep.c, arch/riscos/archdep.c,
	arch/os2/archdep.c, arch/beos/archdep.c
	(archdep_file_is_gzip): New function.

2001-01-16  Andreas Matthies  <andreas.matthies@gmx.net>

	* raster/raster.c(update_canvas): checks width parameter
	before calling canvas_refresh; this is needed when viewport
	is smaller than the raster
	(update_for_minor_changes_without_sprites): fixed typo (x~y)
	(raster_resize_viewport): fixed viewport->last_line
	(raster_emulate_line): checks for end of frame even inside
	the display; VIC's last displayed line is (currently) the end
	of frame

	* vic20/vic-draw.c(draw,draw_2x): multicolor characters are
	never displayed reverse

	* vic/vic.c(init_raster): changed parameters of
	raster_set_geometry (these values work for standard vic
	settings and will be fixed later); raster_resize_value is
	called with new value VIC_DISPLAY_WIDTH

	* vic/vic.h: VIC_SCREEN_WIDTH changed, VIC_DISPLAY_WIDTH new

	* vicii/vicii.c(vicii_set_geometry): fixed height

2001-01-07  Oliver Schaertel  <schaertel@atrada.net>

	* arch/unix/x11/gnome/ui.c: Added fullscreen support.

2000-12-30  Oliver Schaertel  <schaertel@atrada.net>

	* arch/unix/fullscreen.c: Added support for DGA2. Fixed some
	DGA-problems.

2000-12-29  Oliver Schaertel  <schaertel@atrada.net>

	* arch/unix: Changed USE_VIDMODE_EXTENSION to
	USE_XF86_EXTENSIONS.

	* arch/unix/fullscreen.c: Implemented DGA fullscreen.

	* fullscreen.h: Added new functions
	fullscreen_mode_on_restore(), fullscreen_mode_off_restore().
	Removed function fullscreen_mode_name(int mode).
	
	* arch/unix/uicommands.c, arch/unix/x11/ui-ressources, 
	arch/unix/x11/ui-ressources.c: Fullscreen changes.	

	* arch/unix/xaw/ui.c: Fullscreen changes for mouse. 
	Disable fullscreen for dialogboxes.

	* crtc/crtc-resources.c, crtc-resources.h, crtc/crtc.c,
	crtc/crtc.h, vic20/vic-resources.c, vic20/vic-resources.h,
	vic20/vic.c, vic20/vic, vicii/vicii-resources.c,
	vicii/vicii-resources.h, vicii/vicii.c, vicii/vicii.h: Added
	fullscreen hooks again, introduced new function video_refresh.
	Removed video_setfullscreen.

2000-12-16  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.1.

	* zfile.c (compress): Renamed to `zfile_compress'.
	(try_uncompress_with_gzip): Use zlib.

2000-12-15  Andreas Matthies  <andreas.matthies@gmx.net>

	* 6510core.c(RLA_IND_Y): clear RMW_FLAG after execution

2000-12-11  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.6.

2000-12-11  Tibor Biczo  <crown@matavnet.hu>

	* arch/win32/fullscreen.c, arch/win32/video.c: Reverted
	DUMMYUNIONNAME patch, as the DirectX headers doesn't have a
	mixup problems of naming the first unnamed union differenly
	between different header versions...

2000-12-10  Tibor Biczo  <crown@matavnet.hu>

	* arch/win32/console.c (bIsMdiChild): Define as BOOLEAN.

	* arch/win32/fullscreen.c: Added casts for IID_IDirectDraw2
	references.

	* arch/win32/fullscreen.h: Define SwitchToFullscreenMode
	function.

	* arch/win32/joystick.c: Reinstituted misteriously
	dissappeared code segment.

	* arch/win32/statusbar.c (statusbar_setstatustext): Define
	input parameter as const.

	* arch/win32/statusbar.h (statusbar_setstatustext): Define
	input parameter as const.

	* arch/win32/ui.c: Removed some unused local variables.

	* arch/win32/video.c: Removed some unused local variables.
	Corrected some return values in error cases.
	Added cast when referencing IID_IDirectDraw2.

	* sounddrv/sounddx.c: Setupo and use wfex variable instead of
	pcmwf when setting the format of the primary buffer, as that
	variable has the correct type.

2000-12-10  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.5.23.

	* arch/os2/Makefile.am: Removed reference to `vice2.ipf'.

2000-12-10  Tibor Biczo  <crown@matavnet.hu>

	* arch/win32/Makefile.am: Added statusbar.c and statusbar.h.

	* arch/win32/arch.dsp: Removed print.c, added statusbar.c.

	* arch/win32/c128ui.c, arch/win32/c64ui.c: Added shortcut key
	to mouse emulation.

	* arch/win32/fullscreen.c: Added compatibility code for old
	Mingw headers (DUMMYUNIONNAME).
	(fullscreen_transition): Signals transition into or from
	fullscreen.
	Removed DDSCL_NOWINDOWCHANGES flag from cooperation mode flags.
	(SwitchToFullscreenMode): Perform color translation only when
	the raster is existing.

	* arch/win32/joystick.c: Define DIRECTINPUT_VERSION, this is
	neccessary in order to compile with DX8 SDK.

	* arch/win32/resc128.rc: Temporarily removed Fullscreen menu
	entry from menu. Added shortcut to Mouse emulation menu entry.

	* arch/win32/resc64.rc: Added shortcut to Mouse emulation menu
	entry.

	* arch/win32/statusbar.c: New file, moved codes related to the
	statusbar to here from ui.c.

	* arch/win32/statusbar.h: New file.

	* arch/win32/ui.c: Removed all codes relating to statusbar.
	Added shortcut for Mouse emulation.
	(dummywindowproc): New function, is used for processing
	messages for the dummy window.
	Added safeguard checks for fullscreen_transition.

	* arch/win32/ui.h: New class name for the Main window.

	* arch/win32/video.c: Added compatibility code for old Mingw
	headers (DUMMYUNIONNAME).
	(video_frame_buffer_translate): Only translate frame buffer if
	raster exists.
	(canvas_create): Setup windows here.

	* arch/win32/x128.dsp, arch/win32/x64.dsp, arch/win32/xcbm2.dsp,
	arch/win32/xpet.dsp, arch/win32/xvic.dsp: Added print.c

2000-12-07  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/beos/Makefile.am: added new files ui_cbm2.cc/h,
	ui_pet.cc/h,ui_vic20.cc/h

	* arch/beos/c610ui.cc,petui.cc,vic20ui.cc(*_ui_specific):
	calls the new machine specific setting function (ui_*)

	* arch/beos/ui_cbm2.cc/h,ui_pet.cc/h,ui_vic20.cc/h: new files
	that implement the setting dialogs for CBM2, PET and VIC20

	* ui_file.cc/h: VicePreview remembers his father window (the
	file panel) and closes it before autostarting the selected
	file

	* arch/beos/vicemenu.cc: small changes

2000-12-06  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* info.c: added credit to David Holz for symbol file
	"c64mem.sym".

2000-12-06  Michael Klein  <nip@c64.org>

        * sound.c, sounddrv/soundsdl.c: Updated SDL driver to compile
        and work with recent SDL versions.

        * info.c: Updated.

2000-12-06  Thomas Bretz  <tbretz@physik.tu-muenchen.de>
 
	* arch/os2/dialogs/dialogs.h: changes to cmdopt_dialog, 
	vsid_dialog
   
	* arch/os2/dialogs/dialogs.rc: added icons, small changes
 
	* arch/os2/dialogs/dlg-cmdopt.c: strip some unecessary code
 
	* arch/os2/dialogs/dlg-vsid.c: added icon to dialog
 
	* arch/os2/dialogs/menubar.c: added cmdline options
 
	* arch/os2/install.cmd: small changes

	* arch/os2/makedist.cmd: added copy for c1541.ico
 
	* arch/os2/Makefile.am: added vice2.ipf
 
	* arch/os2/uicmdline.c: added some comments replaces mainloop
	with WinProcessDlg
   
	* arch/os2/uimon.c: removed a memory leak
 
	* arch/os2/vac++/Makefile.am: VICE_HLP.ICC added
 
	* arch/os2/vac++/VICE_HLP.ICC: added

	* arch/os2/video.c: added comments and icon
 
	* arch/os2/vsidui.c: replaced maioloop with WinProcessDlg

2000-12-05  Andreas Dehmel  <dehmel@forwiss.tu-muenchen.de>

	* arch/riscos/ui.c: fixed bug in romset menu.

	* arch/riscos/uimsgwin.c: limit number of lines in monitor
	window.

	sound.c, sound.h, fixpoint.c, fixpoint.h: moved
	soundclk-related fixpoint code to fixpoint.* . Distinguish
	between safe and unsafe casts from soundclk_t to long
	(-> BIG_FLOAT_TO_INT() ).

	sid/resid.cc: use safe and unsafe casts of soundclk_t to long
	to get exactly the same code as before.

2000-12-05  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.5.22.

2000-12-02  Thomas Bretz  <tbretz@physik.tu-muenchen.de>

	* arch/os2/dialogs/dialogs.[rc,h]: added resources for manubar

	* arch/os2/dialogs/dlg-sound.c: added scale for volume
 
	* arch/os2/dialogs/menubar.c: added
 
	* arch/os2/doc/Vice_for_OS2.txt: deleted windowpos
 
	* arch/os2/kbd/proc.c: added some comments
 
	* arch/os2/uimon.c: small changes
 
	* arch/os2/vac++/incl/dialogs.icc: added menubar.c
 
	* arch/os2/vac++/incl/monitor.icc: removed asm., added asm*.c
 
	* arch/os2/video.c: added wmPaint (refresh window when
	emulation is paused), added menubar resource, removed autopos
	resource
   
	* arch/os2/videoarch.h: added stretch to canvas_t
 
	* arch/os2/vsidui.c: small changes

	* arch/os2/vsyncarch.c: small changes
 
	* monitor/mon_lex.c: make compile without warnings
	again
   
	* monitor/mon_parse.c: make compile without warnings again
 
	* sounddrv/sounddart.c: small changes
 
2000-12-02  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.5.21.

	* sound.h: Fixed typo in definition of `SOUNDCLK_MULT'.

2000-12-02  Thomas Bretz  <tbretz@physik.tu-muenchen.de>

	* arch/os2/dialogs/dialogs.h: small changes, some small
	additions
 
	* arch/os2/dialogs/dialogs.rc: some layout changes
 
	* arch/os2/dialogs/dlg-datasette.c: enhanced for datasette
	resources
 
	* arch/os2/dialogs/dlg-emulator.c: changed output fields
 
	* arch/os2/dialogs/dlg-hardware.c: Added X128-vdc resource
 
	* arch/os2/dialogs/dlg-joystick.c: uses enabled joysticks now
 
	* arch/os2/dialogs/dlg-vsid.c: added Option-Button
 
	* arch/os2/doc/Vice_for_OS2.txt: updated
 
	* arch/os2/install.cmd: added reSid player
 
	* arch/os2/joystick.c: Output messages changed
 
	* arch/os2/kbd/proc.c: added VK_F11

	* arch/os2/mouse.c: Added some comments, some small changes
 
	* arch/os2/uicmdline.c: added include archdep.h
 
	* arch/os2/uimon.c: small changes
 
	* arch/os2/vac++/incl/archdep.icc: added uimon.c removed
	vsidui.c
 
	* arch/os2/vac++/incl/c64.icc: removed psid.c
 
	* arch/os2/vac++/incl/dialogs.icc: removed dlg-vsid.c
 
	* arch/os2/vac++/incl/mainsrc.icc: added prdevice.c, print.c,
	pruser.c
 
	* arch/os2/vac++/incl/vsid.icc: added
 
	* arch/os2/vac++/Makefile.am: added vsid.icc
 
	* arch/os2/vac++/X64.ICC: added vsid.icc
 
	* arch/os2/video.c: added some debug statements, improved
	handling of WmVrn
 
	* arch/os2/vsidui.c: improved output
 
	* arch/os2/vsyncarch.c: added pms, comments
 
	* c64/c64.c: display time only when changing (vsid)

	* main.c: help is -help not -h
 
	* print.c: adapted for OS/2
 
	* vsync.c: skip too-slow test for OS/2

2000-12-01  pottendo  <pottendo@utanet.at>

	* arch/unix/vsidui.c (vsid_create_menus): Added calls to create
	toplevel menus.

2000-12-01  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* arch/win32/console.c, ../uimon.c: Fixed some errors

2000-11-27  Andreas Dehmel  <dehmel@forwiss.tu-muenchen.de>

	* arch/riscos/*: moved video standard selector from drive to
	system configuration window, added speed to VSID window.

	* sound.c, sound.h, sid/sid.c, sid/resid.cc: alternative
	fixpoint code for sound timings (if FIXPOINT_ARITHMETIC
	defined, otherwise use double as before).

2000-11-26  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.5.20.

	* monitor/mon.h: Added prototype for `mon_cpu_type()'.

	* mon.c, asm.h, asm6502.c, asmz80.c: Added support for
	multiple byte opcodes.

2000-11-25  Dag Lem  <resid@nimrod.no>

	* arch/unix/vsidui.c: Added menu "Video Standard".

	* c64/psid.c: Added video standard cmdline options.

	* c64/psiddrv.a65: Refined memory bank switching.

	* resid/: Removed libtool usage.

2000-11-23  Dag Lem  <resid@nimrod.no>

	* resid/: reSID 0.10; quite a bit faster.

2000-11-19  Andreas Matthies  <andreas.matthies@gmx.net>

	* c64/c64mem.c(initialize_memory): pport initialized with
	default values $2f, $37

2000-11-17  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/msdos/tuifs.c(tui_file_selector) must not free
	the return_path; this is done by the calling functions

	* arch/msdos/uisnapshot.c(load_snapshot_callback) frees
	'name' which is received by tui_file_selector

	* vic20/vic-mem.c(vic_store) geometry uses exact values
	of $9000

	* vic20/vic20.h: changed constants VIC_SCREEN_WIDTH,
	VIC_SCREEN_MAX_TEXT_LINES and VIC_LAST_DISPLAYED_LINE so that
	the emulation can handle shifted or larger screens used in
	many games like Arcadia or Bongo

2000-11-17  Alexander Bluhm  <bluhm@milab91.mathematik.uni-leipzig.de>

	* ciacore.c (mycia_store, int_ciatod): Fixed some TOD bugs.

	* sounddrv/soundsun.c: Defines for OpenBSD.

2000-11-17  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.5.19.

	* monitor/asmz80.c: New file.

	* monitor/asm.c: Renamed to `asm6502.c'.

	* monitor/mon_parse.y, monitor/mon_lex.l, monitor/mon.c,
	monitor/asm.h: Added support for Z80 opcodes.

	* uimon.h, arch/unix/uimon.c, arch/msdos/uimon.c,
	arch/win32/uimon.c, arch/riscos/uimon.c, arch/os2/uimon.c,
	arch/beos/uimon.c (arch_mon_in): Removed `const'.

2000-11-11  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* arch/win32/uimon.c,console.c: added new functionality,
	corrected errors (but it's FAR from finished!)

2000-11-08  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.5.18.

	* arch/win32/uimon.c (CreateAToolbar): Only use
	`UnlockResource' if `HAS_UNLOCKRESOURCE' is defined.

	* c1541.c (internal_read_geos_file): Commented out unused
	variable.

2000-11-08  Dag Lem  <resid@nimrod.no>

        * c64/psid.c: Improve PSID compatibility - correct speed
          handling, provide $02a6 PAL/NTSC flag and $ea31 IRQ exit.

        * c64/psiddrv.a65: Improve PSID compatibility - correct speed
          handling, VICII/CIA1 interrupt, bank selection

2000-11-02  Dag Lem  <resid@nimrod.no>

	* arch/unix/vsync.c (set_timer_speed): Avoid divide by zero.
	* vsync.c: Corrected credits.

2000-11-01  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/beos/joystick.cc(.h): some changes to avoid opening
	the same hardware joystick port twice

	* arch/beos/ui_file.cc(.h): new functions
	(read_disk_image_contents),(read_tape_image_contents),
	(read_disk_or_tape_image_contents),(create_content_list);
	new classes VicePreview,ViceFilePanel that implement the
	image contents and autostart features

	* arch/beos/vicewindow.cc(.h): ViceWindow uses members
	of the new ViceFilePanel class

	* arch/msdos/vsync.c(vsync_set_machine_parameter): calls
	register_timer_callback which should fix the NTSC timing
	problem

	* arch/win32/uisnapshot.c: new include vsync.h;
	(ui_save_snapshot) calls suspend_speed_eval

	* vsync.c(display_speed): logging of time-keeping-problems
	removed again

2000-10-29  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.5.17.

2000-10-23  Markus Brenner  <markus@brenner.de>

	* cartridge.h: added CARTRIDGE_DINAMIC type (17)

	* c64/c64cartmem.c: added support for CARTRIDGE_DINAMIC

	* c64/c64cartridge.c: added support for CARTRIDGE_DINAMIC

2000-10-17  Andreas Dehmel  <dehmel@forwiss.tu-muenchen.de>

	*  c64/psid.c: don't dereference psid before checking whether
	it's legal (Segfaults on Solaris).

2000-10-15  Andreas Dehmel  <dehmel@forwiss.tu-muenchen.de>

	* c64/c64.c, c64/psid.{c,h}: count number of vsyncs a tune was
	played for playtime information.

	* arch/riscos/ui.{c,h}: pass international messages to vsidui.

	* arch/riscos/vsidui.c: added vsid_ui_display_time(); pause
	and stop working correctly now.

	* arch/*/vsidui.c: added vsid_ui_display_time() dummy stubs.

2000-10-14  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.5.16.

	* arch/unix/x11/xaw/widgets/Directory.c: #include "vice.h".

2000-10-14  Dirk Schnorpfeil  <D.Schnorpfeil@web.de>

	* c1541.c: Added commands to read/write GEOS formatted disks.

2000-10-12  Andreas Dehmel  <dehmel@forwiss.tu-muenchen.de>

	* arch/unix/x11/gnome/dummies.c,
	arch/unix/x11/gnome/gnomevideo.c: __FUNCTION__ is not defined
	in SUNWspro compilers.

	* arch/unix/x11/gnome/about.c: SUNWspro doesn't allow function
	calls in initializers ( _(...) ).

2000-10-10  Andreas Matthies  <andreas.matthies@gmx.net>

	* vsync.c: new include log.h; frame_start now global;
	(display_speed) checks if emulation loses time (like Dag did
	it in the unix version): delay doesn't exceed 1 second now and
	warning is written to the log

2000-10-08  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.5.15.

	* Makefile.am, arch/win32/msvc/config.h, arch/os2/config.h,
	arch/riscos/config.h, serial.c, c64/c64.c, c64/c64cia2.c,
	c128/c128.c, vic20/vic20.c, vic20/vic20via2.c, pet/pet.c,
	pet/petvia.c, cbm2/c610.c, cbm2/c610cia1.c: Removed special
	printer defines.

2000-10-07  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* arch/win32/uimon.c: added new functionality, corrected
	errors (but it's FAR from finished!)

2000-10-05  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/beos/c128ui.cc,c610ui.cc,c64ui.cc,petui.cc,vic20ui.cc:
	minor changes, new parameter in ..._ui_specific,
	implementation for VIC20 and C64 cartridges

	* arch/beos/constants.h: new menu IDs for cartridges

	* arch/beos/ui.cc: minor changes

	* arch/beos/ui.h: new type ui_cartridge_t;

	* arch/beos/ui_device.cc: uses resource 'PrinterDevice1'
	instead of 'PrinterFile'

	* arch/beos/ui_file.cc: (ui_select_file) and
	(ui_select_file_action) support cartridge files;

	* arch/beos/vicemenu.cc: new menu items for cartridges; some
	changes in the order of items

	* arch/os2/vsyncarch.c: (vsyncarch_display_speed) gets third
	parameter 'warp_enabled'; not used yet

	* arch/win32/Makefile.am,arch.dsp: vsync.c replaced by
	vsyncarch.c

	* arch/win32/ui.c: added some 'suspend_speed_eval()'

	* arch/win32/uilib.c: 'suspend_speed_eval' after filename is
	selected

	* arch/win32/vsyncarch.c: new file to support common vsync code

	* arch/win32/x128.dsp,x64.dsp,xcbm2.dsp,xpet.dsp,xvic.dsp:
	added common vsync.c to project

	* maincpu.c: (cpu_resets) calls 'suspend_speed_eval()'

	* snapshot.c: (snapshot_open) calls 'suspend_speed_eval()'

	* vsync.c: now compiled under WIN32
	frame_ticks changed to 'signed long' do make
	(delay+frame_ticks < 0) become possible in (do_vsync)
	(vsyncarch_display_speed) is called with third param
	'warp_mode_enabled'; new prototype in vsyncarch.h

2000-10-05  Andreas Dehmel  <dehmel@forwiss.tu-muenchen.de>

	* arch/riscos/archdep.h, arch/riscos/kbd.c: added required
	include.

	* arch/riscos/ui.c: resync sound and frame rate after pause,
	small changes to fliplist handling.

2000-10-04  Andreas Dehmel  <dehmel@forwiss.tu-muenchen.de>

	* monitor/mon.c: no C++ comments in common C source, please.

2000-10-04  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* monitor/mon.c: doesn't use the console directly, but only
	via arch_mon_...()

	* arch/win32/uimon.c: added new functionality, corrected
	errors (but it's FAR from finished!)

	* arch/.../uimon.c: Added arch_mon_in(), arch_mon_out()

2000-10-01  Andreas Boose  <boose@linux.rz.fh-hannover.de>

        * Version 1.5.14.

	* diskimage.c (disk_image_check_for_d64): Also read error info
	from a 40 track disk image.
	(disk_image_sector_per_track): Added error output.

	* vdrive/vdrive-iec.c (write_sequential_buffer): Fixed return
	value.

	* vdrive/vdrive-bam.c (vdrive_bam_alloc_first_free_sector):
	Fixed completely bogus allocation.

	* vdrive/vdrive.c (vdrive_calculate_disk_half): Fixed number
	tracks calculation for 1541 and 1571 disk images.

	* print.c: New file based on arch/riscos/print.c.

	* serial.c (serialsendbyte, serialreceivebyte, serialcommand,
	serialattention): Only fetch vdrive for disk devices.

	* arch/unix/uisettings.c (printer_settings_menu): Updated
	resource names.

	* arch/riscos/ui.c: Likewise.

	* arch/unix/Makefile.am, arch/msdos/Makefile.am,
	arch/win32/Makefile.am, arch/riscos/Makefile.am,
	arch/beos/Makefile.am: Drop `print.c'.

	* arch/unix/archdep.h, arch/win32/archdep.h,
	arch/riscos/archdep.h, arch/msdos/archdep.h,
	arch/beos/archdep.h, arch/os2/archdep.h: Defined default
	printer devices.

	* sound.h: Added prototype for `sound_init_esd_device()'.

	* sounddrv/soundesd.c: #include <stdio.h>.

	* autostart.c (autostart_tape): Do not load "*" if no name is
	given!

2000-09-30  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.5.13.

	* vdrive/vdrive-command.c (vdrive_command_execute): Fixed
	format command call.

	* info.c: Updated.

	* uimon.h: Do not #include "console.h".

	* arch/unix/uimon.c, arch/msdos/uimon.c, arch/win32/uimon.c,
	arch/riscos/uimon.c, arch/os2/uimon.c, arch/beos/uimon.c:
	Include "console.h" and <stdio.h> because those files need
	prototypes or defines from this header files.

	* arch/win32/console.c: #include "console.h".
	(arch_console_open_mdi): Fixed prototpye to match the
	function declaration in `uimon.h'.

	* arch/win32/res.rc: Commented out toolbar definition that
	windres cannot parse.

2000-09-30  Ricardo Ferreira  <storm@atdot.org>

	* sounddev/soundarts.c: Added. Implements aRts sound support.

	* sound.c: Added arts sound device initialization.

2000-09-27  Andreas Dehmel  <dehmel@forwiss.tu-muenchen.de>

	* sounddrv/soundacorn.c: adapt fragsize and fragnr if fragsize
	exceeds the possible DMA buffer size (fixes problems at >
	22050Hz).

2000-09-27  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* arch/.../uimon.c: Added handling of console for mon for 
	all ports

	* arch/win32/uimon.c: Stub for adding a UI for the monitor
	with win32.
	To compile with it, define UIMON_EXPERIMENTAL on top of file

	* arch/win32/console.c: Now can be opened as an MDI child

2000-09-26  Andreas Dehmel  <dehmel@forwiss.tu-muenchen.de>

	* arch/riscos/uiconfig.c: changed cartridges and maximum sound
	buffer size

	* arch/riscos/ui.c: improved vsid mode and PAL/NTSC syncing.
	Restructured overly large if-then-else-if... blocks.

2000-09-25  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.5.12.

	* sounddrv/Makefile.am: Include `soundarts.c'.

2000-09-22  Andreas Matthies  <andreas.matthies@gmx.net>

	* beos/constants.h: new IDs for "save/confirm on exit" mimic

	* beos/joystick.cc: (joystick_update) uses common functions
	instead of directly setting the value

	* beos/main_exit.c: (main_exit) is empty now; instead of this
	the new function main_exit_early is used for cleanup in the
	destructor of the ViceApp class; this should finally fix the
	problem with crashes at shutdown

	* beos/mouse.cc: new file (instead of mouse.c) that implements
	the 1351 emulation

	* beos/mouse.h: minor changes

	* beos/ui.cc: the mimic for resource saving at exit and
	confirmation for exit is now implemented as in the windows port;
	removed dialogs that reported loading/saving/resetting settings

	* beos/vicemenu.cc: minor changes

	* beos/vicewindow.cc: window class extended for mouse button
	handling

2000-09-18  Markus Brenner  <markus@brenner.de>

	* cartridge.h: removed OCEAN_HUGE cartridge type

	* c64/c64cartmem.c: OCEAN carts may access ROM at $a000

	* c64/c64cartridge.c: unified OCEAN/OCEAN_HUGE CRT types

2000-09-18  Andreas Dehmel  <dehmel@forwiss.tu-muenchen.de>

	arch/riscos/Makefile.am, arch/riscos/vsiddummy.c: new file
	vsiddummy, contains stubs for non-C64 targets.

	arch/riscos/ui.{c,h}, arch/riscos/archdep.c,
	arch/riscos/uidummy.c, arch/riscos/vsidui.c: added vsid GUI.

2000-09-03  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.5.11.

	* arch/unix/vsidui.c: #include "drive.h".

2000-09-01  Andreas Matthies  <andreas.matthies@gmx.net>

	* beos/Makefile.am: new files ui_vicii.cc,ui_vicii.h

	* beos/main.cc: removed obsolete KillThread function

	* beos/ui.cc: (ui_dispatch_events) handles VIC-II menu item

	* beos/ui_vicii.cc/h: new files implement the settings dialog

	* beos/vicemenu.cc: new items for VDC settings, minor
	corrections

	* beos/videoarch.h: now canvas tripple buffering

	* beos/vsidui.c,msdos/vsidui.c,win32/vsidui.c: new includes
	to fit with the new vsid-api-dummies

	* msdos/video.c,os2/video.c,unix/x11/video.c: new dummies
	(canvas_destroy)

	* beos/main_exit.c,msdos/main_exit.c,os2/video.c,riscos/ui.c,
	unix/main_exit.c,win32/main_exit.c: removed/disabled call of
	(video_free)

	* c128/c128.c,c64/c64.c,cbm2/c610.c,pet/pet.c,vic20/vic20.c:
	(machine_shutdown) calls the <video_chip>_free() for the
	machine's video-chip(s)

	* crtc/crtc.c,vdc/vdc.c,vic20/vic.c,vicii/vicii.c:
	new (VDC: modified) functions (<chip>_free) that for now
	only free the raster by calling (raster_free)

	* raster/raster.c: new function (raster_free) that frees
	framebuffer, canvas and some other allocated objects

	* win32/joystick.c (joystick_update) uses the joystick latch
	functions instead of directly writing to the joystick_value

2000-08-29  Thomas Bretz  <tbretz@physik.tu-muenchen.de>

	* arch/beos/vsidui.c: new vsid_ui_functions added,
	vsid_set_tune removed
 
	* arch/msdos/vsidui.c: new vsid_ui_functions added,
	vsid_set_tune removed
 
	* arch/os2/dialogs/dialogs.h: vsid dialog enhanced
 
	* arch/os2/dialogs/dlg-vsid.c: enhanced
 
	* arch/os2/vac++/ctools/biosdump.icc: added

	* arch/os2/vac++/ctools/cformat.icc: added
 
	* arch/os2/vac++/ctools/ctools.icc: added
 
	* arch/os2/vac++/ctools/d64dump.icc: added
 
	* arch/os2/vsidui.c: new vsid_ui functions added,
	vsid_set_tune removed
 
	* arch/riscos/vsidui.c: new vsid_ui functions added,
	vsid_set_tune removed
 
	* arch/unix/vsidui.c: new ui functions added, vsid_set_tune
	removed
 
	* arch/win32/vsidui.c: new ui functions added, vsid_set_tune
	removed

	* c64/psid.c: introduced new ui callback functions,
	psid_set_tune and vsid_set_tune merged
                  
	* vsidui.h: new ui functions added, vsid_set_tune removed

2000-08-27  Andreas Boose  <boose@linux.rz.fh-hannover.de>

	* Version 1.5.10.

	* arch/unix/x11/xaw/uicartridge.c,
	arch/unix/x11/xaw/uiedisk.c, arch/unix/x11/xaw/uiscreenshot.c,
	arch/unix/x11/xaw/uisnapshot.c: Added write protect stub.

	* keyboard.h: Fixed `joystick_bits_t' enumeration.

	* vicii/viciitypes.h: Adjusted NTSC sprite fetch cycle.

2000-08-23  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/beos/Makefile.am: new file ui_device.cc,ui_device.h
	which implement the device settings dialog

	* arch/beos/joystick.cc: rewritten; now dual joysticks
	(Y-plug) should work; uses new resource extra parameter

	* arch/beos/print.c: fixes line end characters

	* arch/beos/statusbar.cc/h: support for a joystick ui that
	displays the state of the joystick ports

	* arch/beos/ui.cc: new interface between joystick module
	and statusbar ui

	* arch/beos/ui_device.cc/h: new files that implement the
	device settings ui

	* arch/beos/ui_drive.cc,ui_joystick.cc: use the
	resource-sprintf functions; new joystick option that enables
	the statusbar ui

	* arch/beos/vicemenu.cc: updated menus to current state of
	implementation; removed wrong option for C128-NTSCOLD

	* c128/c128.c, c128/c128.h: removed definitions and
